import React from "react";
import { Provider } from "react-redux";
import { ToastContainer } from "react-toastify";
import { applyMiddleware, createStore } from "redux";
import reduxThunk from "redux-thunk";
import { setupInterceptors } from "redux/actions/api";
import reducers from "redux/reducers";
import Routes from "Routes";

const createStoreWithMiddleware = applyMiddleware(reduxThunk)(createStore);

const store = createStoreWithMiddleware(reducers);

setupInterceptors();

function App() {
  return (
    <Provider store={store}>
      <Routes />
      <ToastContainer
        autoClose={5000}
        bodyClassName="p_toast_body"
        className="p_toast_wrapper"
        closeOnClick={false}
        draggable
        hideProgressBar
        newestOnTop
        pauseOnFocusLoss
        pauseOnHover
        position="top-right"
        progressClassName="p_toast_progress"
        rtl={false}
        toastClassName="p_toast"
      />
    </Provider>
  );
}

export default App;
