import React, { useState } from "react";
import { useDispatch } from "react-redux";
import { useHistory } from "react-router-dom";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";

import Headings from "../Headings";
import BuildPages from "./BuildPages";
import LayoutSections from "./LayoutSections";
import PagePlanner from "./PagePlanner";

export default function NewCatalogPages() {
  const initialActiveTab = {
    buildPages: "",
    pagePlanner: "active",
    // catalogLayoutSetup: "active",
    layoutSections: "",
    activeTab: "pagePlanner", //correct
  };
  const dispatch = useDispatch();

  const history = useHistory();
  const [activeTab, setActivetab] = useState(initialActiveTab);
  const handleTab = (tabName) => {
    if (tabName == "buildPages") {
      setActivetab({
        buildPages: "active",
        pagePlanner: "",
        catalogLayoutSetup: "",
        layoutSections: "",
        activeTab: "buildPages",
      });
    } else if (tabName == "pagePlanner") {
      setActivetab({
        buildPages: "",
        pagePlanner: "active",
        catalogLayoutSetup: "",
        layoutSections: "",
        activeTab: "pagePlanner",
      });
    } else if (tabName == "catalogLayoutSetup") {
      setActivetab({
        buildPages: "",
        pagePlanner: "",
        catalogLayoutSetup: "active",
        layoutSections: "",
        activeTab: "catalogLayoutSetup",
      });
    } else if (tabName == "layoutSections") {
      setActivetab({
        buildPages: "",
        pagePlanner: "",
        catalogLayoutSetup: "",
        layoutSections: "active",
        activeTab: "layoutSections",
      });
    }
  };
  return (
    <>
      <Nav tabs id={"nav-tabs-layout-listing"}>
        <NavItem>
          <NavLink
            className={activeTab.buildPages}
            onClick={() => handleTab("buildPages")}
          >
            Build Pages
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.pagePlanner}
            onClick={() => handleTab("pagePlanner")}
          >
            Page Planner
          </NavLink>
        </NavItem>
        {/* <NavItem>
          <NavLink
            className={activeTab.catalogLayoutSetup}
            onClick={() => handleTab("catalogLayoutSetup")}
          >
            Catalog Layout Setup
          </NavLink>
        </NavItem> */}
        <NavItem>
          <NavLink
            className={activeTab.layoutSections}
            onClick={() => {
              handleTab("layoutSections");
            }}
          >
            Layout Sections
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="buildPages">
          <BuildPages />
          {/* <div>
            <Headings>Build Pages</Headings>
          </div> */}
        </TabPane>
        <TabPane tabId="pagePlanner">
          <PagePlanner />
        </TabPane>
        {/* <TabPane tabId="catalogLayoutSetup">
          <CatalogLayoutSetup />
        </TabPane> */}
        <TabPane tabId="layoutSections">
          <div>
            <LayoutSections />
          </div>
        </TabPane>
      </TabContent>
    </>
  );
}
