import React from "react";
import { ErrorMessage } from "formik";
import { Input, Label } from "reactstrap";

const CheckBox = ({
  id = "",
  className = "",
  name = "",
  label = "",
  placeholder = "",
  isLabelRequired = false,
  onChange,
  value,
}) => {
  return (
    <>
      {isLabelRequired == true ? <Label for={name}>{label}</Label> : ""}
      <Input
        className={className}
        type="checkbox"
        name={name}
        id={id}
        placeholder={placeholder}
        onChange={onChange}
        checked={value}
      />
    </>
  );
};

export default CheckBox;
