import React from "react";
import { ErrorMessage } from "formik";
import { Input, Label } from "reactstrap";

const InputField = ({
  id = "",
  className = "",
  name = "",
  style = {},
  type = "text",
  label = "",
  placeholder = "",
  isLabelRequired = false,
  onChange,
  value,
  isDisabled = false,
}) => {
  return (
    <>
      {isLabelRequired == true ? <Label for={name}>{label}</Label> : ""}
      <Input
        className={className}
        style={style}
        type={type}
        name={name}
        id={id}
        placeholder={placeholder}
        onChange={onChange}
        value={value}
        disabled={isDisabled}
      />
    </>
  );
};

export default InputField;
