import React, { Component, useState } from "react";
import makeAnimated from "react-select/animated";
import { components } from "react-select";
import SelectMenu from "./SelectMenu";

const Option = (props) => {
  return (
    <div>
      <components.Option {...props}>
        <input
          type="checkbox"
          checked={props.isSelected}
          onChange={() => null}
        />{" "}
        <label>{props.label}</label>
      </components.Option>
    </div>
  );
};

const MultiValue = (props) => (
  <components.MultiValue {...props}>
    <span>{props.data.label}</span>
  </components.MultiValue>
);

const animatedComponents = makeAnimated();

const MultiSelectCheckboxMenu = ({
  columnName,
  productId,
  options,
  selectedValue,
  handleChange,
  categoryName,
  value,
}) => {
  const [selectedVal, setSelected] = useState(null);

  //   const handleChange = (selected) => {
  //     setSelected(selected);
  //   };

  return (
    <>
      <SelectMenu
        options={options}
        isMulti
        closeMenuOnSelect={false}
        hideSelectedOptions={false}
        components={{ Option, MultiValue, animatedComponents }}
        onChange={(value) =>
          handleChange(productId, columnName, value, categoryName)
        }
        allowSelectAll={false}
        value={value}
      />
    </>
  );
};

export default MultiSelectCheckboxMenu;
