import React from 'react'
import { useDispatch, useSelector } from 'react-redux';

function RestrictUserType({children, userType='Admin'}) {

    const dispatch = useDispatch();

    const { isLoginLoading = false, loginData = null, AdminDetails=null } = useSelector((state) => ({
      isLoginLoading: state.login?.isLoading ?? false,
      loginData: state.login?.data ?? null,
      AdminDetails: state.getUserDetail?.data || null,
    }));

    if((userType =='Admin' && AdminDetails?.data?.UserType == 'Admin')){
        return (
            <>
                {children}
            </>
        )
    }else if((userType =='AccountManager' && AdminDetails?.data?.UserType == 'Account manager')){
        return (
            <div>
                {children}
            </div>
        )
    }else if((userType =='AdminAccManager' && (AdminDetails?.data?.UserType == 'Admin' || AdminDetails?.data?.UserType == 'Account manager') )){
        return (
            <div>
                {children}
            </div>
        )
    }
    else{
        return null;
    }
}

export default RestrictUserType
