import React from "react";
import { Input, Label } from "reactstrap";
import { isValidArray } from "../../modules/utils";

const SelectFieldFormik = ({
  id = "",
  name = "",
  type = "text",
  label = "",
  placeholder = "",
  isLabelRequired = false,
  onChange,
  className = "",
  options = [],
  value = "",
  isFirstOpDisable = false,
  isFirstOption = false,
  isLower = false,
}) => {
  return (
    <>
      {isLabelRequired == true ? <Label for={name}>{label}</Label> : ""}
      <Input
        type="select"
        name={name}
        id={id}
        onChange={onChange}
        placeholder={placeholder}
        className={className}
        selected={value}
        defaultValue=""
        value={value}
      >
        {isFirstOption && <option value={""}>Select Option</option>}
        {isValidArray(options) &&
          options.map((item, i) => {
            return (
              <option
                disabled={isFirstOpDisable && i == 0}
                key={i}
                value={item.value}
              >
                {item.label}
              </option>
            );
          })}
      </Input>
    </>
  );
};

export default SelectFieldFormik;
