import React from "react";
import { Input, Label } from "reactstrap";
import { isValidArray } from "../../modules/utils";

const SelectFieldImport = ({
  id = "",
  name = "",
  type = "text",
  label = "",
  placeholder = "",
  isLabelRequired = false,
  handleSelectChange,
  className = "",
  options = [],
  value = "",
  isFirstOpDisable = false,
  isFirstOption = false,
  isDisabled = false,
  index,
  column,
}) => {
  return (
    <>
      {isLabelRequired == true ? <Label for={name}>{label}</Label> : ""}
      <Input
        type="select"
        name={name}
        id={id}
        onChange={(e) => handleSelectChange(index, e, column)}
        placeholder={placeholder}
        className={className}
        value={value}
        // defaultValue={""}
        disabled={isDisabled}
        readOnly={isDisabled}
      >
        {isFirstOption && <option value={""}>Select Option</option>}
        {isValidArray(options) &&
          options.map((item, i) => {
            return (
              <option
                disabled={isFirstOpDisable && i == 0}
                key={i}
                value={item.value}
              >
                {item.label}
              </option>
            );
          })}
      </Input>
    </>
  );
};

export default SelectFieldImport;
