// import React from 'react'

// function TableDragDrop() {
//     return (
//         <div>
//             TableDragDrop
//         </div>
//     )
// }

// export default TableDragDrop

import React from "react";
import {
  DragDropContext,
  Droppable,
  Draggable,
  provider,
} from "react-beautiful-dnd";
import ReactTable from "react-table-6";
import Select from "react-select";
import { debounce } from "lodash";
import { connect } from "react-redux";
import PaginationContainer from "react-js-pagination";

// import { fetchEventDetails } from "../../actions/events/details";
// import { fetchSponsorUpdate } from "../../actions/sponsor/update";
// import { fetchSponsorDelete } from "../../actions/sponsor/delete";
// import { fetchSponsorUpdatePriority } from "../../actions/sponsor/updatePriority";

import {
  getApiSingleDetails,
  getQueryParam,
  reorderArray,
  sortArrayByKey,
  toastWarning,
} from "../../modules/utils";

// import editSponsor from "../../assets/images/edit_sponsor_icon.svg";

// import settings from "../../settings";

// import logo from "../../assets/images/newnorm-square-logo.svg";

import "react-table-6/react-table.css";

// import NoData from "./NoData";

class DragTrComponent extends React.Component {
  render() {
    const { children = null, rowInfo, isDragDisabled = false } = this.props;
    if (rowInfo) {
      const { original, index } = rowInfo;
      const { _id } = original;
      return (
        <Draggable
          key={_id}
          index={index}
          draggableId={_id}
          isDragDisabled={isDragDisabled}
        >
          {(draggableProvided, draggableSnapshot) => (
            <div
              ref={draggableProvided.innerRef}
              {...draggableProvided.draggableProps}
              {...draggableProvided.dragHandleProps}
            >
              <ReactTable.defaultProps.TrComponent>
                {children}
              </ReactTable.defaultProps.TrComponent>
              {draggableProvided.placeholder}
            </div>
          )}
        </Draggable>
      );
    } else
      return (
        <ReactTable.defaultProps.TrComponent>
          {children}
        </ReactTable.defaultProps.TrComponent>
      );
  }
}

class DropTbodyComponent extends React.Component {
  render() {
    const { children = null } = this.props;

    return (
      <Droppable droppableId="droppable">
        {(droppableProvided, droppableSnapshot) => (
          <div ref={droppableProvided.innerRef}>
            <ReactTable.defaultProps.TbodyComponent>
              {children}
            </ReactTable.defaultProps.TbodyComponent>
          </div>
        )}
      </Droppable>
    );
  }
}

const pageSize = 10;

class TableDragDrop extends React.Component {
  state = {
    activePage: 1,
    editId: "",
    editType: "",
    data: [],
    deleteModal: false,
    deletedId: "",
  };

  constructor(props) {
    super(props);

    this.setListData = this.setListData.bind(this);
    this.handleDragEnd = this.handleDragEnd.bind(this);
    this.getTrProps = this.getTrProps.bind(this);
    this.setEditCell = this.setEditCell.bind(this);
    this.handleBoothSizeChange = this.handleBoothSizeChange.bind(this);
    this.handleBoothLabelChange = this.handleBoothLabelChange.bind(this);
    this.updateSelectFieldData = this.updateSelectFieldData.bind(this);
    this.onKeyDown = this.onKeyDown.bind(this);
    this.getColumns = this.getColumns.bind(this);
    this.getData = this.getData.bind(this);
    this.paginationByOffset = this.paginationByOffset.bind(this);

    this.handleNameChange = this.handleNameChange.bind(this);
    this.doNameChange = this.doNameChange.bind(this);
    // this.debounceNameChange = debounce(
    //   this.doNameChange,
    //   settings.debounceWait
    // );
    // this.debounceSponsorLabelChange = debounce(
    //   this.doSponsorLabelChange,
    //   settings.debounceWait
    // );
  }

  getColumnsData = () => {
    return [
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
    ];
  };

  componentDidMount() {
    this.setListData([
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
      {
        JobID: 20,
        JobName: "Job Id",
        JobQuery: "JobID",
      },
    ]);
  }

  componentDidUpdate(prevProps) {
    const { search: oldSearch, sponsorListLoading: oldLoading } = prevProps;
    const { search: newSearch, sponsorListLoading: newLoading } = this.props;

    if (oldSearch !== newSearch) {
      this.setState({
        activePage: 1,
      });
    }
    if (oldLoading !== newLoading) {
      this.setListData();
    }
  }

  setListData = () => {
    const { listData = [] } = this.props;

    this.setState({
      data: listData,
      activePage: 1,
    });
  };

  handleDragEnd = (result) => {
    if (!result.destination) {
      return;
    }

    const { activePage } = this.state;
    const pageIndex = (activePage - 1) * pageSize;
    const startAt = pageIndex + result.source.index;
    const endAt = pageIndex + result.destination.index;

    let data = reorderArray(this.state.data, startAt, endAt);

    let updateData = [];

    data = data.map((d, i) => {
      let priority = d.priority;

      if (startAt < endAt && i >= startAt && i < endAt) {
        priority = d.priority - 1;
      } else if (startAt > endAt && i > endAt && i <= startAt) {
        priority = d.priority + 1;
      } else if (startAt !== endAt && i === endAt) {
        priority = this.state.data[endAt].priority;
      }

      if (priority !== d.priority) {
        updateData.push({
          sponsor_id: d._id,
          priority,
        });
      }

      return {
        ...d,
        priority,
      };
    });

    if (updateData.length) {
      this.props.fetchSponsorUpdatePriority(updateData);
    }

    this.setState({
      data,
    });
  };

  getTrProps = (state, rowInfo) => {
    const { search = "" } = this.props;
    return { rowInfo, isDragDisabled: search !== "" };
  };

  setEditCell = (editId = "", editType = "") => {
    this.setState({
      editId,
      editType,
    });
  };

  redirectToSponsorSite = (url) => {
    if (url) {
      let redirectUrl = url;
      if (
        !url.includes("localhost") &&
        !url.includes("https") &&
        url.includes("http")
      ) {
        redirectUrl = `https:${url.split(":")[1]}`;
      } else if (
        !url.includes("localhost") &&
        !url.includes("https") &&
        !url.includes("http")
      ) {
        redirectUrl = `https:${url}`;
      }
      window.open(redirectUrl, "_blank");
    } else {
      //   toastWarning("Link has not been added");
    }
  };

  deleteSponsor = (id) => {
    this.props.fetchSponsorDelete(id).then(() => {
      const { sponsorDelete } = this.props;

      if (sponsorDelete) {
        let data = [...this.state.data];
        data = data.filter((d) => d._id !== id);

        this.setState({
          data: data,
        });
      }
    });
  };

  handleBoothSizeChange = (id, option) => {
    let data = [...this.state.data];
    const { eventDetails } = this.props;
    let boothSize = {};
    const {
      booth_size_1,
      booth_size_2,
      booth_size_3,
      booth_size_4,
      booth_size_5,
    } = eventDetails[0]?.booth_config || {};

    if (booth_size_1["title"] === option.value) {
      boothSize = booth_size_1;
    } else if (booth_size_2["title"] === option.value) {
      boothSize = booth_size_2;
    } else if (booth_size_3["title"] === option.value) {
      boothSize = booth_size_3;
    } else if (booth_size_4["title"] === option.value) {
      boothSize = booth_size_4;
    } else if (booth_size_5["title"] === option.value) {
      boothSize = booth_size_5;
    }
    const boothConfig = {
      booth_config: {
        booth_invitation_limit: boothSize.booth_invitation_limit,
        offer_and_deals: boothSize.offer_and_deals,
        product_service: boothSize.product_service,
        representatives: boothSize.representatives,
        video: boothSize.video,
      },
      booth_size: option.value,
    };
    data = data.map((d) => {
      if (d._id === id) {
        return {
          ...d,
          ...boothConfig,
        };
      }
      return d;
    });
    this.updateSelectFieldData(data, {
      sponsor_id: id,
      ...boothConfig,
    });
  };

  handleBoothLabelChange = (id, sponsorLabel) => {
    let data = [...this.state.data];

    data = data.map((d) => {
      if (d._id === id) {
        return {
          ...d,
          sponsor_label: sponsorLabel,
        };
      }
      return d;
    });

    this.setState(
      {
        data: data,
      }
      //   () => this.debounceSponsorLabelChange(id, sponsorLabel)
    );
  };

  updateSelectFieldData = (data, formData) => {
    this.setState(
      {
        data,
      },
      () => {
        this.props.fetchSponsorUpdate(formData.sponsor_id, formData);
        this.setEditCell("", "");
      }
    );
  };

  handleNameChange = (id, name) => {
    let data = [...this.state.data];

    data = data.map((d) => {
      if (d._id === id) {
        return {
          ...d,
          name: name,
        };
      }
      return d;
    });

    this.setState(
      {
        data: data,
      }
      //   () => this.debounceNameChange(id, name)
    );
  };

  doNameChange = (sponsor_id, name) => {
    this.props.fetchSponsorUpdate(sponsor_id, {
      sponsor_id,
      name,
    });
  };

  doSponsorLabelChange = (sponsor_id, sponsor_label) => {
    this.props.fetchSponsorUpdate(sponsor_id, {
      sponsor_id,
      sponsor_label,
    });
  };

  onKeyDown = (e) => {
    if (e.key === "Enter") {
      this.setEditCell("", "");
    }
  };

  openDeleteMenu = (id) => {
    this.setState((prevState, props) => {
      if (prevState.deleteModal) {
        return { ...prevState, deleteModal: false, deletedId: id };
      }
      return { ...prevState, deleteModal: true, deletedId: id };
    });
  };

  getColumns = () => {
    return [
      {
        minWidth: 20,
        Header: "Job Id",
        id: "JobID",
        accessor: "JobID",
        sortable: true,
      },
      {
        minWidth: 100,
        Header: "Job Name",
        id: "JobName",
        accessor: "JobName",
        sortable: true,
      },
      {
        minWidth: 300,
        Header: "Job Query",
        id: "JobQuery",
        accessor: "JobQuery",
        style: { whiteSpace: "break-spaces" },
        sortable: true,
      },
      {
        minWidth: 70,
        Header: "Job Trigger",
        id: "JobTrigger",
        accessor: "JobTrigger",
        sortable: true,
      },
    ];
  };

  getFilterData = () => {
    const { data } = this.state;

    const { search = "", filter = {} } = this.props;
    const { sponsorCategory = [], boothSize = [] } = filter;

    return data;
    //   .filter((d) =>
    //     sponsorCategory.length
    //       ? d.category_id && sponsorCategory.includes(d.category_id)
    //       : true
    //   )
    //   .filter((d) =>
    //     boothSize.length
    //       ? d.booth_size && boothSize.includes(d.booth_size)
    //       : true
    //   )
    //   .filter((d) =>
    //     search
    //       ? d.name && d.name.toLowerCase().includes(search.toLowerCase())
    //       : true
    //   );
  };

  getData = () => {
    const { activePage = 1 } = this.state;

    return this.getFilterData().slice(
      (activePage - 1) * pageSize,
      activePage * pageSize
    );
  };

  getPagination = () => {
    const { activePage = 1 } = this.state;

    return (
      <div className="">
        <PaginationContainer
          activePage={activePage}
          itemsCountPerPage={pageSize}
          pageRangeDisplayed={10}
          totalItemsCount={this.getFilterData().length}
          onChange={this.paginationByOffset}
          innerClass="pagination"
        />
      </div>
    );
  };

  paginationByOffset = (page) => {
    this.setState({ activePage: page });
  };

  render() {
    const { boothSizeLoading = false, boothSizeUpdateLoading = false } =
      this.props;

    const columns = this.getColumns();
    const data = this.getData();
    let eventId = this.props.eventId;
    // const NoDataConst = (props) => <NoData eventId={eventId} {...props} />;

    return (
      <div className="sponsors_table">
        <DragDropContext onDragEnd={this.handleDragEnd}>
          <ReactTable
            loading={boothSizeLoading || boothSizeUpdateLoading}
            TrComponent={DragTrComponent}
            TbodyComponent={DropTbodyComponent}
            getTrProps={this.getTrProps}
            data={data}
            columns={columns}
            defaultPageSize={pageSize}
            className="-striped -highlight"
            showPagination={false}
            sortable={false}
            multiSort={false}
            resizable={false}
            filterable={false}
            // noDataText={NoDataConst}
          />
        </DragDropContext>
        {this.getPagination()}
      </div>
    );
  }
}

const mapStateToProps = (state) => {
  return {
    // boothSizeUpdateLoading: state.boothSizeUpdate.isLoading,
    // eventDetails: getApiSingleDetails(state.eventDetails.data),
    // sponsorListLoading: state.sponsorListByEventId.isLoading,
    // sponsorDelete: getApiSingleDetails(state.sponsorDelete.data),
  };
};

const mapDispatchToProps = {
  // fetchSponsorUpdate,
  // fetchSponsorUpdatePriority,
  // fetchEventDetails,
  // fetchSponsorDelete,
};

export default connect(mapStateToProps, mapDispatchToProps)(TableDragDrop);
