import React from "react";
import { ErrorMessage } from "formik";
import { Input, Label } from "reactstrap";

const TextArea = ({
  id = "",
  className = "",
  disabled = false,
  name = "",
  label = "",
  placeholder = "",
  isLabelRequired = false,
  onChange,
  value,
  style,
  rows,
}) => {
  return (
    <>
      {isLabelRequired == true ? <Label for={name}>{label}</Label> : ""}
      <Input
        style={{ 
          whiteSpace: "pre-wrap", 
          height: "50px", 
          ...style 
        }}
        rows={rows || "8"}
        className={className}
        type="textarea"
        name={name}
        id={id}
        disabled={disabled}
        placeholder={placeholder}
        onChange={onChange}
        value={value}
      />
    </>
  );
};

export default TextArea;
