import { numberWithCommas } from "modules/utils";
import React from "react";

const KeyStatisticsCard = ({ data }) => {
  return (
    // <div className="panel-body" style={{ height: "432px", overflow: "auto" }}>
    <div className="panel-body">
      <div className="row">
        <div className="col-12" style={{ paddingLeft: "10px" }}>
          <b>{data?.content?.user_organisation?.data}</b>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats" id="card1">
            <div className="card-header card-header-success card-header-icon">
              <div className="card-icon card-grey">
                <i className={data?.content?.total_products?.icon}></i>
              </div>
              <h3 className="text-secondary">
                {data?.content?.total_products?.title}
              </h3>
              <div className="card-left">
                <a
                  href={`/showReport/${data?.content?.total_products?.reportURL}`}
                >
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(data?.content?.total_products?.data)}
              </h3>
            </div>
          </div>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats" id="card2">
            <div className="card-header card-header-success card-header-icon">
              <div className="card-icon card-grey">
                <i className={data?.content?.total_users?.icon}></i>
              </div>
              <h3 className="text-secondary">
                {data?.content?.total_users?.title}
              </h3>
              <div className="card-left">
                <a href={`/showReport/${data?.content?.total_users?.reportID}`}>
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(data?.content?.total_users?.data)}
              </h3>
            </div>
          </div>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats" id="card3">
            <div className="card-header card-header-success card-header-icon">
              <div className="card-icon card-grey">
                <i className={data?.content?.total_catalogs?.icon}></i>
              </div>
              <h3 className="text-secondary">
                {data?.content?.total_catalogs?.title}
              </h3>
              <div className="card-left">
                <a
                  href={`/showReport/${data?.content?.total_catalogs?.reportID}`}
                >
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(data?.content?.total_catalogs?.data)}
              </h3>
            </div>
          </div>
        </div>
      </div>
      <div className="row">
        <div className="col-lg-12 col-md-12 col-sm-12">
          <b>{data?.content?.user_catalog?.data}</b>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats">
            <div className="card-header card-header-success card-header-icon">
              <div className="card-icon">
                <i className={data?.content?.total_collections?.icon}></i>
              </div>
              <h3 className="text-secondary">
                {" "}
                {data?.content?.total_collections?.title}
              </h3>
              <div className="card-left">
                <a
                  href={`/showReport/${data?.content?.total_collections?.reportID}`}
                >
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(data?.content?.total_collections?.data)}
              </h3>
            </div>
          </div>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats">
            <div className="card-header card-header-warning card-header-icon">
              <div className="card-icon">
                <i
                  className={data?.content?.products_not_in_collection?.icon}
                ></i>
              </div>
              <h3 className="text-secondary">Products Not in a Collection</h3>
              <div className="card-left">
                <a
                  href={`/showReport/${data?.content?.products_not_in_collection?.reportID}`}
                >
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(
                  data?.content?.products_not_in_collection?.data
                )}
              </h3>
            </div>
          </div>
        </div>
        <div className="col-lg-4 col-md-4 col-sm-4">
          <div className="card card-stats">
            <div className="card-header card-header-warning card-header-icon">
              <div className="card-icon">
                <i className={data?.content?.empty_collections?.icon}></i>
              </div>
              <h3 className="text-secondary">
                {" "}
                {data?.content?.empty_collections?.title}
              </h3>
              <div className="card-left">
                <a
                  href={`/showReport/${data?.content?.empty_collections?.reportID}`}
                >
                  View detailed report
                </a>
              </div>
              <h3 className="card-title">
                {numberWithCommas(data?.content?.empty_collections?.data)}
              </h3>
            </div>
          </div>
        </div>
      </div>
    </div>
  );
};

export default KeyStatisticsCard;
