import { isValidArray } from "modules/utils";
import React from "react";

const ProductCard = ({ data }) => {
  return (
    <div>
      <h4>Product</h4>
      <i></i>
      <ul className="card-list">
        {isValidArray(data?.content?.Product?.data) &&
          data?.content?.Product?.data?.map((d, i) => (
            <li key={i}>
              <a href={`/showReport/${d?.reportURL}`}>{d?.reportName}</a>
            </li>
          ))}
      </ul>
      <h4>Catalog Structure</h4>
      <i></i>
      <ul className="card-list">
        {isValidArray(data?.content["Catalog Structure"]?.data) &&
          data?.content["Catalog Structure"]?.data?.map((d, i) => (
            <li key={i}>
              <a href={`/showReport/${d?.reportURL}`}>{d?.reportName}</a>
            </li>
          ))}
      </ul>
      <h4>Exception</h4>
      <i>{data?.content?.Exception?.description}</i>
      <ul className="card-list">
        {isValidArray(data?.content?.Exception?.data) &&
          data?.content?.Exception?.data?.map((d, i) => (
            <li key={i}>
              <a href={`/showReport/${d?.reportURL}`}>{d?.reportName}</a>
            </li>
          ))}
      </ul>
      <h4>Organisation</h4>
      <i></i>
      <ul className="card-list">
        {isValidArray(data?.content?.Organisation?.data) &&
          data?.content?.Organisation?.data?.map((d, i) => (
            <li key={i}>
              <a href={`/showReport/${d?.reportURL}`}>{d?.reportName}</a>
            </li>
          ))}
      </ul>
      <h4>Master Setup</h4>
      <i></i>
      <ul className="card-list">
        {isValidArray(data?.content["Master Setup"]?.data) &&
          data?.content["Master Setup"]?.data?.map((d, i) => (
            <li key={i}>
              <a href={`/showReport/${d?.reportURL}`}>{d?.reportName}</a>
            </li>
          ))}
      </ul>
    </div>
  );
};

export default ProductCard;
