import React, { Fragment } from "react";
import {
  BarChart,
  Bar,
  XAxis,
  YAxis,
  CartesianGrid,
  Tooltip,
  Legend,
  ResponsiveContainer,
} from "recharts";

import { isValidArray } from "modules/utils";

const UserStatisticsCard = ({ data }) => {
  return (
    <Fragment>
      {/* <ResponsiveContainer width="100%" height="100%">
        <BarChart
          width="100%"
          height="100%"
          data={data?.content?.chartData}
          margin={{
            top: 5,
            right: 30,
            left: 20,
            bottom: 5,
          }}
        >
          <CartesianGrid strokeDasharray="3 3" />
          <XAxis dataKey="name" />
          <YAxis />
          <Tooltip />
          <Legend />
          <Bar dataKey="FirstName" fill="#8884d8" name="Name" />
          <Bar dataKey="login_count" fill="#82ca9d" name="# of logins" />
        </BarChart>
      </ResponsiveContainer> */}
      <div className="report-exports-section">
        <span>All Users</span>
        <table>
          <th>Name</th>
          <th>Last Login</th>
          <tbody>
            {isValidArray(data?.content?.userData) &&
              data?.content?.userData?.map((item) => {
                return (
                  <>
                    <tr>
                      <td>{item?.Name}</td>
                      <td>{item?.LastLogin}</td>
                    </tr>
                  </>
                );
              })}
          </tbody>
        </table>
      </div>
    </Fragment>
  );
};

export default UserStatisticsCard;
