import ManageCatalog from "components/ManageCatalog/ManageCatalog";
import { getAuthToken, removeAuthToken } from "modules/utils";
import React, { useEffect, useState } from "react";
import { useHistory } from "react-router-dom";
import {
  Dropdown,
  DropdownItem,
  DropdownMenu,
  DropdownToggle,
} from "reactstrap";
import Producty_rev from "../../assets/images/Producty_rev.png";

export default function ElefantTree() {
  const hasAuthToken = getAuthToken();
  const history = useHistory();
  const [isProfileDropdownOpen, setProfileDropdown] = useState(false);

  useEffect(() => {
    if (!hasAuthToken) {
      history.push("/elefant/login");
    }
  }, []);

  const logoutHandle = () => {
    removeAuthToken();
    history.push("/elefant/login");
  };

  return (
    <>
      <nav className="navbar navbar-default header-nav myNav " id="myNavbar">
        <div
          id="navbarCollapse"
          className="navbar-collapse d-flex justify-content-between custom-navbar"
        >
          <ul className="nav navbar-nav" id="myMenu">
            <li className="cursor-pointer">
              <a onClick={() => history.push("/home")}>
                <img src={Producty_rev} alt="Producty" />
              </a>
            </li>
          </ul>
          <div className="navbar-btn-section">
            <Dropdown
              isOpen={isProfileDropdownOpen}
              toggle={() => setProfileDropdown(!isProfileDropdownOpen)}
            >
              <DropdownToggle className="sign-out-btn">
                <i className={"fa-solid fa-bars"}></i>
              </DropdownToggle>
              <DropdownMenu
                className="profile-icon-drp-menu"
                container="body"
                style={{ maxWidth: "20%" }}
              >
                <DropdownItem onClick={() => logoutHandle()}>
                  Logout
                </DropdownItem>
              </DropdownMenu>
            </Dropdown>
          </div>
        </div>
      </nav>
      <div
        className={
          location.pathname === "/Products"
            ? "full-body-content product_attribute_grid"
            : "full-body-content-elefantTree"
        }
      >
        <ManageCatalog bodyPart={<></>} pagePlanner={false} isElefant={true} />
      </div>
      <footer className="elefantTreeFooter">
        <div></div>
      </footer>
    </>
  );
}
