import React, { useEffect } from "react";
import { Formik } from "formik";
import { displayFormErrors, resetPasswordForm } from "modules/validations";
import { useDispatch, useSelector } from "react-redux";
import { fetchLogin } from "redux/actions/auth/login";
import { useHistory } from "react-router";
import { getAuthToken } from "modules/utils";
import InputField from "components/Common/InputField";
import { Form } from "reactstrap";
import { fetchGetPasswordResetLink } from "redux/actions/users/getPasswordResetLink";

const ForgotPassword = () => {
  const dispatch = useDispatch();

  const handleSubmit = (values) => {
    const formData = {
      email: values.email,
    };
    dispatch(fetchGetPasswordResetLink(formData)).then((data) => {
      // if (data?.data?.flag) {
      //   history.push("/home");
      // }
    });
  };

  return (
    <Formik
      initialValues={{
        email: "",
      }}
      validationSchema={resetPasswordForm()}
      onSubmit={handleSubmit}
    >
      {({
        values,
        errors,
        touched,
        handleChange,
        handleBlur,
        handleSubmit,
        submitCount,
        setFieldValue,
      }) => {
        const showError = (key) =>
          displayFormErrors(key, errors, touched, submitCount);
        return (
          <div className="register-page">
            <div className="product-login">Reset Password</div>
            <div className="register-welcome">
              <Form>
                <div>
                  <InputField
                    type="text"
                    name="email"
                    placeholder="Email address"
                    className="login-text"
                    onChange={handleChange}
                    value={values.email || ""}
                  />
                  {showError("email")}
                  <button
                    className="login loginmodal-submit"
                    type="submit"
                    onClick={handleSubmit}
                  >
                    Send Email
                  </button>
                  {/* <InputField
                  type="submit"
                  name="submit-forgot"
                  className="login loginmodal-submit"
                /> */}
                </div>
              </Form>
            </div>
          </div>
        );
      }}
    </Formik>
  );
};

export default ForgotPassword;
