import React, { useEffect, useState } from "react";
import { useDispatch, useSelector } from "react-redux";
import { fetchBreadCrumb } from "redux/actions/manageCatalog/breadCrumb";

function Breadcrum({ catalogId, children }) {
  const dispatch = useDispatch();
  const { isLoading = false, breadCrumb = null } = useSelector((state) => ({
    breadCrumb: state.breadCrumb?.data?.data || null,
    isLoading: state.breadCrumb?.loading || false,
  }));

  useEffect(() => {
    if (catalogId !== 0) {
      dispatch(fetchBreadCrumb(catalogId)).then((data) => {});
    }
  }, [catalogId]);

  return breadCrumb?.length > 0 && !isLoading ? (
    <div className="breadcrumb-text">
      {breadCrumb}
      {children}
    </div>
  ) : (
    <div>&nbsp;</div>
  );
}

export default Breadcrum;
