import React, { Fragment, useEffect, useState } from "react";
import InputField from "components/Common/InputField";
import { insertParam, isValidArray, setLocalStorageItem } from "modules/utils";
import { Button, Modal, ModalBody } from "reactstrap";
import SidebarList from "./SidebarList";
import AddCategoryModal from "./AddCategoryModal";
import DeleteCategoryModal from "./DeleteCategoryModal";
import infoDeleteicon from "../../assets/images/infoDeleteicon.png";

const SideBar = ({
  setCatalogId,
  catalogId,
  catelogTreeList,
  isRoot,
  setIsRoot,
  setIsDragDrop,
  isDragDrop,
  catalogDataList,
  categoryName,
  setCategoryName,
  searchCategory,
  isAddHighlightClass,
  isElefant,
}) => {
  const [isAddCategoryOpen, setIsAddCategoryOpen] = useState(false);
  const [isDeleteCategoryOpen, setIsDeleteCategoryOpen] = useState(false);
  const [parentId, setParentId] = useState("");
  const [deletedCategoryModal, setDeletedCategoryModal] = useState(false);
  const [isDeletedCategory, setIsDeletedCategory] = useState(false);
  // const [categoryName, setCategoryName] = useState("");

  const toggleCategoryModal = () => {
    setIsAddCategoryOpen((val) => !val);
  };

  const toggleDeleteModal = () => {
    setIsDeleteCategoryOpen((val) => !val);
  };

  const handleDeleteModal = () => {
    setDeletedCategoryModal(!deletedCategoryModal);
  };

  useEffect(() => {
    if (isDeletedCategory) {
      setDeletedCategoryModal(true);
    }
  }, [isDeletedCategory]);
  const dragEnable = () => {
    setIsDragDrop(true);
  };
  if (isElefant) {
    return (
      <>
        <Fragment>
          <div className="catalog-sidebar" id="catalog-sidebar-two">
            <div className={`catalog-siderbar-menu-detail`}>
              <div className={`searchbar-menu `}>
                <div className="d-flex  align-items-center search-input-btn">
                  <Button
                    className="btn-big-font"
                    // onClick={() => dragEnable()}
                    disabled={isDragDrop}
                  >
                    Build Content
                  </Button>
                </div>
              </div>
            </div>
          </div>
        </Fragment>
      </>
    );
  }
  return (
    <Fragment>
      <div className="catalog-sidebar" id="catalog-sidebar-two">
        <div
          className={`catalog-siderbar-menu-detail ${isDeleteCategoryOpen ? "highlight-sidebar-section" : ""
            }`}
        >
          <div className={`searchbar-menu `}>
            <div className="d-flex justify-content-center align-items-center search-input-btn">
              <Button
                className="btn-big-font"
                onClick={() => dragEnable()}
                disabled={isDragDrop}
              >
                Drag
              </Button>
              <Button
                className="btn-big-font"
                onClick={toggleCategoryModal}
              //  disabled={!parentId}
              >
                Add
              </Button>
              <Button
                className="btn-big-font"
                onClick={toggleDeleteModal}
                // disabled={isRoot}
                disabled={isRoot}
              >
                Delete
              </Button>
            </div>
            <div>
              <InputField
                type="text"
                name="searchProductCode"
                placeholder="Search"
                onChange={searchCategory}
                value={categoryName}
              />
            </div>
          </div>
        </div>
      </div>
      {isAddCategoryOpen && (
        <AddCategoryModal
          isOpen={isAddCategoryOpen}
          toggle={toggleCategoryModal}
          parentId={parentId}
        />
      )}
      {isDeleteCategoryOpen && (
        <DeleteCategoryModal
          isOpen={isDeleteCategoryOpen}
          toggle={toggleDeleteModal}
          categoryId={catalogId}
          isDeleted={setIsDeletedCategory}
          catelogTreeList={catelogTreeList}
        />
      )}

      {/* {deletedCategoryModal && (
        <Modal
          className="conformation-popup catalog-popup delect-catalog-model"
          isOpen={deletedCategoryModal}
          toggle={handleDeleteModal}
          size={"lg"}
        >
          <ModalBody>
            <div className="alert-img">
              <img src={infoDeleteicon} alt="cancel" />
            </div>
            <h4 className="mb-3">DELETED !</h4>
            <span className="text-muted">
              Your selected category has been deleted
            </span>
            <div className="model-bottom-btn-section mt-4">
              <Button
                color="primary save-btn confirm-y"
                onClick={handleDeleteModal}
              >
                OK
              </Button>
            </div>
          </ModalBody>
        </Modal>
      )} */}
    </Fragment>
  );
};

export default SideBar;
