import { useEffect } from "react";
import React, { useState } from "react";
// import './App.css';
import { DragDropContext, Droppable, Draggable } from "react-beautiful-dnd";
import { Button, Input } from "reactstrap";

import SelectField from "components/Common/SelectField";
import UnLinkModal from "./UnLinkModal";
import { fetchAttributeSetupData } from "redux/actions/manageCatalog/attributeSetupData";
import { useDispatch, useSelector } from "react-redux";
import { fetchUnlinkParentAttribute } from "redux/actions/manageCatalog/unlinkParentAttribute";
import InputField from "components/Common/InputField";
import { fetchUpdateAttributeSetupData } from "redux/actions/manageCatalog/updateAttributeSetupData";
import { fetchUpdateProductAttributeSortOrder } from "redux/actions/manageCatalog/updateProductAttributeSortOrder";
import { fetchLinkAttribute } from "redux/actions/manageCatalog/linkAttribute";
import { fetchDeleteAttributeSetup } from "redux/actions/manageCatalog/deleteAttributeSetup";
import DeleteModalWithoutHeader from "components/Common/Modal/DeleteModalWithoutHeader";
import { filterFieldData } from "modules/utils";
import { fetchGetAllAttributeSchemaList } from "redux/actions/output/getAllAttributeSchemaList";
import { fetchUpdateCategoryAttributeSchema } from "redux/actions/manageCatalog/updateCategoryAttributeSchema";
import Loader from "components/Common/Loader";
import { fetchUpdateSchemaAttributes } from "redux/actions/output/updateSchemaAttributes";
import { fetchAddAttributeToSchema } from "redux/actions/output/addAttributeToSchema";

const AttributeSetup = ({ catalogId, isRoot, activeTab }) => {
  const dispatch = useDispatch();
  const [unlinkModal, setUnlinkModal] = useState(false);
  const [linkModal, setLinkModal] = useState(false);

  const [items, setItems] = useState([]);

  const [isEdit, setIsEdit] = useState(false);
  const [isAddAttribute, setIsAddAttribute] = useState(false);
  const [tempDeleteID, setTempDeleteID] = useState();

  const [addAttributeOptions, setAddAttributeOptions] = useState([]);
  const [categorySchemaOptions, setCategorySchema] = useState([]);
  console.log(
    "🚀 ~ file: AttributeSetup.js:38 ~ AttributeSetup ~ categorySchemaOptions:",
    categorySchemaOptions
  );
  const [selectedAddAttribute, setSelectedAddAttribute] = useState("");
  console.log(
    "🚀 ~ file: AttributeSetup.js:35 ~ AttributeSetup ~ selectedAddAttribute:",
    selectedAddAttribute
  );
  const [selectedCategorySchema, setSelectedCategorySchema] = useState("");
  console.log(
    "🚀 ~ file: AttributeSetup.js:40 ~ AttributeSetup ~ selectedCategorySchema:",
    selectedCategorySchema
  );
  const [addNewAttributeItems, setAddNewAttributeItems] = useState([]);
  const [deleteAttributeModal, setDeleteAttributeModal] = useState(false);
  const [selectedAttrIdDelete, setSelectedAttrIdDelete] = useState(0);
  const [selectedAttrWidthDelete, setSelectedAttrWidthDelete] = useState(0);
  const [searchValue, setSearchValue] = useState("");
  const [isRootShow, setIsRootShow] = useState(false);

  const {
    isLoading = false,
    attributeSetupData = null,
    getCategoryDetails = null,
    getAllAttributeSchemaList = null,
    getAllAttributeSchemaLoading = null,
  } = useSelector((state) => ({
    attributeSetupData: state.attributeSetupData?.data?.data || null,
    isLoading: state.attributeSetupData?.loading || false,
    getCategoryDetails: state.getCategoryDetails?.data?.data || false,
    getAllAttributeSchemaList: state.getAllAttributeSchemaList?.data?.data,
    getAllAttributeSchemaLoading: state.getAllAttributeSchemaList?.loading,
  }));
  console.log(
    "🚀 ~ file: AttributeSetup.js:46 ~ AttributeSetup ~ getAllAttributeSchemaList:",
    getAllAttributeSchemaList
  );
  useEffect(() => {
    if (activeTab == "attributeSetup") {
      getInitAttributeSetup();
    }
  }, [catalogId]);

  const getInitAttributeSetup = () => {
    dispatch(fetchAttributeSetupData(catalogId)).then((data) => {
      console.log("🚀 ~ file: AttributeSetup.js:66 ~ dispatch ~ data:", data);
      dispatch(fetchGetAllAttributeSchemaList()).then((res) => {
        getAllCategorySchema(res?.data);
        const schemaName = res?.data.filter((d) => {
          return d?.CatalogAttributeSchemaID === data?.data?.SchemaID;
        });

        setSelectedCategorySchema(data?.data?.SchemaID);
      });
      setIsRootShow(data?.data?.IsRoot === 1 ? true : false);
      const result = getAttributeSetupList(data?.data?.categoryAttributes);
      getAddAttributeOptions(data?.data?.missingAttributes);
      setItems(result);
    });
  };

  const getAttributeSetupList = (data) => {
    const value = data?.map((item) => {
      return {
        attributeId: item.AttributeID,
        isVirtualAttribute: item.isVirtualAttribute,
        attributeName: item.AttributeName,
        width: item.ColumnWidth,
        sort: item.SortOrder,
      };
    });

    return value;
  };

  const getAddAttributeOptions = (data) => {
    const single = data.map((item) => {
      return {
        label: item.AttributeName,
        value: item.AttributeID,
      };
    });
    const options = [{ label: "Add Attribute", value: "" }, ...single];
    setAddAttributeOptions(options);
  };

  const getAllCategorySchema = (data, preSelectedId) => {
    const single = data.map((item) => {
      return {
        value: item?.CatalogAttributeSchemaID,
        label: item?.CatalogAttributeSchemaName,
      };
    });
    const options = [{ label: "Select Schema", value: "" }, ...single];
    setCategorySchema(options);
  };

  const handleUnlinkModal = () => {
    setUnlinkModal(!unlinkModal);
  };
  const handleLinkModal = () => {
    setLinkModal(!linkModal);
  };

  const handleLink = () => {
    const formData = {
      CategoryID: String(catalogId),
    };
    dispatch(fetchLinkAttribute(formData)).then((data) => {
      getInitAttributeSetup();
      handleLinkModal();
    });
  };

  const appendNewAttribute = (selectedAddAttribute1) => {
    var getItemData = addAttributeOptions.find(
      (item) => item.value == selectedAddAttribute1
    );
    let itemArr = {
      attributeId: getItemData.value,
      attributeName: getItemData.label,
      width: "",
    };
    var attributeData = [...addNewAttributeItems, itemArr];

    setAddNewAttributeItems(attributeData);
    setIsAddAttribute(true);
  };

  const handleUnlink = () => {
    const formData = {
      CategoryID: String(catalogId),
    };
    dispatch(fetchUnlinkParentAttribute(formData)).then((data) => {
      handleUnlinkModal();
      getInitAttributeSetup();
    });
  };
  const widthTotal = items.reduce(
    (total, currentItem) => (total = total + Number(currentItem.width)),
    0
  );

  const handleDeleteAttribute = () => {
    if (isAddAttribute) {
      if (tempDeleteID > -1) {
        addNewAttributeItems.splice(tempDeleteID, 1);
      }
      handleDeleteAttributeModal();
    } else {
      const formData = {
        CategoryID: String(catalogId),
        AttributeID: String(selectedAttrIdDelete),
        Width: String(selectedAttrWidthDelete),
      };
      dispatch(fetchDeleteAttributeSetup(formData)).then((data) => {
        getInitAttributeSetup();
        handleDeleteAttributeModal();
      });
    }
    if (addNewAttributeItems.length === 0) {
      setIsEdit(false);
      setIsAddAttribute(false);
    }
  };

  const handleDeleteAttributeModal = () => {
    setDeleteAttributeModal(!deleteAttributeModal);
  };

  const updateCategorySchema = (id) => {
    const formData = {
      CategoryID: parseInt(catalogId),
      AttributeSchemaID: id,
    };
    dispatch(fetchUpdateCategoryAttributeSchema(formData)).then((res) => {
      if (res) {
        getInitAttributeSetup();
      }
      console.log("🚀 ~ file: AttributeSetup.js:312 ~ dispatch ~ res:", res);
    });
  };

  return (
    <>
      {isLoading || (getAllAttributeSchemaLoading && <Loader />)}
      <div className="category-display-template m-4 product-attribute-drop">
        <div className="w-100 text-center h5">
          Product attributes are now managed via Setup &gt; Attributes &gt;
          Attribute Schema
        </div>
        <div className="tableorganisation  category-table attribute-table-setup center-text-tbl product-tableBorder">
          <div className="d-flex justify-content-between align-center mb-2">
            <div className="tabcontent w-25" style={{ paddingLeft: 0 }}>
              <SelectField
                className="w-100"
                name="categorySchema"
                options={categorySchemaOptions}
                onChange={(e) => {
                  setSelectedCategorySchema(e);
                  updateCategorySchema(e);
                }}
                value={selectedCategorySchema}
                isDisabled={isEdit}
              />
            </div>
          </div>
        </div>
        {/* {attributeSetupData?.inheritAttribute == 0 && (
          <div className="right-top-btn-section category-textsetup-btn">
            {isEdit || isAddAttribute ? (
              <>
                <Button onClick={handleSave}>Save</Button>
                <Button
                  onClick={() => {
                    setIsEdit(false);
                  }}
                  className="cancel-btn-red"
                >
                  Cancel
                </Button>
              </>
            ) : (
              <Button onClick={() => setIsEdit(true)}>Edit</Button>
            )}
          </div>
        )} */}

        {/* <div className="tableorganisation  category-table attribute-table-setup center-text-tbl product-tableBorder">
          <div className="d-flex justify-content-between align-center mb-2">
            <div className="tabcontent w-25" style={{ paddingLeft: 0 }}>
              <SelectField
                className="w-100"
                name="categorySchema"
                options={categorySchemaOptions}
                onChange={(e) => {
                  setSelectedCategorySchema(e);
                  updateCategorySchema(e);
                }}
                value={selectedCategorySchema}
                isDisabled={isEdit}
              />
              <div
                className="right-top-btn-section mt-3 w-100 d-flex"
                style={{ marginBottom: 16 }}
              >
                {isEdit || isAddAttribute ? (
                  <>
                    <Button onClick={handleSave}>Save</Button>
                    <Button
                      onClick={() => {
                        setIsEdit(false);
                      }}
                      className="cancel-btn-red"
                    >
                      Cancel
                    </Button>
                  </>
                ) : (
                  <Button onClick={() => setIsEdit(true)}>Edit</Button>
                )}
              </div>
            </div>
            <div className="tabcontent">
              <label className="form-label">Search: </label>
              <input
                name="search"
                type="text"
                className="form-control"
                value={searchValue}
                onChange={(e) => handleSearch(e.target.value)}
              />
            </div>
          </div>

          <DragDropContext onDragEnd={onDragEnd}>
            <Droppable droppableId="Table">
              {(provided) => (
                <table
                  {...provided.droppableProps}
                  ref={provided.innerRef}
                  border={"2px"}
                >
                  <thead>
                    <th>Attribute ID</th>
                    <th>Attribute Name</th>
                    <th>Width (mm)</th>
                    <th>Sort</th>
                    <th>Delete</th>
                  </thead>
                  <tbody>
                    {items.map((item, index) => (
                      <Draggable
                        key={item.attributeId}
                        draggableId={String(item.attributeId)}
                        index={index}
                      >
                        {(provided) => (
                          <tr
                            ref={provided.innerRef}
                            {...provided.draggableProps}
                            {...provided.dragHandleProps}
                          >
                            <td className="attirbute-bg-color">
                              {item.attributeId}{" "}
                              {item.isVirtualAttribute ? (
                                <div
                                  className="attribute-id-bg"
                                  data-toggle="tooltip"
                                  data-placement="top"
                                  title="Catalog attribute"
                                  style={{ backgroundColor: "#999" }}
                                ></div>
                              ) : (
                                ""
                              )}
                            </td>
                            <td>{item.attributeName}</td>
                            {!isEdit ? (
                              <td>{item.width}</td>
                            ) : (
                              <InputField
                                type="text"
                                // name="data"
                                onChange={(e) => {
                                  handleChange(
                                    item.attributeId,
                                    e.target.value
                                  );
                                }}
                                value={item.width}
                              />
                            )}
                            <td>{item.sort}</td>
                            <td>
                              <Button
                                onClick={() => {
                                  handleDeleteAttributeModal();
                                  setSelectedAttrIdDelete(item.attributeId);
                                  setSelectedAttrWidthDelete(item.width);
                                }}
                                disabled={
                                  attributeSetupData?.inheritAttribute == 1
                                    ? true
                                    : false
                                }
                              >
                                Delete
                              </Button>
                            </td>
                          </tr>
                        )}
                      </Draggable>
                    ))}

                    {provided.placeholder}

                    {addNewAttributeItems.map((item, index) => (
                      <>
                        <tr key={index}>
                          <td>{item.attributeId}</td>
                          <td>{item.attributeName}</td>
                          <td>
                            <InputField
                              type="text"
                              // name="data"
                              onChange={(e) => {
                                handleChange(item.attributeId, e.target.value);
                              }}
                              value={item.width || ""}
                            />
                          </td>
                          <td>{item.sort}</td>
                          <td>
                            <Button
                              onClick={() => {
                                handleDeleteAttributeModal();
                                setTempDeleteID(index);
                              }}
                            >
                              Delete
                            </Button>
                          </td>
                        </tr>
                      </>
                    ))}

                    {!searchValue && (
                      <tr>
                        <td></td>
                        <td></td>
                        <td>
                          <b>{widthTotal}</b>
                        </td>
                        <td></td>
                        <td></td>
                      </tr>
                    )}
                  </tbody>
                </table>
              )}
            </Droppable>
          </DragDropContext>
        </div> */}

        {/* <div className="row">
          <div className="col-md-2">
            {attributeSetupData?.inheritAttribute == 0 ? (
              <SelectField
                name="addAttribute"
                options={addAttributeOptions}
                onChange={(e) => {
                  setSelectedAddAttribute(e);
                  appendNewAttribute(e);
                }}
                value={selectedAddAttribute}
                isDisabled={isEdit}
              />
            ) : (
              ""
            )}
          </div>
        </div> */}
        {!isRootShow && attributeSetupData?.inheritAttribute == 1 ? (
          <>
            <div>
              <p className="mt-4">
                <b>
                  Attributes shown on products in this category are linked from
                  level above
                </b>
              </p>
              <Button className="unlink-model-btn" onClick={handleUnlinkModal}>
                Un-link
              </Button>
            </div>
            {unlinkModal && (
              <UnLinkModal
                isOpen={unlinkModal}
                toggle={handleUnlinkModal}
                unLinkFunction={handleUnlink}
                modalText="Do you want to unlink product attributes for this category?"
              />
            )}
          </>
        ) : (
          <>
            <div>
              {isRootShow ? (
                <p className="mt-4"></p>
              ) : (
                <>
                  {" "}
                  <p className="mt-4">
                    <b>
                      Attributes shown on products in this category are not
                      linked from level above
                    </b>
                  </p>
                  <Button onClick={handleLinkModal}>Link</Button>
                </>
              )}
            </div>
          </>
        )}
        {linkModal && (
          <UnLinkModal
            isOpen={linkModal}
            toggle={handleLinkModal}
            unLinkFunction={handleLink}
            modalText="Do you want to link product attributes for this category?"
          />
        )}
        {deleteAttributeModal && (
          <DeleteModalWithoutHeader
            toggle={handleDeleteAttributeModal}
            deleteFunction={handleDeleteAttribute}
            isOpen={deleteAttributeModal}
          />
        )}
      </div>
    </>
  );
};

export default AttributeSetup;
