import SelectField from "components/Common/SelectField";
import React from "react";
import {
  Button,
  Input,
  Label,
  Modal,
  ModalBody,
  ModalHeader,
} from "reactstrap";

export default function AddNewAttributeInGridModal({
  toggle,
  isOpen,
  missingAttribute,
  newAddedAttributeWidth,
  setNewAddedAttributeWidth,
  newAddedAttributeValue,
  setNewAddedAttributeValue,
  handleAddNewAttribute,
}) {
  return (
    <div>
      <Modal
        className="conformation-popup"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"md"}
      >
        <ModalBody>
          <div className="model-label-input">
            <div className="row align-center">
              <div className="col-12 mb-3">
                <Label>Add New Attribute </Label>
                <SelectField
                  className="mt-1"
                  options={missingAttribute}
                  onChange={(e) => {
                    setNewAddedAttributeValue(e);
                  }}
                  value={newAddedAttributeValue}
                />

                <Input
                  style={
                    {
                      // width: "100%",
                      // borderColor: "black",
                      // borderWidth: 1,
                      // marginBottom: 20,
                    }
                  }
                  label={"Width"}
                  className="mt-2"
                  type="text"
                  size="1"
                  value={newAddedAttributeWidth}
                  onChange={(e) => setNewAddedAttributeWidth(e.target.value)}
                  placeholder={"Attribute Width"}
                />
              </div>
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button
              color="primary save-btn confirm-y"
              onClick={() => {
                handleAddNewAttribute();
              }}
            >
              {" "}
              Save
            </Button>
            <Button
              color="primary cancel-btn confirm-n"
              onClick={() => toggle()}
            >
              {" "}
              Cancel
            </Button>
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}
