import { isValidArray, setLocalStorageItem } from "modules/utils";
import React from "react";
import { useDispatch, useSelector } from "react-redux";
import { Button, Label, Modal, ModalBody, ModalHeader } from "reactstrap";
import { fetchUpdateUserCatalog } from "redux/actions/masterSetup/updateUserCatalog";

function CatalogChangeModal({
  toggle,
  isOpen,
  catalogId,
  catalogList,
  catalogDataList,
  setSelectCatalog,
  catalogOptions,
}) {
  const options = catalogOptions;
  console.log("🚀 ~ file: CatalogChangeModal.js:17 ~ options:", options);
  const { isLoading = false, checkCategoryCatalog = null } = useSelector(
    (state) => ({
      checkCategoryCatalog: state.checkCategoryCatalog?.data?.data || null,
      isLoading: state.checkCategoryCatalog?.loading || false,
    })
  );
  const dispatch = useDispatch();

  const handleChangeCatalog = () => {
    const formData = {
      organisationId: checkCategoryCatalog.OrganisationID,
      catalogId: checkCategoryCatalog.CatalogID,
    };

    dispatch(fetchUpdateUserCatalog(formData)).then((data) => {
      console.log(
        "🚀 ~ file: CatalogChangeModal.js:30 ~ dispatch ~ data:",
        data
      );

      const value =
        isValidArray(options) &&
        options.filter((d) => d?.value == checkCategoryCatalog.CatalogID);
      console.log(
        "🚀 ~ file: CatalogChangeModal.js:39 ~ dispatch ~ value:",
        value,
        value?.[0]?.label
      );
      setLocalStorageItem("parentID", catalogId);
      setSelectCatalog(catalogId);
      toggle();
      catalogList();
    });
  };
  const cancelPopup = () => {
    toggle();
    catalogDataList();
  };
  return (
    <div>
      <Modal
        className="conformation-popup manageOranization-model"
        isOpen={isOpen}
        toggle={() => cancelPopup()}
        size={"lg"}
      >
        <ModalHeader toggle={() => cancelPopup()}>Change catalog</ModalHeader>
        <ModalBody>
          <div className="model-label-input imagesize-delete-model ">
            <div className="row align-center">
              {/* <div className="col-4"> */}
              <p>
                The link you have followed is not within your active catalog.
                Please confirm you wish to change your active catalog to view
                this link ?
              </p>
              {/* </div> */}
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button
              color="primary save-btn confirm-y"
              onClick={handleChangeCatalog}
            >
              {" "}
              Yes
            </Button>
            <Button
              color="primary cancel-btn confirm-n"
              onClick={() => cancelPopup()}
            >
              {" "}
              No
            </Button>
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default CatalogChangeModal;
