import CheckBox from "components/Common/CheckBox";
import TextArea from "components/Common/TextArea";
import React from "react";
import {
  Button,
  Input,
  Label,
  Modal,
  ModalBody,
  ModalFooter,
  ModalHeader,
} from "reactstrap";

export default function ProductTextModal({
  isOpen,
  toggle,
  setTextAreaVal,
  textAreaVal,
  checkBoxVal,
  setSetCheckBoxVal,
  handleAddProductData,
}) {
  return (
    <Modal
      // className="conformation-popup"
      isOpen={isOpen}
      toggle={toggle}
      size="md"
    >
      <ModalHeader className="justify-content-center">
        Add products from text
      </ModalHeader>
      <ModalBody className="justify-content-center">
        <div className="model-label-input imagesize-delete-model justify-content-center mt-3 mb-4">
          <div className="row align-center">
            <Label>
              Copy/paste or type product codes below (one product per line)
            </Label>
          </div>
        </div>
        {/* <TextArea
          id="customCSS"
          className="mb-4"
          name="customCSS mt-5"
          onChange={(e) => setTextAreaVal(e.target.value)}
          value={textAreaVal}
          rows={10}
        /> */}
        <textarea
          onChange={(e) => setTextAreaVal(e.target.value)}
          value={textAreaVal}
          rows={10}
          cols={50}
        />
        <div className="custom-checkbox-right mt-5">
          <div className="custom-checkbox right-custom">
            <Input
              type="checkbox"
              name="onboardingCharge"
              defaultChecked={true}
              onChange={(e) => setSetCheckBoxVal(e.target.checked ? 1 : 0)}
              value={checkBoxVal}
            />
            <Label
              check
            >{`Add product records if they don't already exist`}</Label>{" "}
          </div>
        </div>

        <div className="model-bottom-btn-section">
          <Button
            color="primary save-btn confirm-y"
            onClick={() => handleAddProductData()}
          >
            {" "}
            Add Products
          </Button>
          <Button color="danger cancel-btn confirm-n" onClick={() => toggle()}>
            {" "}
            Cancel
          </Button>
        </div>
      </ModalBody>
    </Modal>
  );
}
