import MultiSelectCheckboxMenu from "components/Common/MultiSelectCheckboxMenu";
import TextArea from "components/Common/TextArea";
import { isValidArray } from "modules/utils";
import React from "react";
import { Input, Label } from "reactstrap";

const TypeWiseField = ({
  fieldType,
  categoryItems,
  handleChange,
  productId,
  isTextArea,
  columnName,
  options = [],
  style,
  readOnly,
}) => {
  let multiSelectOptions = [];
  let multiSelectOptionsValue = [];

  if (fieldType === "set") {
    multiSelectOptions = options.map((d, i) => {
      return {
        value: d,
        label: d,
      };
    });

    if (isValidArray(categoryItems?.value)) {
      multiSelectOptionsValue = categoryItems?.value;
    } else {
      if (
        categoryItems?.value !== null &&
        categoryItems?.value !== undefined &&
        typeof categoryItems?.value === "string"
      ) {
        let categoryArr = categoryItems?.value?.split(",");
        if (isValidArray(categoryArr)) {
          multiSelectOptionsValue = categoryArr.map((d, i) => {
            return {
              value: d,
              label: d,
            };
          });
        }
      }
    }
  }
  if (isTextArea) {
    return (
      <TextArea
        className="p-0 m-0"
        style={style}
        onChange={(e) => {
          handleChange(
            productId,
            columnName,
            e.target.value,
            categoryItems?.name
          );
        }}
        value={categoryItems?.value}
      />
    );
  }

  if (fieldType === "enum") {
    if(readOnly)
    {
      return (
        <Input
          className="p-0 m-0"
          style={style}
          type="text"
          value={categoryItems?.value}
          onChange={(e) => {
            handleChange(
              productId,
              columnName,
              e.target.value,
              categoryItems?.name
            );
          }}
          readOnly={readOnly}
        />
      );
    }

    return options.map((d, i) => {
      return (
        <>
          <Input
            type="radio"
            value={d}
            checked={d === categoryItems?.value}
            onChange={(e) =>
              handleChange(
                productId,
                columnName,
                e.target.value,
                categoryItems?.name
              )
            }
          />
          <Label>{d}</Label>
          <br></br>
        </>
      );
    });
  }
  if (fieldType === "set") {
    if(readOnly)
    {
      return (
        <Input
          style={style}
          type="text"
          value={categoryItems?.value}
          onChange={(e) => {
            handleChange(
              productId,
              columnName,
              e.target.value,
              categoryItems?.name
            );
          }}
          readOnly={readOnly}
        />
      );
    }

    return (
      <MultiSelectCheckboxMenu
        options={multiSelectOptions}
        productId={productId}
        columnName={columnName}
        categoryName={categoryItems?.name}
        handleChange={handleChange}
        value={multiSelectOptionsValue}
      />
    );
  }
  return (
    <Input
      style={style}
      type="text"
      value={categoryItems?.value}
      onChange={(e) => {
        handleChange(
          productId,
          columnName,
          e.target.value,
          categoryItems?.name
        );
      }}
      readOnly={readOnly}
    />
  );
};

export default TypeWiseField;
