import React, { useEffect, useState } from "react";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import ProductList from "../../productList/ProductList";
import EditTabs from "./editTab/EditTabs";
import PreviewBlob from "./previewBlob/PreviewBlob";
import ProductAttHisory from "../../productAttHistory/ProductAttHistory";
import { getLocalStorageItem } from "../../../../modules/utils";
import { useParams } from "react-router";

function EditProduct() {
  const ProductId = getLocalStorageItem("ProductId");
  const { productCode } = useParams();
  const initialActiveTab = {
    edit: "active",
    previewBlob: "",
    productList: "",
    productAttHistory: "",
    activeTab: "edit",
  };
  const [activeTab, setActiveTab] = useState(initialActiveTab);

  useEffect(() => {
    document.title = "Edit Product | Producty®";
  }, []);

  const handleTab = (tabName) => {
    if (tabName == "edit") {
      setActiveTab({
        edit: "active",
        previewBlob: "",
        productList: "",
        productAttHistory: "",
        activeTab: "edit",
      });
    } else if (tabName == "previewBlob") {
      setActiveTab({
        edit: "",
        previewBlob: "active",
        productList: "",
        productAttHistory: "",
        activeTab: "previewBlob",
      });
    } else if (tabName == "productList") {
      setActiveTab({
        edit: "",
        previewBlob: "",
        productList: "active",
        productAttHistory: "",
        activeTab: "productList",
      });
    } else if (tabName == "productAttHistory") {
      setActiveTab({
        edit: "",
        previewBlob: "",
        productList: "",
        productAttHistory: "active",
        activeTab: "productAttHistory",
      });
    }
  };

  return (
    <div>
      <Nav tabs>
        <NavItem>
          <NavLink className={activeTab.edit} onClick={() => handleTab("edit")}>
            {`Edit ${productCode}`}
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.previewBlob}
            onClick={() => handleTab("previewBlob")}
          >
            Preview Blob
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.productList}
            onClick={() => handleTab("productList")}
          >
            Product List
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.productAttHistory}
            onClick={() => handleTab("productAttHistory")}
          >
            Product Attribute History
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="edit">
          {activeTab.activeTab === "edit" && <EditTabs />}
        </TabPane>
        <TabPane tabId="previewBlob">
          {activeTab.activeTab === "previewBlob" && <PreviewBlob />}
        </TabPane>
        <TabPane tabId="productList">
          {activeTab.activeTab === "productList" && <ProductList />}
        </TabPane>
        <TabPane tabId="productAttHistory">
          {activeTab.activeTab === "productAttHistory" && <ProductAttHisory />}
        </TabPane>
      </TabContent>
    </div>
  );
}

export default EditProduct;
