import React, { useState } from "react";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import { getLocalStorageItem } from "../../../../../modules/utils";
import ManageAttribute from "./tabs/ManageAttribute";
import ProductAttHistory from "components/ManageProduct/productList/editProduct/editTab/tabs/ProductAttHistory";
import ProductCollection from "./tabs/ProductCollection";

function EditTabs() {
  const initialActiveTab = {
    manageAttribute: "active",
    productAttHistory: "",
    productCollection: "",
    activeTab: "manageAttribute",
  };
  const [activeTab, setActiveTab] = useState(initialActiveTab);

  const handleTab = (tabName) => {
    if (tabName == "manageAttribute") {
      setActiveTab({
        manageAttribute: "active",
        productAttHistory: "",
        productCollection: "",
        activeTab: "manageAttribute",
      });
    } else if (tabName == "productAttHistory") {
      setActiveTab({
        manageAttribute: "",
        productAttHistory: "active",
        productCollection: "",
        activeTab: "productAttHistory",
      });
    } else if (tabName == "productCollection") {
      setActiveTab({
        manageAttribute: "",
        productAttHistory: "",
        productCollection: "active",
        activeTab: "productCollection",
      });
    }
  };

  return (
    <div className="bg-whitColor">
      <Nav tabs>
        <NavItem>
          <NavLink
            className={activeTab.manageAttribute}
            onClick={() => handleTab("manageAttribute")}
          >
            Manage Attributes
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.productAttHistory}
            onClick={() => handleTab("productAttHistory")}
          >
            Product Attribute History
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.productCollection}
            onClick={() => handleTab("productCollection")}
          >
            Product Collection
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="manageAttribute">
          {activeTab.activeTab === "manageAttribute" && <ManageAttribute />}
        </TabPane>
        <TabPane tabId="productAttHistory">
          {activeTab.activeTab === "productAttHistory" && <ProductAttHistory />}
        </TabPane>
        <TabPane tabId="productCollection">
          {activeTab.activeTab === "productCollection" && <ProductCollection />}
        </TabPane>
      </TabContent>
    </div>
  );
}

export default EditTabs;
