/* eslint-disable react/react-in-jsx-scope */
import Units from "components/MasterSetup/Units/Units";
import AttributeSchema from "components/Output/exportSetup/attributeSchema/AttributeSchema";
import { useState } from "react";
import { useHistory } from "react-router-dom";
import { useParams } from "react-router-dom/cjs/react-router-dom.min";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import Attributes from "../Attributes";

export default function AttributeSetupTabHandler(props) {
  const { subtype } = useParams();

  const initialActiveTab = {
    attributes: subtype !== "AttributeSchema" ? "active" : "",
    AttributeSchema: subtype == "AttributeSchema" ? "active" : "",
    units: "units",
    activeTab: subtype || "attributes",
  };
  const [activeTab, setActivetab] = useState(initialActiveTab);
  const history = useHistory();

  const handleTab = (tabName) => {
    setActivetab({
      attributes: tabName === "attributes" ? "active" : "attributes",
      AttributeSchema:
        tabName === "AttributeSchema" ? "active" : "AttributeSchema",
      units: tabName === "units" ? "active" : "units",
      activeTab: tabName,
    });
    if (tabName === "AttributeSchema") {
      history.push(`/Setup/Attributes/${tabName}`);
    } else if (tabName === "attributes") {
      history.push(`/Setup/Attributes`);
    } else if (tabName === "units") {
      history.push(`/Setup/Attributes`);
    }
  };

  return (
    <div>
      {" "}
      <Nav tabs>
        <NavItem>
          <NavLink
            className={activeTab.attributes}
            onClick={() => handleTab("attributes")}
          >
            Attributes
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.AttributeSchema}
            onClick={() => handleTab("AttributeSchema")}
          >
            Attribute Schema
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.units}
            onClick={() => handleTab("units")}
          >
            Units
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="attributes">
          {activeTab.activeTab === "attributes" && <Attributes />}
        </TabPane>
        <TabPane tabId="AttributeSchema">
          {activeTab.activeTab === "AttributeSchema" && (
            <AttributeSchema handleTabChange={() => {}} />
          )}
        </TabPane>
        <TabPane tabId="units">
          {activeTab.activeTab === "units" && <Units />}
        </TabPane>
      </TabContent>
    </div>
  );
}
