import React, { useEffect, useState } from "react";
import { useHistory } from "react-router-dom/cjs/react-router-dom.min";
import Table from "components/Common/Table";
import { useDispatch, useSelector } from "react-redux";
import Switch from "react-switch";
import { fetchGetDashboardItemsList } from "redux/actions/masterSetup/getDashboardItemsList";
import { fetchUpdateDashboardListItem } from "redux/actions/masterSetup/updateDashboardListItem";
import { Button } from "reactstrap";
import blockListing from "redux/reducers/blockBuilder/blockListing";

const Block = () => {
  const history = useHistory();

  const { isLoading = false, dashboardItem = null } = useSelector((state) => ({
    dashboardItem: state.getDashboardItemsList.data?.data,
    isLoading: state.getDashboardItemsList?.loading || false,
  }));

  const dispatch = useDispatch();

  useEffect(() => {
    getDashboardItemsList();
  }, []);

  const getDashboardItemsList = () => {
    dispatch(fetchGetDashboardItemsList()).then((data) => {});
    // dispatch(blockListing()).then((data) => {});
  };

  const handleBlockEdit = () => {
    history.push(`/Layout/${3}`);
  };

  const handleBlockDelete = () => {};

  const columns = [
    {
      minWidth: 150,
      Header: () => (
        <div
          style={{
            textAlign: "center",
          }}
        >
          Block ID
        </div>
      ),
      id: "DashboardItemID",
      accessor: "DashboardItemID",
    },
    {
      minWidth: 150,
      Header: () => (
        <div
          style={{
            textAlign: "center",
          }}
        >
          Block Name
        </div>
      ),
      id: "DashboardHeading",
      accessor: "DashboardHeading",
    },
    {
      minWidth: 300,
      Header: () => (
        <div
          style={{
            textAlign: "center",
          }}
        >
          Edit
        </div>
      ),
      accessor: "DashboardItemIsVisible",
      Cell: (d) => {
        return (
          <>
            <Button onClick={() => handleBlockEdit()}>Edit</Button>
            {" | "}
            <Button onClick={() => handleBlockDelete()}>Delete</Button>
          </>
        );
      },
    },
  ];

  return (
    <>
      <div className="tableorganisation bg-white manage-user-tbl-section center-text-tbl product-tableBorder">
        <Table
          columns={columns}
          isSearchRequired={false}
          Data={dashboardItem}
          getFilterData={() => dashboardItem}
          isLoading={isLoading}
          isDataPerPage={false}
          totalRecordVisible={false}
          showPagination={false}
        />
      </div>
    </>
  );
};

export default Block;
