import React, { useState } from "react";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import TextBlocks from "./TextBlocks";
import TextBlockSchema from "./TextBlockSchema";
import { useHistory, useParams } from "react-router-dom/cjs/react-router-dom.min";

export default function TextBlockTabs() {
  const { subtype } = useParams();
  const history = useHistory();

  const initialActiveTab = {
    textBlock: subtype !== "CategoryTextBlocksSchema" ? "active" : "",
    CategoryTextBlocksSchema: subtype == "CategoryTextBlocksSchema" ? "active" : "",
    activeTab: subtype || "textBlock",
  };
  const [activeTab, setActivetab] = useState(initialActiveTab);

  const handleTab = (tabName) => {
    setActivetab({
      textBlock: tabName === "textBlock" ? "active" : "textBlock",
      CategoryTextBlocksSchema:
        tabName === "CategoryTextBlocksSchema" ? "active" : "CategoryTextBlocksSchema",
      activeTab: tabName,
    });
    if (tabName === "CategoryTextBlocksSchema") {
      history.push(`/Setup/TextBlocks/${tabName}`);
    } else if (tabName === "textBlock") {
      history.push(`/Setup/TextBlocks`);
    }
  };

  return (
    <>
      <Nav tabs>
        <NavItem>
          <NavLink
            className={activeTab.textBlock}
            onClick={() => handleTab("textBlock")}
          >
            Category Text
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.CategoryTextBlocksSchema}
            onClick={() => handleTab("CategoryTextBlocksSchema")}
          >
            Category Text Schema
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="textBlock">
          {activeTab.activeTab === "textBlock" && <TextBlocks />}
        </TabPane>
        <TabPane tabId="CategoryTextBlocksSchema">
          {activeTab.activeTab === "CategoryTextBlocksSchema" && <TextBlockSchema />}
        </TabPane>
      </TabContent>
    </>
  );
}
