import React, { useEffect, useRef, useState } from "react";
import ProgressBar from "@ramonak/react-progress-bar";

const ImageComponent = ({ d, i, getLoading, imageProgress }) => {
  const [isBlur, setIsBlur] = useState(false);
  const node = useRef();

  useEffect(() => {
    const handleClickOutside = (e) => {
      if (
        node?.current?.contains(e.target) ||
        e?.target?.matches(`dropzone-img-box${i}, dropzone-img-box${i} *`)
      ) {
        if (!isBlur) {
          setIsBlur(true);
        }
      } else {
        if (isBlur) {
          setIsBlur(false);
        }
      }
    };

    document.addEventListener("mouseover", handleClickOutside);

    return () => {
      document.removeEventListener("mouseover", handleClickOutside);
    };
  }, [isBlur]);

  return (
    <div
      className={`dropzone-img-box dropzone-img-box${i}`}
      onClick={(e) => {
        e.preventDefault();
        e.stopPropagation();
      }}
      ref={node}
    >
      <img
        className={isBlur ? "dropzone-img-box-hover" : ""}
        src={d?.src ? d?.src : d?.file}
      />
      {getLoading(d, i) && (
        <ProgressBar
          completed={imageProgress}
          maxCompleted={100}
          isLabelVisible={false}
        />
      )}
      <span>{d.size}</span>
      {isBlur && <div>{d?.name}</div>}
    </div>
  );
};

export default ImageComponent;
