import React, { useState } from "react";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import ImageLabel from "./tabs/ImageLabel";
import ImageSize from "./tabs/ImageSize";
import ImageStore from "./tabs/ImageStore";

const MediaSetup = () => {
  const initialActiveTab = {
    imageLabel: "active",
    imageSize: "",
    imageStore: "",
    activeTab: "imageLabel",
  };
  const [activeTab, setActivetab] = useState(initialActiveTab);

  const handleTab = (tabName) => {
    if (tabName == "imageLabel") {
      setActivetab({
        imageLabel: "active",
        imageSize: "",
        imageStore: "",
        activeTab: "imageLabel",
      });
    } else if (tabName == "imageSize") {
      setActivetab({
        imageLabel: "",
        imageSize: "active",
        imageStore: "",
        activeTab: "imageSize",
      });
    } else if (tabName == "imageStore") {
      setActivetab({
        imageLabel: "",
        imageSize: "",
        imageStore: "active",
        activeTab: "imageStore",
      });
    }
  };
  return (
    <div>
      <Nav tabs>
        <NavItem>
          <NavLink
            className={activeTab.imageLabel}
            onClick={() => handleTab("imageLabel")}
          >
            Image Label
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.imageSize}
            onClick={() => handleTab("imageSize")}
          >
            Image Size
          </NavLink>
        </NavItem>
        <NavItem>
          <NavLink
            className={activeTab.imageStore}
            onClick={() => handleTab("imageStore")}
          >
            Image Store
          </NavLink>
        </NavItem>
      </Nav>
      <TabContent activeTab={activeTab.activeTab}>
        <TabPane tabId="imageLabel">
          {activeTab.activeTab === "imageLabel" && <ImageLabel />}
        </TabPane>
        <TabPane tabId="imageSize">
          {activeTab.activeTab === "imageSize" && <ImageSize />}
        </TabPane>
        <TabPane tabId="imageStore">
          {activeTab.activeTab === "imageStore" && <ImageStore />}
        </TabPane>
      </TabContent>
    </div>
  );
};

export default MediaSetup;
