import React, { useEffect, useState } from "react";
import { Nav, NavItem, NavLink, TabContent, TabPane } from "reactstrap";
import CreateFile from "./createFile/CreateFile";
import CreatLayout from "./creatLayout/CreatLayout";
import ExportSetup from "./exportSetup/ExportSetup";
import ExportHistory from "./exportHistory/ExportHistory";
import {
  useHistory,
  useParams,
} from "react-router-dom/cjs/react-router-dom.min";
import {
  getLocalStorageItem,
  isValidArray,
  setLocalStorageItem,
} from "modules/utils";

function Output() {
  const history = useHistory();
  const { activeTab: currentTab } = useParams();

  const initialActiveTab = {
    createFile: "active",
    exportSetup: "",
    exportHistory: "",
    createLayout: "",
    activeTab: "createFile",
  };

  const getTabName = {
    createFile: "CreateFile",
    exportSetup: "OutputSetup",
    exportHistory: "OutputHistory",
    createLayout: "CreateLayout",
  };

  const outputTabs = {
    CreateFile: "createFile",
    OutputSetup: "exportSetup",
    OutputHistory: "exportHistory",
    CreateLayout: "createLayout",
  };

  const [activeTab, setActiveTab] = useState("CreateFile");

  useEffect(() => {
    document.title = "Output | Producty®";
    const previousActiveRoute = getLocalStorageItem("outputActiveRoute");

    const currentValue =
      typeof outputTabs[currentTab] !== "undefined" &&
      outputTabs[initialActiveTab];

    handleTab(
      outputTabs[currentValue] ? outputTabs[currentValue] : previousActiveRoute
    );

    return () => {
      setLocalStorageItem("outputActiveRoute", "createFile");
    };
  }, []);

  const handleTab = (tabName) => {
    const currentValue =
      typeof getTabName[tabName] !== "undefined"
        ? getTabName[tabName]
        : getLocalStorageItem("outputActiveRoute");
    history.push("/Output/" + currentValue);

    if (tabName == "exportSetup") {
      setActiveTab({
        exportSetup: "active",
        createFile: "",
        exportHistory: "",
        createLayout: "",
        activeTab: "exportSetup",
      });
      setLocalStorageItem("outputActiveRoute", "exportSetup");
    } else if (tabName == "createFile") {
      setActiveTab({
        exportSetup: "",
        createFile: "active",
        exportHistory: "",
        createLayout: "",
        activeTab: "createFile",
      });
      setLocalStorageItem("outputActiveRoute", "createFile");
    } else if (tabName == "exportHistory") {
      setActiveTab({
        exportSetup: "",
        createFile: "",
        exportHistory: "active",
        createLayout: "",
        activeTab: "exportHistory",
      });
      setLocalStorageItem("outputActiveRoute", "exportHistory");
    } else if (tabName == "createLayout") {
      setActiveTab({
        exportSetup: "",
        createFile: "",
        exportHistory: "",
        createLayout: "active",
        activeTab: "createLayout",
      });
      setLocalStorageItem("outputActiveRoute", "createLayout");
    }
  };
  return (
    <>
      <div>
        <Nav tabs>
          <NavItem>
            <NavLink
              className={activeTab.createFile}
              onClick={() => handleTab("createFile")}
            >
              Create File
            </NavLink>
          </NavItem>
          <NavItem>
            <NavLink
              className={activeTab.createLayout}
              onClick={() => handleTab("createLayout")}
            >
              Create Layout
            </NavLink>
          </NavItem>
          <NavItem>
            <NavLink
              className={activeTab.exportSetup}
              onClick={() => handleTab("exportSetup")}
            >
              Output Setup
            </NavLink>
          </NavItem>
          <NavItem>
            <NavLink
              className={activeTab.exportHistory}
              onClick={() => handleTab("exportHistory")}
            >
              Output History
            </NavLink>
          </NavItem>
        </Nav>
        <TabContent activeTab={activeTab.activeTab}>
          <TabPane tabId="createFile">
            {activeTab.activeTab === "createFile" && <CreateFile />}
          </TabPane>
          <TabPane tabId="createLayout">
            {activeTab.activeTab === "createLayout" && <CreatLayout />}
          </TabPane>
          <TabPane tabId="exportSetup">
            {activeTab.activeTab === "exportSetup" && (
              <ExportSetup handleTab={handleTab} />
            )}
          </TabPane>
          <TabPane tabId="exportHistory">
            {activeTab.activeTab === "exportHistory" && <ExportHistory />}
          </TabPane>
        </TabContent>
      </div>
    </>
  );
}

export default Output;
