import React, { useEffect, useState } from "react";
import Select from "react-select";
import SelectField from "components/Common/SelectField";
import { useDispatch, useSelector } from "react-redux";
import {
  Button,
  Input,
  Label,
  Modal,
  ModalBody,
  ModalHeader,
  Tooltip,
} from "reactstrap";
import { fetchCatalogChildList } from "redux/actions/masterAdmin/catalogChildList";
import infoIconnew from "../../../assets/images/infoIconnew.png";
import { createFiles } from "redux/actions/output/CreateFiles";
import { useHistory } from "react-router-dom/cjs/react-router-dom.min";
import { fetchBlobList } from "redux/actions/manageProduct/editProduct/blobList";
import { isValidArray } from "modules/utils";
import { fetchCatalogDetails } from "redux/actions/masterAdmin/getCatalogDetails";
import { fetchGetUserCatalogDetail } from "redux/actions/output/getUserCatalogDetail";
import { fetchGetAllAttributeSchemaList } from "redux/actions/output/getAllAttributeSchemaList";
import SelectDropdownSearchable from "components/Common/SelectDropdownSearchable";
import { Steps } from "intro.js-react";
import { getIntroJs } from "redux/actions/introJS/fetchGetIntroJS";
import "intro.js/introjs.css";

function CreateFile() {
  const dispatch = useDispatch();
  const history = useHistory();
  const [selectOrganization, setSelectOrganization] = useState("");
  const [catalogDataList, setCatalogDataList] = useState([]);
  const [catalogDataListWithProducts, setCatalogDataListWithProducts] = useState([]);
  const [categoryID, setCategoryID] = useState([]);
  const [categoryIDTwo, setCategoryIDTwo] = useState([]);
  const [attributeSchema, setAttributeSchema] = useState(0);
  const [exportType, setExportType] = useState("");
  const [layoutInformation, setlayoutInformation] = useState("");
  const [languageOption, setLanguageOption] = useState("Separate columns");
  const [language, setLanguage] = useState("");
  const [format, setFormat] = useState("");
  const [formatTwo, setFormatTwo] = useState("");
  const [onBoardingCharge, setOnBoardingCharge] = useState(false);
  const [layoutInfoValue, setlayoutInfoValue] = useState(false);
  const [productBlobOption, setProductBlobOption] = useState([]);
  const [smartTable, setToggle] = useState(false);
  const [LayoutInformation, setToggleLI] = useState(false);
  const [productBlob, setProductBlob] = useState(false);
  const [allProductAttributes, setallProductAttributes] = useState(false);
  const [isSubmit, setIsSubmit] = useState(false);
  const [isSubmitTwo, setIsSubmitTwo] = useState(false);
  const [attributeSchemaListOption, setAttributeSchemaListOption] = useState(
    []
  );
  const [stepsEnabled, setStepsEnabled] = useState(false);
  const [initialStep, setInitialStep] = useState(0);
  const [steps, setSteps] = useState([]);

  // const [blobListOption, setBlobListOption] = useState([]);

  const { blobList = null, getUserCatalogDetail = null } = useSelector(
    (state) => ({
      blobList: state.blobList.data?.data,
      getUserCatalogDetail: state.getUserCatalogDetail.data?.data,
    })
  );

  const onExit = () => {
    setStepsEnabled(false);
  };

  const createStepData = (data) => {
    let steps;
    steps = data?.map((d) => {
      const element = d.elementIDName;
      const intro = d.content;
      return { element, intro };
    });
    return steps;
  };

  useEffect(() => {
    dispatch(fetchCatalogChildList()).then((data) => {
      let updated = data?.data?.map((item) => {
        return {
          label: item.text,
          value: item.id,
          level: item.level,
          // name1: `<div className="level-${item.level}" dangerouslySetInnerHTML={{__html: ${item.text}}}></div>`,
        };
      });
      setCatalogDataList(updated);

      setCatalogDataListWithProducts([
        { label: "All Products", value: "All Products", level: 0 },
        ...updated,
      ]);
    });

    dispatch(fetchGetAllAttributeSchemaList()).then((data) => {
      const result = data?.data.map((d, i) => {
        return {
          value: d?.CatalogAttributeSchemaID,
          label: d?.CatalogAttributeSchemaName,
        };
      });
      const single = [
        { label: "Catalog Setup", value: "0" },
        { label: "All Attributes", value: "-1" },
        ...result,
      ];
      setAttributeSchemaListOption(single);
    });

    dispatch(getIntroJs("output")).then((data) => {
      if (isValidArray(data?.data)) {
        const newData = data.data;
        const newSteps = isValidArray(newData) && createStepData(newData);
        setSteps(newSteps);
        setStepsEnabled(true);
      } else {
        setStepsEnabled(false);
      }
    });

    dispatch(fetchBlobList());

    dispatch(fetchGetUserCatalogDetail());
  }, []);

  const onSelect = (selectedList, selectedItem) => { };

  const onRemove = (selectedList, removedItem) => { };

  const handleChange = (value, type) => {
    const categoryIds = value.map((e) => e.value);
    if (type === "categoryID") {
      setCategoryID(categoryIds);
    } else {
      setCategoryIDTwo(categoryIds);
    }
  };

  const showAttributeSchemaListOption = () => {
    return attributeSchemaListOption?.map((item) => {
      return {
        label: item.label,
        value: item.value,
      };
    });
  };

  const submitData = () => {
    setIsSubmit(true);
    if (format && !(exportType && format === "json")) {
      // if (format && format === "json" && exportType != "Smart Tables") {
      const params = {
        categoryID,
        attributeSchema,
        exportType,
        layoutInformation,
        languageOption,
        format,
      };
      const apiVal = {
        ...params,
        attributeSchemaID: params?.attributeSchema,
      };
      dispatch(createFiles(apiVal)).then((data) => {
        if (data?.flag === true) {
          history.push("/success");
        }
      });
    }
  };

  const submitDataTwo = () => {
    // const params = {
    //   categoryIDTwo,
    //   onBoardingCharge,
    //   formatTwo,
    // };
    setIsSubmitTwo(true);
    let params;

    if (
      onBoardingCharge === "All Product Attributes"
        ? onBoardingCharge && formatTwo
        : onBoardingCharge
    ) {
      if (onBoardingCharge === "Product Blob") {
        params = {
          categoryID: categoryIDTwo,
          exportType: onBoardingCharge,
          layoutInfo: layoutInfoValue,
          ProductBlobID: productBlobOption,
          //   attributeSchemaID: attributeSchema,
          // "format": "Product Blob",
        };
      } else {
        params = {
          categoryID: categoryIDTwo,
          exportType: onBoardingCharge,
          layoutInfo: layoutInfoValue,
          format: formatTwo,
          //  attributeSchemaID: attributeSchema,
        };
      }
      dispatch(createFiles(params)).then((data) => {
        if (data?.flag === true) {
          history.push("/success");
        }
      });
    }
  };

  const attributeSchemaOptions = [
    { value: 0, label: "Catalog Setup" },
    { value: -1, label: "All Attributes" },
    { value: 1, label: "Drakes PDF Schema" },
    { value: 4, label: "Drakes Product Grid Schema" },
  ];

  return (
    <>
      <Steps
        enabled={stepsEnabled}
        steps={steps}
        initialStep={initialStep}
        onExit={onExit}
        onComplete={() => setStepsEnabled(false)}
        options={{ doneLabel: "Done" }}
      />
      <div className="bg-white common-space output-create-file-section">
        <div className="row">
          <div className="col-6">
            <div className="export-name">
              <h4 className="output-tab-title">
                Category Structure & Product Attributes
              </h4>
            </div>
            <div className="create-box">
              <div className="create-box-label">Select Catalog/Category</div>
              <Select
                isMulti
                className="custom-select-box"
                options={catalogDataList}
                // menuIsOpen={true}
                categoryIDs={categoryID}
                placeholder="Select an option"
                formatOptionLabel={function (data) {
                  return (
                    <span
                      className={`level-${data.level}`}
                      dangerouslySetInnerHTML={{ __html: data.label }}
                    />
                  );
                }}
                onChange={(value) => handleChange(value, "categoryID")}
                isSearchable={true}
              />
            </div>
            <div className="create-box">
              <div className="create-box-label">Select Attribute Schema</div>
              <Select
                name="attributeSchema"
                formatOptionLabel={function (data) {
                  return (
                    <span
                      className={`level-${data.level}`}
                      dangerouslySetInnerHTML={{ __html: data.label }}
                    />
                  );
                }}
                id="attributeSchema"
                className="custom-select-box"
                placeholder="Catalog Setup"
                options={showAttributeSchemaListOption()}
                onChange={(e) => setAttributeSchema(e.value)}
                // value={attributeSchema}
                isSearchable={true}
              />
            </div>
            <div className="create-box">
              <div className="custom-checkbox-right">
                <div className="create-box-label">Select Options:</div>
                <div className="custom-checkbox">
                  <Input
                    type="checkbox"
                    name="onboardingCharge"
                    onChange={(e) =>
                      setExportType(e.target.checked ? "Smart Tables" : null)
                    }
                    value={onBoardingCharge}
                  />
                  <Label check>Smart Tables</Label>{" "}
                  <div className="info-btn">
                    <img
                      src={infoIconnew}
                      alt="smartTable"
                      data-toggle="tooltip"
                      id="TooltipExample"
                      title=""
                    />
                    <Tooltip
                      flip
                      target="TooltipExample"
                      placement="bottom-start"
                      toggle={() => setToggle(!smartTable)}
                      isOpen={smartTable}
                      autohide={false}
                    >
                      Export Easy-Catalog ready format including category
                      structure and product attributes transformed as smart
                      tables to reduce template variations required.
                    </Tooltip>
                  </div>
                </div>
                <div className="custom-checkbox">
                  <Input
                    type="checkbox"
                    name="layoutInfoValue"
                    onChange={(e) =>
                      setlayoutInformation(e.target.checked ? 1 : 0)
                    }
                    value={layoutInfoValue}
                  />
                  <Label check>Layout Information</Label>{" "}
                  <div className="info-btn">
                    <img
                      src={infoIconnew}
                      alt="LayoutInformation"
                      data-toggle="tooltip"
                      id="TooltipLIExample"
                      title=""
                    />
                    <Tooltip
                      flip
                      target="TooltipLIExample"
                      placement="bottom-start"
                      toggle={() => setToggleLI(!LayoutInformation)}
                      isOpen={LayoutInformation}
                      autohide={false}
                    >
                      Export Easy-Catalog ready format including category
                      structure and product attributes along with Grid positions
                      and block positions transformed as layout information to
                      reduce template variations required.
                    </Tooltip>
                  </div>
                </div>
                {exportType && format == "json" ? (
                  <p style={{ color: "red" }}>
                    Smart Tables/Layout Information can only be downloaded as
                    XLSX file.
                  </p>
                ) : (
                  ""
                )}
              </div>
            </div>
            {getUserCatalogDetail?.enableMultiLanguage ? (
              <div className="create-box">
                <div className="create-box-label">Select Language Options:</div>
                <div className="custom-radio-btn">
                  <Input
                    type="radio"
                    name="language"
                    onChange={(e) => setLanguageOption("Separate columns")}
                    value="Separate columns"
                    checked={
                      languageOption == "Separate columns" ? true : false
                    }
                  />
                  <Label check>Separate Columns</Label>{" "}
                </div>
                <div className="custom-radio-btn">
                  <Input
                    type="radio"
                    name="language"
                    onChange={(e) => setLanguageOption("Separate files")}
                    value="Separate files"
                  />
                  <Label check>Separate Files</Label>{" "}
                </div>
              </div>
            ) : (
              ""
            )}

            <div className="formatDiv">
              <div className="formatDiv">
                <div className="create-box-label">File Format : </div>
                <div className="custom-radio-btn">
                  <Label className="radio-inline xlsx_radio"></Label>
                  <Input
                    type="radio"
                    name="format"
                    value="xlsx"
                    onChange={(e) => setFormat("xlsx")}
                  />
                  .XLSX
                </div>
                <div className="custom-radio-btn">
                  <Label className="radio-inline json_radio"></Label>
                  <Input
                    type="radio"
                    name="format"
                    onChange={(e) => setFormat("json")}
                    value="json"
                  />
                  .JSON
                </div>
                <div className="custom-radio-btn">
                  <Label className="radio-inline json_radio"></Label>
                  <Input
                    type="radio"
                    name="format"
                    onChange={(e) => setFormat("json(Flat)")}
                    value="json(Flat)"
                  />
                  .JSON (Flat version)
                </div>
                {isSubmit && format == "" ? (
                  <p style={{ color: "red" }}>
                    File format is a required field.
                  </p>
                ) : (
                  ""
                )}
              </div>
            </div>
            <div className="create-file-btn-section">
              <button
                // disabled={exportType && format == "json"}
                type="button"
                className="btn btn-secondary btn-default export-edit exportAttributesSubmitBtn"
                value="submit_export"
                name="submit_export"
                onClick={() => submitData()}
              >
                Export
              </button>
            </div>
          </div>
          <div className="col-6">
            <div className="export-name">
              <h4 className="output-tab-title">
                Products & Product Attributes
              </h4>
            </div>
            <div className="create-box">
              <div className="create-box-label">Select Catalog/Category</div>
              <Select
                isMulti
                className="custom-select-box"
                options={catalogDataListWithProducts}
                // menuIsOpen={true}
                categoryIDs={categoryIDTwo}
                placeholder="Select an option"
                formatOptionLabel={function (data) {
                  return (
                    <span
                      className={`level-${data.level}`}
                      dangerouslySetInnerHTML={{ __html: data.label }}
                    />
                  );
                }}
                onChange={(value) => handleChange(value, "categoryIDTwo")}
                isSearchable={true}
              />
              {/* <Select
                options={catalogDataList}
                categoryIDs={categoryID}
                onSelect={() => onSelect()}
                onRemove={() => onRemove()}
                displayValue="Select Catalog/Category"
              /> */}
            </div>
            <div className="create-box">
              <div className="create-box-label">Export Type:</div>
              <div className="custom-radio-btn">
                <Input
                  type="radio"
                  name="exportType"
                  onChange={(e) =>
                    setOnBoardingCharge(
                      e.target.checked ? "Product Blob" : null
                    )
                  }
                  value={onBoardingCharge}
                />
                <Label check>Product Blob</Label>{" "}
                <div className="info-btn">
                  <img
                    src={infoIconnew}
                    alt="productBlob"
                    data-toggle="tooltip"
                    id="productBlobExample"
                    title=""
                  />
                  <Tooltip
                    id="my-tooltip-id"
                    flip
                    target="productBlobExample"
                    placement="bottom-start"
                    toggle={() => setProductBlob(!productBlob)}
                    isOpen={productBlob}
                    autohide={false}
                  >
                    Export single fields containing multiple product attributes,
                    pre-formatted for desired end use.
                  </Tooltip>
                </div>
              </div>
              <div className="custom-radio-btn">
                <Input
                  type="radio"
                  name="exportType"
                  onChange={(e) =>
                    setOnBoardingCharge(
                      e.target.checked ? "All Product Attributes" : null
                    )
                  }
                  value={onBoardingCharge}
                />
                <Label check>All Product Attributes</Label>{" "}
                <div className="info-btn">
                  <img
                    src={infoIconnew}
                    alt="allProductAttributes"
                    data-toggle="tooltip"
                    id="allProductAttributesExample"
                    title=""
                  />
                  <Tooltip
                    flip
                    target="allProductAttributesExample"
                    placement="bottom-start"
                    toggle={() =>
                      setallProductAttributes(!allProductAttributes)
                    }
                    isOpen={allProductAttributes}
                    autohide={false}
                  >
                    Export all products with all products attributes, ignoring
                    category structure.(Instance attributes will be omitted in
                    this export.)
                  </Tooltip>
                </div>
              </div>
              {isSubmitTwo && onBoardingCharge == "" ? (
                <p style={{ color: "red" }}>Export type is a required field.</p>
              ) : (
                ""
              )}
            </div>

            <div className="product-blob-export">
              {onBoardingCharge === "Product Blob" && (
                <>
                  <div>
                    <b>
                      Choose Blob Type:{" "}
                      <small>(Ctrl + Click to select multiple)</small>{" "}
                    </b>
                  </div>
                  <select
                    multiple
                    onChange={(e) => {
                      let value = Array.from(
                        e.target.selectedOptions,
                        (option) => option.value
                      );
                      setProductBlobOption(value);
                    }}
                  >
                    {isValidArray(blobList) &&
                      blobList.map((d) => {
                        return (
                          <>
                            <option value={d?.ProductBlobID}>
                              {d?.ProductBlobName}
                            </option>
                          </>
                        );
                      })}
                  </select>
                </>
              )}
            </div>
            {onBoardingCharge === "All Product Attributes" && (
              <>
                <div className="formatDiv">
                  <div className="formatDiv">
                    <div className="create-box-label">File Format : </div>
                    <div className="custom-radio-btn">
                      <Label className="radio-inline xlsx_radio"></Label>
                      <Input
                        type="radio"
                        name="formatTwo"
                        value="xlsx"
                        onChange={(e) => setFormatTwo("xlsx")}
                      />
                      .XLSX
                    </div>
                  </div>
                </div>

                {isSubmitTwo &&
                  onBoardingCharge === "All Product Attributes" &&
                  formatTwo == "" ? (
                  <p style={{ color: "red" }}>
                    File format is a required field.
                  </p>
                ) : (
                  ""
                )}
              </>
            )}
            <div className="create-file-btn-section">
              <button
                type="button"
                className="btn btn-secondary btn-default export-edit exportAttributesSubmitBtn"
                value="submit_export"
                name="submit_export"
                onClick={() => submitDataTwo()}
              >
                Export
              </button>
            </div>
          </div>
        </div>
      </div>
    </>
  );
}

export default CreateFile;
