import React from "react";
import { Modal, ModalBody, ModalHeader } from "reactstrap";
import {
  useStripe,
  useElements,
  CardNumberElement,
  CardCvcElement,
  CardExpiryElement,
} from "@stripe/react-stripe-js";
import { loadStripe } from "@stripe/stripe-js";
import { useDispatch } from "react-redux";
import { toast } from "react-toastify";

const stripePromise = loadStripe("pk_test_hswnvd4cMV8BvJpo6rEIYMuJ");

function PaymentModal({ toggle, isOpen, submitForm }) {
  const options = {
    // passing the client secret obtained from the server
    clientSecret: "sk_test_4cB6gCCfpRMOjRayJLxfyNnb",
  };
  const stripe = useStripe();
  const elements = useElements();
  const dispatch = useDispatch();
  const handleSubmit = async (event) => {
    event.preventDefault();
    const payload = await stripe.createPaymentMethod({
      type: "card",
      card: elements.getElement(CardNumberElement),
    });

    if (payload?.error) {
      toast.error(payload?.error?.message);
      return;
    }
    submitForm(payload);
  };
  return (
    <div>
      <Modal
        className="conformation-popup manageOranization-model"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"lg"}
      >
        <ModalHeader toggle={() => toggle()}>Stripe Payment</ModalHeader>
        <ModalBody className="payment-model-section">
          <form onSubmit={handleSubmit}>
            <CardNumberElement />
            <CardExpiryElement />
            <CardCvcElement />
            <div className="signup-btn w-100">
              <button className="loginmodal-submit btn" type="submit">
                Submit
              </button>
            </div>
          </form>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default PaymentModal;
