import React from "react";
import { useState } from "react";

const PlanDetails = ({
  planDetails,
  handlePlanCharge,
  setOnBoardingCharge,
  onBoardingCharge,
  chargeSum,
  charge,
  setCharge,
  stripePlanID,
  setStripePlanID,
}) => {
  return (
    <div className="row mt-4 plan-detail-section">
      <div className="text-center">
        <h3>Plan Details</h3>
      </div>
      <div className="text-center">
        <h4>{planDetails?.PackageName}</h4>
      </div>
      {(planDetails?.PackageID == 2 || planDetails?.PackageID == 3) && (
        <div className="text-center mt-2">
          <div className="radio-btn">
            <label>
              <input
                type="radio"
                name="onBoardingCharge"
                value={planDetails?.OnboardingCharge}
                defaultChecked={
                  onBoardingCharge === planDetails?.OnboardingCharge
                }
                checked={onBoardingCharge === planDetails?.OnboardingCharge}
              />
              On-boarding ${planDetails?.OnboardingCharge}
            </label>
          </div>
          <div className="radio-btn">
            <label>
              <input
                type="radio"
                name="charge"
                value={planDetails?.MonthlyCost}
                onChange={(e) =>
                  handlePlanCharge(e, planDetails?.MonthlyStripePlanID)
                }
                checked={charge === planDetails?.MonthlyCost}
              />
              Monthly ${planDetails?.MonthlyCost}
            </label>
          </div>

          <div className="">
            <span>OR</span>
          </div>

          <div className="radio-btn mt-2">
            <label>
              <input
                type="radio"
                name="charge"
                value={planDetails?.AnnualCost}
                onChange={(e) =>
                  handlePlanCharge(e, planDetails?.AnnualStripePlanID)
                }
                checked={charge === planDetails?.AnnualCost}
              />
              Annual ${planDetails?.AnnualCost}
              (Buy 10, get 12. Save $598!)
            </label>
          </div>
          <div className="d-flex align-items-center  justify-content-center mt-3">
            <span>Total $</span>
            <span>{chargeSum}</span>
          </div>
        </div>
      )}

      <div className="text-center mt-3">
        <a href={process.env.REACT_APP_FRONT_END_PLAN_URL}>Change plan</a>
      </div>
    </div>
  );
};
export default PlanDetails;
