import React, { useEffect, useState } from "react";
import logomain from "../../assets/images/logomain.png";
import { Input, Label } from "reactstrap";
import { Formik, Form } from "formik";
import { useParams } from "react-router-dom/cjs/react-router-dom.min";
import { fetchGetPlanDetails } from "redux/actions/users/getPlanDetails";
import { useDispatch, useSelector } from "react-redux";
import { displayFormErrors, registerValidation } from "modules/validations";
import { fetchGetEmailVerificationToken } from "redux/actions/users/getEmailVerificationToken";
import { isValidArray, isValidObject } from "modules/utils";
import PlanDetails from "./PlanDetails";
import ReCAPTCHA from "react-google-recaptcha";
import PaymentModal from "./PaymentModal";
import { Elements } from "@stripe/react-stripe-js";
import { loadStripe } from "@stripe/stripe-js";
import { fetchRegister } from "redux/actions/users/register";
import { useHistory } from "react-router-dom";
const stripePromise = loadStripe("pk_test_hswnvd4cMV8BvJpo6rEIYMuJ");

const ThankYouPage = () => {
  return (
    <div className="register-page singup-page thank-you-page-container">
      <div className="product-text ">
        <img src={logomain} width="200" height="auto" alt="Producty" />
      </div>
      <div className="product-login setup-in-progress-cls">
        Setup In Progress
      </div>
      <p className="text-center thank-you-msg-cls">
        {" "}
        Thanks for signing up to use Producty®
      </p>
      <div className="product-text">
        We are setting up your account, we will send you an email when your
        account is ready.
      </div>
    </div>
  );
};

export default ThankYouPage;
