import Loader from "components/Common/Loader";
import React, { useEffect, useState } from "react";
import { useSelector } from "react-redux";
import { useDispatch } from "react-redux";
import { useParams } from "react-router-dom";
import { fetchGetJSONFlatForCatID } from "redux/actions/getJSONFlat/getJSONFlatForCatID";

const GetJSONFlatForCatID = () => {
  const dispatch = useDispatch();
  const params = useParams();
  const [catID, setCatID] = useState();

  const { getFlatJSONData = null, getFlatJSONDataLoading = false } =
    useSelector((state) => ({
      getFlatJSONDataLoading: state.getJSONFlatForCatId?.loading || null,
      getFlatJSONData: state.getJSONFlatForCatId?.data || null,
    }));

  useEffect(() => {
    setCatID(params?.id);
  }, [params]);

  useEffect(() => {
    dispatch(fetchGetJSONFlatForCatID(catID));
  }, [catID]);

  return getFlatJSONDataLoading ? (
    <Loader />
  ) : (
    <>{JSON.stringify(getFlatJSONData)}</>
  );
};

export default GetJSONFlatForCatID;
