/* global __DEV__ */
const { hostname } = window?.location || {};

const config = {
  production: {
    SITE_URL: "http://localhost:3000/",
    SITE_HOSTNAME: "localhost",
    API_URL: process.env.REACT_APP_API_ENDPOINT,
    FRONT_END_API_URL: process.env.FRONT_END_API_URL,
  },
  staging: {
    SITE_URL: "http://localhost:3000/",
    SITE_HOSTNAME: "localhost",
    API_URL: process.env.REACT_APP_API_ENDPOINT,
    FRONT_END_API_URL: process.env.FRONT_END_API_URL,
  },
  local: {
    SITE_URL: "http://localhost:3000/",
    SITE_HOSTNAME: "localhost",
    API_URL: process.env.REACT_APP_API_ENDPOINT,
    FRONT_END_API_URL: process.env.FRONT_END_API_URL,
  },
};

export const allConfig = config;

const defaultEnvironment = "production";

export const getEnvironmentConfig = () =>
  Object.keys(allConfig).find((d) => hostname === allConfig[d].SITE_HOSTNAME) ??
  defaultEnvironment;

const environmentConfig = getEnvironmentConfig();

export default config[environmentConfig] ?? config.production;
