import { isValidObject } from "modules/utils";
import React from "react";
import { useSelector } from "react-redux";
import { Button, Label, Modal, ModalBody, ModalHeader } from "reactstrap";

function LogOutConfimationModal({ toggle, isOpen, continueProcess }) {
  const { loginUserDetails = null } = useSelector((state) => ({
    loginUserDetails: state.getUserDetail?.data?.data || null,
  }));
  return (
    <div>
      <Modal
        className="conformation-popup manageOranization-model"
        isOpen={isOpen}
        toggle={() => toggle()}
        size={"lg"}
      >
        <ModalHeader toggle={() => toggle()}>Confirm</ModalHeader>
        <ModalBody>
          <div className="model-label-input imagesize-delete-model ">
            <div className="row align-center">
              <div className="col">
                <Label>
                  Hi{" "}
                  {isValidObject(loginUserDetails)
                    ? loginUserDetails?.FirstName
                    : ""}
                  , are you still there?
                  <br />
                  You will automatically be logged out in 15 minutes from now.
                </Label>
              </div>
            </div>
          </div>
          <div className="model-bottom-btn-section">
            <Button
              color="primary save-btn confirm-y"
              onClick={continueProcess}
            >
              Extend Producty® session
            </Button>
            {/* <Button
              color="primary cancel-btn confirm-n"
              onClick={() => toggle()}
            >
              {" "}
              No
            </Button> */}
          </div>
        </ModalBody>
      </Modal>
    </div>
  );
}

export default LogOutConfimationModal;
