import { pxTomm } from "modules/utils";

export const circleTemplate = (height, width) => {
  const heightInMm = pxTomm(height) / 5;
  const widthInMm = pxTomm(width) / 5;
  const circleTemplate = {
    groupWith: [],
    zIndex: 1,
    rotate: 0,
    classSelector: "circle",
    name: "circle",
    width: parseInt(width / 5),
    height: parseInt(width / 5),
    top: 0,
    left: 0,
    background: "white",
    color: "white",
    fontWeight: "bold",
    boxSizing: "border-box",
    cursor: "pointer",
    backgroundColor: "#000000",
    borderRadius: "50%",
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    elementUnit: "px",
    deleteIfEmpty: false,
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };
  return circleTemplate;
};

export const rectangleTemplate = (height, width) => {
  const heightInMm = pxTomm(height) / 3;
  const widthInMm = pxTomm(width) / 3;
  const rectangleTemplate = {
    groupWith: [],
    zIndex: 1,
    classSelector: "rectangle",
    rotate: 0,
    name: "rectangle",
    width: parseInt(width / 3),
    height: parseInt(height / 3),
    top: 0,
    left: 0,
    background: "white",
    color: "white",
    fontWeight: "bold",
    boxSizing: "border-box",
    cursor: "pointer",
    backgroundColor: "#000000",
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    elementUnit: "px",
    deleteIfEmpty: false,
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };
  return rectangleTemplate;
};

export const triangleTemplate = (height, width) => {
  const heightInMm = pxTomm(height) / 3;
  const widthInMm = pxTomm(width) / 3;

  const triangleTemplate = {
    groupWith: [],
    zIndex: 1,
    classSelector: "triangle",
    name: "triangle",
    rotate: 0,
    width: parseInt(width / 3),
    height: parseInt(height / 3),
    top: 0,
    left: 0,
    background: "white",
    triangleColor: "black",
    fontWeight: "bold",
    boxSizing: "border-box",
    elementUnit: "px",
    cursor: "pointer",
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    color: "white",
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    deleteIfEmpty: false,
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };
  return triangleTemplate;
};

export const tableTemplate = (innerHTML, width) => {
  const heightInMm = pxTomm(125) / 3;
  const widthInMm = pxTomm(width);

  const tableTemplate = {
    groupWith: [],
    zIndex: 1,
    classSelector: "table",
    name: "table",
    rotate: 0,
    width: width,
    height: 125,
    top: 0,
    left: 0,
    background: "white",
    color: "",
    fontWeight: "bold",
    boxSizing: "border-box",
    cursor: "pointer",
    backgroundColor: "white",
    rows: 2,
    columns: 2,
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    elementUnit: "px",
    deleteIfEmpty: false,
    tableHTML: innerHTML,
    fontFamily: "Roboto",
    fontSize: 16,
    fontUnit: "pt",
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };

  return tableTemplate;
};

export const textTemplate = (height, width) => {
  const heightInMm = pxTomm(height) / 3;
  const widthInMm = pxTomm(width) / 3;

  const textTemplate = {
    groupWith: [],
    zIndex: 1,
    classSelector: "text",
    name: "text",
    rotate: 0,
    width: parseInt(width / 3),
    height: parseInt(height / 3),
    top: 0,
    left: 0,
    background: "transparent",
    border: "none",
    fontColor: "#000000",
    bold: false,
    italic: false,
    underline: false,
    fontSize: 20,
    fontUnit: "pt",
    boxSizing: "border-box",
    cursor: "pointer",
    backgroundColor: "transparent",
    isText: true,
    innerValue: "Write Text Here",
    innerTextValue: "Write Text Here",
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    elementUnit: "px",
    deleteIfEmpty: false,
    fontFamily: "Roboto",
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };
  return textTemplate;
};

export const imageTemplate = (height, width) => {
  const heightInMm = pxTomm(height) / 3;
  const widthInMm = pxTomm(width) / 3;

  const imageTemplate = {
    groupWith: [],
    zIndex: 1,
    index: 1,
    innerTextValue: "Test",
    classSelector: "image",
    name: "image",
    rotate: 0,
    width: parseInt(width / 3),
    height: parseInt(height / 3),
    top: 0,
    left: 0,
    background: "white",
    color: "",
    fontWeight: "bold",
    boxSizing: "border-box",
    underline: false,
    cursor: "pointer",
    backgroundColor: "",
    isImage: true,
    padding: { left: 0, top: 0, right: 0, bottom: 0 },
    // customCSS: { "": "" },
    textAlign: "",
    expansion: "none",
    expansionAnchor: "",
    elementUnit: "px",
    deleteIfEmpty: false,
    heightInMm: parseInt(heightInMm.toFixed(0)),
    widthInMm: parseInt(widthInMm.toFixed(0)),
  };
  return imageTemplate;
};
