import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_LOGIN_USER_DETAIL_REQUEST,
    FETCH_LOGIN_USER_DETAIL_SUCCESS,
    FETCH_LOGIN_USER_DETAIL_FAILURE,
} from "redux/types/auth";

export const fetchUserDetailRequest = () => ({
  type: FETCH_LOGIN_USER_DETAIL_REQUEST,
});

export const fetchUserDetailSuccess = (data) => ({
  type: FETCH_LOGIN_USER_DETAIL_SUCCESS,
  data,
});

export const fetchUserDetailFailure = (error) => ({
  type: FETCH_LOGIN_USER_DETAIL_FAILURE,
  error,
});

export const fetchUserDetail = (formData) => (dispatch) => {
  dispatch(fetchUserDetailRequest());
  return getApi("/getUser")
    .then((data) => {
      dispatch(fetchUserDetailSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUserDetailFailure(error));
    });
};
