import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_UPDATE_ELEMENT_REQUEST,
  FETCH_ADD_UPDATE_ELEMENT_SUCCESS,
  FETCH_ADD_UPDATE_ELEMENT_FAILURE,
} from "redux/types/blockBuilder";

export const fetchAddUpdateElementRequest = () => ({
  type: FETCH_ADD_UPDATE_ELEMENT_REQUEST,
});

export const fetchAddUpdateElementSuccess = (data) => ({
  type: FETCH_ADD_UPDATE_ELEMENT_SUCCESS,
  data,
});

export const fetchAddUpdateElementFailure = (error) => ({
  type: FETCH_ADD_UPDATE_ELEMENT_FAILURE,
  error,
});

export const fetchAddUpdateElement = (formData) => (dispatch) => {
  dispatch(fetchAddUpdateElementRequest());
  return postApi("/addUpdateElement", formData)
    .then((data) => {
      dispatch(fetchAddUpdateElementSuccess(data));
      toast.success(data?.data?.message);
      return data?.data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddUpdateElementFailure(error));
    });
};
