import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_REQUEST,
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_SUCCESS,
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_FAILURE,
} from "redux/types/blockBuilder";

export const fetchAddUpdateSingleElementRequest = () => ({
  type: FETCH_ADD_UPDATE_SINGLE_ELEMENT_REQUEST,
});

export const fetchAddUpdateSingleElementSuccess = (data) => ({
  type: FETCH_ADD_UPDATE_SINGLE_ELEMENT_SUCCESS,
  data,
});

export const fetchAddUpdateSingleElementFailure = (error) => ({
  type: FETCH_ADD_UPDATE_SINGLE_ELEMENT_FAILURE,
  error,
});

export const fetchAddUpdateSingleElement = (formData) => (dispatch) => {
  dispatch(fetchAddUpdateSingleElementRequest());
  return postApi("/addUpdateSingleElement", formData)
    .then((data) => {
      dispatch(fetchAddUpdateSingleElementSuccess(data));
      toast.success(data?.data?.message);
      return data?.data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddUpdateSingleElementFailure(error));
    });
};
