import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_ADD_REQUEST,
  FETCH_BLOCK_ADD_SUCCESS,
  FETCH_BLOCK_ADD_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockAddRequest = () => ({
  type: FETCH_BLOCK_ADD_REQUEST,
});

export const fetchBlockAddSuccess = (data) => ({
  type: FETCH_BLOCK_ADD_SUCCESS,
  data,
});

export const fetchBlockAddFailure = (error) => ({
  type: FETCH_BLOCK_ADD_FAILURE,
  error,
});

export const fetchBlockAdd = (formData) => (dispatch) => {
  dispatch(fetchBlockAddRequest());
  return postApi("/addBlock", formData)
    .then((data) => {
      dispatch(fetchBlockAddSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockAddFailure(error));
    });
};
