import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_DELETE_REQUEST,
  FETCH_BLOCK_DELETE_SUCCESS,
  FETCH_BLOCK_DELETE_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockDeleteRequest = () => ({
  type: FETCH_BLOCK_DELETE_REQUEST,
});

export const fetchBlockDeleteSuccess = (data) => ({
  type: FETCH_BLOCK_DELETE_SUCCESS,
  data,
});

export const fetchBlockDeleteFailure = (error) => ({
  type: FETCH_BLOCK_DELETE_FAILURE,
  error,
});

export const fetchBlockDelete = (id) => (dispatch) => {
  dispatch(fetchBlockDeleteRequest());
  return postApi(`/deleteBlock`, id)
    .then((data) => {
      dispatch(fetchBlockDeleteSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockDeleteFailure(error));
    });
};
