import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_EDIT_REQUEST,
  FETCH_BLOCK_EDIT_SUCCESS,
  FETCH_BLOCK_EDIT_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockEditRequest = () => ({
  type: FETCH_BLOCK_EDIT_REQUEST,
});

export const fetchBlockEditSuccess = (data) => ({
  type: FETCH_BLOCK_EDIT_SUCCESS,
  data,
});

export const fetchBlockEditFailure = (error) => ({
  type: FETCH_BLOCK_EDIT_FAILURE,
  error,
});

export const fetchBlockEdit = (formData) => (dispatch) => {
  dispatch(fetchBlockEditRequest());
  return getApi("/getBlockEdit")
    .then((data) => {
      dispatch(fetchBlockEditSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockEditFailure(error));
    });
};
