import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_LIST_REQUEST,
  FETCH_BLOCK_LIST_SUCCESS,
  FETCH_BLOCK_LIST_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockListRequest = () => ({
  type: FETCH_BLOCK_LIST_REQUEST,
});

export const fetchBlockListSuccess = (data) => ({
  type: FETCH_BLOCK_LIST_SUCCESS,
  data,
});

export const fetchBlockListFailure = (error) => ({
  type: FETCH_BLOCK_LIST_FAILURE,
  error,
});

export const fetchBlockList = (formData) => (dispatch) => {
  dispatch(fetchBlockListRequest());
  return getApi("/getBlocks")
    .then((data) => {
      dispatch(fetchBlockListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockListFailure(error));
    });
};
