import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_PREVIEW_DATA_REQUEST,
  FETCH_BLOCK_PREVIEW_DATA_SUCCESS,
  FETCH_BLOCK_PREVIEW_DATA_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockPreviewDataRequest = () => ({
  type: FETCH_BLOCK_PREVIEW_DATA_REQUEST,
});

export const fetchBlockPreviewDataSuccess = (data) => ({
  type: FETCH_BLOCK_PREVIEW_DATA_SUCCESS,
  data,
});

export const fetchBlockPreviewDataFailure = (error) => ({
  type: FETCH_BLOCK_PREVIEW_DATA_FAILURE,
  error,
});

export const fetchBlockPreviewData = (formData) => (dispatch) => {
  dispatch(fetchBlockPreviewDataRequest());
  return postApi("/getBlockPreviewData", formData)
    .then((data) => {
      dispatch(fetchBlockPreviewDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockPreviewDataFailure(error));
    });
};
