import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_UPDATE_REQUEST,
  FETCH_BLOCK_UPDATE_SUCCESS,
  FETCH_BLOCK_UPDATE_FAILURE,
} from "redux/types/blockBuilder";

export const fetchBlockUpdateRequest = () => ({
  type: FETCH_BLOCK_UPDATE_REQUEST,
});

export const fetchBlockUpdateSuccess = (data) => ({
  type: FETCH_BLOCK_UPDATE_SUCCESS,
  data,
});

export const fetchBlockUpdateFailure = (error) => ({
  type: FETCH_BLOCK_UPDATE_FAILURE,
  error,
});

export const fetchBlockUpdate = (formData) => (dispatch) => {
  dispatch(fetchBlockUpdateRequest());
  return getApi("/getBlockUpdate")
    .then((data) => {
      dispatch(fetchBlockUpdateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlockUpdateFailure(error));
    });
};
