import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_ELEMENT_REQUEST,
  FETCH_DELETE_ELEMENT_SUCCESS,
  FETCH_DELETE_ELEMENT_FAILURE,
} from "redux/types/blockBuilder";

export const fetchDeleteElementRequest = () => ({
  type: FETCH_DELETE_ELEMENT_REQUEST,
});

export const fetchDeleteElementSuccess = (data) => ({
  type: FETCH_DELETE_ELEMENT_SUCCESS,
  data,
});

export const fetchDeleteElementFailure = (error) => ({
  type: FETCH_DELETE_ELEMENT_FAILURE,
  error,
});

export const fetchDeleteElement = (id) => (dispatch) => {
  dispatch(fetchDeleteElementRequest());
  return getApi(`/deleteElement/${id}`)
    .then((data) => {
      dispatch(fetchDeleteElementSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteElementFailure(error));
    });
};
