import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ALL_TOOLBARS_REQUEST,
  FETCH_ALL_TOOLBARS_SUCCESS,
  FETCH_ALL_TOOLBARS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchAllToolbarsRequest = () => ({
  type: FETCH_ALL_TOOLBARS_REQUEST,
});

export const fetchAllToolbarsSuccess = (data) => ({
  type: FETCH_ALL_TOOLBARS_SUCCESS,
  data,
});

export const fetchAllToolbarsFailure = (error) => ({
  type: FETCH_ALL_TOOLBARS_FAILURE,
  error,
});

export const fetchAllToolbars = (formData) => (dispatch) => {
  dispatch(fetchAllToolbarsRequest());
  return getApi("/getAllToolbars")
    .then((data) => {
      dispatch(fetchAllToolbarsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAllToolbarsFailure(error));
    });
};
