import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_BLOCK_REQUEST,
  FETCH_GET_BLOCK_SUCCESS,
  FETCH_GET_BLOCK_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetBlockRequest = () => ({
  type: FETCH_GET_BLOCK_REQUEST,
});

export const fetchGetBlockSuccess = (data) => ({
  type: FETCH_GET_BLOCK_SUCCESS,
  data,
});

export const fetchGetBlockFailure = (error) => ({
  type: FETCH_GET_BLOCK_FAILURE,
  error,
});

export const fetchGetBlock = (id) => (dispatch) => {
  dispatch(fetchGetBlockRequest());
  return getApi(`/getBlock/${id}`)
    .then((data) => {
      dispatch(fetchGetBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetBlockFailure(error));
    });
};
