import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_BUILD_PAGES_DETAILS_REQUEST,
  FETCH_GET_BUILD_PAGES_DETAILS_SUCCESS,
  FETCH_GET_BUILD_PAGES_DETAILS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetBuildPagesDetailsRequest = () => ({
  type: FETCH_GET_BUILD_PAGES_DETAILS_REQUEST,
});

export const fetchGetBuildPagesDetailsSuccess = (data) => ({
  type: FETCH_GET_BUILD_PAGES_DETAILS_SUCCESS,
  data,
});

export const fetchGetBuildPagesDetailsFailure = (error) => ({
  type: FETCH_GET_BUILD_PAGES_DETAILS_FAILURE,
  error,
});

export const fetchGetBuildPagesDetails = () => (dispatch) => {
  dispatch(fetchGetBuildPagesDetailsRequest());
  return getApi(`/buildPages`)
    .then((data) => {
      dispatch(fetchGetBuildPagesDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetBuildPagesDetailsFailure(error));
    });
};
