import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_BUILD_PAGES_OPTIONS_REQUEST,
  FETCH_GET_BUILD_PAGES_OPTIONS_SUCCESS,
  FETCH_GET_BUILD_PAGES_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetBuildPagesOptionsRequest = () => ({
  type: FETCH_GET_BUILD_PAGES_OPTIONS_REQUEST,
});

export const fetchGetBuildPagesOptionsSuccess = (data) => ({
  type: FETCH_GET_BUILD_PAGES_OPTIONS_SUCCESS,
  data,
});

export const fetchGetBuildPagesOptionsFailure = (error) => ({
  type: FETCH_GET_BUILD_PAGES_OPTIONS_FAILURE,
  error,
});

export const fetchGetBuildPagesOptions = () => (dispatch) => {
  dispatch(fetchGetBuildPagesOptionsRequest());
  return getApi(`/getBuildPageOptions`)
    .then((data) => {
      dispatch(fetchGetBuildPagesOptionsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetBuildPagesOptionsFailure(error));
    });
};
