import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATALOG_PREVIEW_REQUEST,
  FETCH_GET_CATALOG_PREVIEW_SUCCESS,
  FETCH_GET_CATALOG_PREVIEW_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetCatalogPreviewRequest = () => ({
  type: FETCH_GET_CATALOG_PREVIEW_REQUEST,
});

export const fetchGetCatalogPreviewSuccess = (data) => ({
  type: FETCH_GET_CATALOG_PREVIEW_SUCCESS,
  data,
});

export const fetchGetCatalogPreviewFailure = (error) => ({
  type: FETCH_GET_CATALOG_PREVIEW_FAILURE,
  error,
});

export const fetchGetCatalogPreview = (id) => (dispatch) => {
  dispatch(fetchGetCatalogPreviewRequest());
  return getApi(`/getCatalogPreviewDataV2`)
    .then((data) => {
      dispatch(fetchGetCatalogPreviewSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCatalogPreviewFailure(error));
    });
};
