import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_COLORS_REQUEST,
  FETCH_GET_CATEGORY_COLORS_SUCCESS,
  FETCH_GET_CATEGORY_COLORS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetCategoryColorsRequest = () => ({
  type: FETCH_GET_CATEGORY_COLORS_REQUEST,
});

export const fetchGetCategoryColorsSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_COLORS_SUCCESS,
  data,
});

export const fetchGetCategoryColorsFailure = (error) => ({
  type: FETCH_GET_CATEGORY_COLORS_FAILURE,
  error,
});

export const fetchGetCategoryColors = (id) => (dispatch) => {
  dispatch(fetchGetCategoryColorsRequest());
  return getApi(`/getCategoryColors`)
    .then((data) => {
      dispatch(fetchGetCategoryColorsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCategoryColorsFailure(error));
    });
};
