import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_MERGE_LEVELS_REQUEST,
  FETCH_GET_CATEGORY_MERGE_LEVELS_SUCCESS,
  FETCH_GET_CATEGORY_MERGE_LEVELS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetCategoryMergeLevelsRequest = () => ({
  type: FETCH_GET_CATEGORY_MERGE_LEVELS_REQUEST,
});

export const fetchGetCategoryMergeLevelsSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_MERGE_LEVELS_SUCCESS,
  data,
});

export const fetchGetCategoryMergeLevelsFailure = (error) => ({
  type: FETCH_GET_CATEGORY_MERGE_LEVELS_FAILURE,
  error,
});

export const fetchGetCategoryMergeLevels = (id) => (dispatch) => {
  dispatch(fetchGetCategoryMergeLevelsRequest());
  return getApi(`/getCategoryMergeLevels`)
    .then((data) => {
      dispatch(fetchGetCategoryMergeLevelsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCategoryMergeLevelsFailure(error));
    });
};
