import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_REQUEST,
  FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_SUCCESS,
  FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetDefaultBlockSizeOptionsRequest = () => ({
  type: FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_REQUEST,
});

export const fetchGetDefaultBlockSizeOptionsSuccess = (data) => ({
  type: FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_SUCCESS,
  data,
});

export const fetchGetDefaultBlockSizeOptionsFailure = (error) => ({
  type: FETCH_GET_DEFAULT_BLOCK_SIZE_OPTIONS_FAILURE,
  error,
});

export const fetchGetDefaultBlockSizeOptions = (id) => (dispatch) => {
  dispatch(fetchGetDefaultBlockSizeOptionsRequest());
  return getApi(`/getBlockSizes`)
    .then((data) => {
      dispatch(fetchGetDefaultBlockSizeOptionsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetDefaultBlockSizeOptionsFailure(error));
    });
};
