import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LAYOUT_OPTION_REQUEST,
  FETCH_LAYOUT_OPTION_SUCCESS,
  FETCH_LAYOUT_OPTION_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetLayoutOptionsRequest = () => ({
  type: FETCH_LAYOUT_OPTION_REQUEST,
});

export const fetchGetLayoutOptionsSuccess = (data) => ({
  type: FETCH_LAYOUT_OPTION_SUCCESS,
  data,
});

export const fetchGetLayoutOptionsFailure = (error) => ({
  type: FETCH_LAYOUT_OPTION_FAILURE,
  error,
});

export const fetchGetLayoutOptions = (id) => (dispatch) => {
  dispatch(fetchGetLayoutOptionsRequest());
  return getApi(`/getLayoutOptions`)
    .then((data) => {
      dispatch(fetchGetLayoutOptionsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetLayoutOptionsFailure(error));
    });
};
