import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_MERGE_FIELDS_REQUEST,
  FETCH_MERGE_FIELDS_SUCCESS,
  FETCH_MERGE_FIELDS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetMergeFieldsRequest = () => ({
  type: FETCH_MERGE_FIELDS_REQUEST,
});

export const fetchGetMergeFieldsSuccess = (data) => ({
  type: FETCH_MERGE_FIELDS_SUCCESS,
  data,
});

export const fetchGetMergeFieldsFailure = (error) => ({
  type: FETCH_MERGE_FIELDS_FAILURE,
  error,
});

export const fetchGetMergeFields = (id) => (dispatch) => {
  dispatch(fetchGetMergeFieldsRequest());
  return getApi(`/getMergeFields`)
    .then((data) => {
      dispatch(fetchGetMergeFieldsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetMergeFieldsFailure(error));
    });
};
