import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PAGE_OPTION_REQUEST,
  FETCH_PAGE_OPTION_SUCCESS,
  FETCH_PAGE_OPTION_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetPageOptionsRequest = () => ({
  type: FETCH_PAGE_OPTION_REQUEST,
});

export const fetchGetPageOptionsSuccess = (data) => ({
  type: FETCH_PAGE_OPTION_SUCCESS,
  data,
});

export const fetchGetPageOptionsFailure = (error) => ({
  type: FETCH_PAGE_OPTION_FAILURE,
  error,
});

export const fetchGetPageOptions = (id) => (dispatch) => {
  dispatch(fetchGetPageOptionsRequest());
  return getApi(`/getPageOptions`)
    .then((data) => {
      dispatch(fetchGetPageOptionsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPageOptionsFailure(error));
    });
};
