import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_PAGE_PLANNER_BY_PAGE_REQUEST,
  FETCH_GET_PAGE_PLANNER_BY_PAGE_SUCCESS,
  FETCH_GET_PAGE_PLANNER_BY_PAGE_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetPagePlannerByPageRequest = () => ({
  type: FETCH_GET_PAGE_PLANNER_BY_PAGE_REQUEST,
});

export const fetchGetPagePlannerByPageSuccess = (data) => ({
  type: FETCH_GET_PAGE_PLANNER_BY_PAGE_SUCCESS,
  data,
});

export const fetchGetPagePlannerByPageFailure = (error) => ({
  type: FETCH_GET_PAGE_PLANNER_BY_PAGE_FAILURE,
  error,
});

export const fetchGetPagePlannerByPage = (id) => (dispatch) => {
  dispatch(fetchGetPagePlannerByPageRequest());
  return getApi(`/getPagePlanner/${id}`)
    .then((data) => {
      dispatch(fetchGetPagePlannerByPageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPagePlannerByPageFailure(error));
    });
};
