import { toast } from "react-toastify";
import { getApiData } from "modules/utils";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_SCHEMA_TABLE_REQUEST,
  FETCH_GET_SCHEMA_TABLE_SUCCESS,
  FETCH_GET_SCHEMA_TABLE_FAILURE,
  FETCH_GET_SCHEMA_TABLE_CLEAN_UP,
} from "redux/types/blockBuilder";

export const fetchGetSchemaTableRequest = () => ({
  type: FETCH_GET_SCHEMA_TABLE_REQUEST,
});

export const fetchGetSchemaTableSuccess = (data) => ({
  type: FETCH_GET_SCHEMA_TABLE_SUCCESS,
  data,
});

export const fetchGetSchemaTableFailure = (error) => ({
  type: FETCH_GET_SCHEMA_TABLE_FAILURE,
  error,
});

export const fetchGetSchemaTableCleanUp = (error) => ({
  type: FETCH_GET_SCHEMA_TABLE_CLEAN_UP,
  error,
});

export const fetchGetSchemaTable = (schemaID) => (dispatch) => {
  dispatch(fetchGetSchemaTableRequest());
  return getApi(`/getSchemaTable/${schemaID}`)
    .then((data) => {
      dispatch(fetchGetSchemaTableSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetSchemaTableFailure(error));
    });
};
