import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_SECTION_DATA_REQUEST,
  FETCH_GET_SECTION_DATA_SUCCESS,
  FETCH_GET_SECTION_DATA_FAILURE,
} from "redux/types/blockBuilder";

export const fetchGetSectionDataRequest = () => ({
  type: FETCH_GET_SECTION_DATA_REQUEST,
});

export const fetchGetSectionDataSuccess = (data) => ({
  type: FETCH_GET_SECTION_DATA_SUCCESS,
  data,
});

export const fetchGetSectionDataFailure = (error) => ({
  type: FETCH_GET_SECTION_DATA_FAILURE,
  error,
});

export const fetchGetSectionData = (id) => (dispatch) => {
  dispatch(fetchGetSectionDataRequest());
  return getApi(`/getSectionData`)
    .then((data) => {
      dispatch(fetchGetSectionDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetSectionDataFailure(error));
    });
};
