import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_MOVE_CATEGORY_PAGES_REQUEST,
  FETCH_MOVE_CATEGORY_PAGES_SUCCESS,
  FETCH_MOVE_CATEGORY_PAGES_FAILURE,
} from "redux/types/blockBuilder";

export const fetchMoveCategoryPagesRequest = () => ({
  type: FETCH_MOVE_CATEGORY_PAGES_REQUEST,
});

export const fetchMoveCategoryPagesSuccess = (data) => ({
  type: FETCH_MOVE_CATEGORY_PAGES_SUCCESS,
  data,
});

export const fetchMoveCategoryPagesFailure = (error) => ({
  type: FETCH_MOVE_CATEGORY_PAGES_FAILURE,
  error,
});

export const fetchMoveCategoryPages = (formData) => (dispatch) => {
  dispatch(fetchMoveCategoryPagesRequest());
  return postApi(`/moveCategoryPage`, formData)
    .then((data) => {
      dispatch(fetchMoveCategoryPagesSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchMoveCategoryPagesFailure(error));
    });
};
