import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SAVE_BUILD_PAGE_OPTIONS_REQUEST,
  FETCH_SAVE_BUILD_PAGE_OPTIONS_SUCCESS,
  FETCH_SAVE_BUILD_PAGE_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchSaveBuildPagesOptionsRequest = () => ({
  type: FETCH_SAVE_BUILD_PAGE_OPTIONS_REQUEST,
});

export const fetchSaveBuildPagesOptionsSuccess = (data) => ({
  type: FETCH_SAVE_BUILD_PAGE_OPTIONS_SUCCESS,
  data,
});

export const fetchSaveBuildPagesOptionsFailure = (error) => ({
  type: FETCH_SAVE_BUILD_PAGE_OPTIONS_FAILURE,
  error,
});

export const fetchSaveBuildPagesOptions = (formData) => (dispatch) => {
  dispatch(fetchSaveBuildPagesOptionsRequest());
  return postApi("/saveBuildPagesOptions", formData)
    .then((data) => {
      dispatch(fetchSaveBuildPagesOptionsSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchSaveBuildPagesOptionsFailure(error));
    });
};
