import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SAVE_LAYOUT_OPTIONS_REQUEST,
  FETCH_SAVE_LAYOUT_OPTIONS_SUCCESS,
  FETCH_SAVE_LAYOUT_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchSaveLayoutOptionsRequest = () => ({
  type: FETCH_SAVE_LAYOUT_OPTIONS_REQUEST,
});

export const fetchSaveLayoutOptionsSuccess = (data) => ({
  type: FETCH_SAVE_LAYOUT_OPTIONS_SUCCESS,
  data,
});

export const fetchSaveLayoutOptionsFailure = (error) => ({
  type: FETCH_SAVE_LAYOUT_OPTIONS_FAILURE,
  error,
});

export const fetchSaveLayoutOptions = (formData) => (dispatch) => {
  dispatch(fetchSaveLayoutOptionsRequest());
  return postApi("/saveLayoutOptions", formData)
    .then((data) => {
      dispatch(fetchSaveLayoutOptionsSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchSaveLayoutOptionsFailure(error));
    });
};
