import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SAVE_PAGE_OPTIONS_REQUEST,
  FETCH_SAVE_PAGE_OPTIONS_SUCCESS,
  FETCH_SAVE_PAGE_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

export const fetchSavePageOptionsRequest = () => ({
  type: FETCH_SAVE_PAGE_OPTIONS_REQUEST,
});

export const fetchSavePageOptionsSuccess = (data) => ({
  type: FETCH_SAVE_PAGE_OPTIONS_SUCCESS,
  data,
});

export const fetchSavePageOptionsFailure = (error) => ({
  type: FETCH_SAVE_PAGE_OPTIONS_FAILURE,
  error,
});

export const fetchSavePageOptions = (formData) => (dispatch) => {
  dispatch(fetchSavePageOptionsRequest());
  return postApi("/savePageOptions", formData)
    .then((data) => {
      dispatch(fetchSavePageOptionsSuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchSavePageOptionsFailure(error));
    });
};
