import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_FAILURE,
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_REQUEST,
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_SUCCESS,
} from "redux/types/getJSONFlatForCatID";

export const fetchGetJSONFlatForCatIDRequest = () => ({
  type: FETCH_GET_JSON_FLAT_FOR_CAT_ID_REQUEST,
});

export const fetchGetJSONFlatForCatIDSuccess = (data) => ({
  type: FETCH_GET_JSON_FLAT_FOR_CAT_ID_SUCCESS,
  data,
});

export const fetchGetJSONFlatForCatIDFailure = (error) => ({
  type: FETCH_GET_JSON_FLAT_FOR_CAT_ID_FAILURE,
  error,
});

export const fetchGetJSONFlatForCatID = (id) => (dispatch) => {
  dispatch(fetchGetJSONFlatForCatIDRequest());
  return getApi(`/getJSONFlatForCatID/${id}`)
    .then((data) => {
      console.log("data", data?.data);
      dispatch(fetchGetJSONFlatForCatIDSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetJSONFlatForCatIDFailure(error));
    });
};
