import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DASHBOARD_ITEMS_REQUEST,
  FETCH_DASHBOARD_ITEMS_SUCCESS,
  FETCH_DASHBOARD_ITEMS_FAILURE,
} from "redux/types/home";

export const fetchDashboardItemsRequest = () => ({
  type: FETCH_DASHBOARD_ITEMS_REQUEST,
});

export const fetchDashboardItemsSuccess = (data) => ({
  type: FETCH_DASHBOARD_ITEMS_SUCCESS,
  data,
});

export const fetchDashboardItemsFailure = (error) => ({
  type: FETCH_DASHBOARD_ITEMS_FAILURE,
  error,
});

export const fetchDashboardItems = () => (dispatch) => {
  dispatch(fetchDashboardItemsRequest());
  return getApi("/getDashboardItems")
    .then((data) => {
      dispatch(fetchDashboardItemsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDashboardItemsFailure(error));
    });
};
