import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_HIDE_DASHBOARD_ITEMS_REQUEST,
  FETCH_HIDE_DASHBOARD_ITEMS_SUCCESS,
  FETCH_HIDE_DASHBOARD_ITEMS_FAILURE,
} from "redux/types/home";

export const fetchHideDashboardItemsRequest = () => ({
  type: FETCH_HIDE_DASHBOARD_ITEMS_REQUEST,
});

export const fetchHideDashboardItemsSuccess = (data) => ({
  type: FETCH_HIDE_DASHBOARD_ITEMS_SUCCESS,
  data,
});

export const fetchHideDashboardItemsFailure = (error) => ({
  type: FETCH_HIDE_DASHBOARD_ITEMS_FAILURE,
  error,
});

export const fetchHideDashboardItems = (id) => (dispatch) => {
  dispatch(fetchHideDashboardItemsRequest());
  return getApi(`/hideDashboardItems/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchHideDashboardItemsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchHideDashboardItemsFailure(error));
    });
};
