import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_DASHBOARD_ITEM_REQUEST,
  FETCH_UPDATE_DASHBOARD_ITEM_SUCCESS,
  FETCH_UPDATE_DASHBOARD_ITEM_FAILURE,
} from "redux/types/home";

export const fetchUpdateDashboardItemRequest = () => ({
  type: FETCH_UPDATE_DASHBOARD_ITEM_REQUEST,
});

export const fetchUpdateDashboardItemSuccess = (data) => ({
  type: FETCH_UPDATE_DASHBOARD_ITEM_SUCCESS,
  data,
});

export const fetchUpdateDashboardItemFailure = (error) => ({
  type: FETCH_UPDATE_DASHBOARD_ITEM_FAILURE,
  error,
});

export const fetchUpdateDashboardItem = (data) => (dispatch) => {
  dispatch(fetchUpdateDashboardItemRequest());
  return postApi("/updateDashboardItem", data)
    .then((data) => {
      dispatch(fetchUpdateDashboardItemSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateDashboardItemFailure(error));
    });
};
