import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_IMPORT_FILE_REQUEST,
  FETCH_ADD_IMPORT_FILE_SUCCESS,
  FETCH_ADD_IMPORT_FILE_FAILURE,
  FETCH_ADD_IMPORT_FILE_RESET,
} from "redux/types/import";

export const fetchAddImportFileRequest = () => ({
  type: FETCH_ADD_IMPORT_FILE_REQUEST,
});

export const fetchAddImportFileSuccess = (data) => ({
  type: FETCH_ADD_IMPORT_FILE_SUCCESS,
  data,
});

export const fetchAddImportFileFailure = (error) => ({
  type: FETCH_ADD_IMPORT_FILE_FAILURE,
  error,
});

export const fetchAddImportFileReset = () => ({
  type: FETCH_ADD_IMPORT_FILE_RESET,
});

export const fetchAddImportFile = (formData) => (dispatch) => {
  dispatch(fetchAddImportFileRequest());
  return postApi("/addImportFile", formData)
    .then((data) => {
      dispatch(fetchAddImportFileSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddImportFileFailure(error));
    });
};
