import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CANCEL_IMPORT_FILE_REQUEST,
  FETCH_CANCEL_IMPORT_FILE_SUCCESS,
  FETCH_CANCEL_IMPORT_FILE_FAILURE,
} from "redux/types/import";

export const fetchCancelImportFileRequest = () => ({
  type: FETCH_CANCEL_IMPORT_FILE_REQUEST,
});

export const fetchCancelImportFileSuccess = (data) => ({
  type: FETCH_CANCEL_IMPORT_FILE_SUCCESS,
  data,
});

export const fetchCancelImportFileFailure = (error) => ({
  type: FETCH_CANCEL_IMPORT_FILE_FAILURE,
  error,
});

export const fetchCancelImportFile = (id) => (dispatch) => {
  dispatch(fetchCancelImportFileRequest());
  return getApi(`/cancelImport/${id}`)
    .then((data) => {
      dispatch(fetchCancelImportFileSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCancelImportFileFailure(error));
    });
};
