import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_PAST_IMPORT_DETAILS_REQUEST,
  FETCH_GET_PAST_IMPORT_DETAILS_SUCCESS,
  FETCH_GET_PAST_IMPORT_DETAILS_FAILURE,
} from "redux/types/import";

export const fetchGetPastImportDetailsRequest = () => ({
  type: FETCH_GET_PAST_IMPORT_DETAILS_REQUEST,
});

export const fetchGetPastImportDetailsSuccess = (data) => ({
  type: FETCH_GET_PAST_IMPORT_DETAILS_SUCCESS,
  data,
});

export const fetchGetPastImportDetailsFailure = (error) => ({
  type: FETCH_GET_PAST_IMPORT_DETAILS_FAILURE,
  error,
});

export const fetchGetPastImportDetails = (id) => (dispatch) => {
  dispatch(fetchGetPastImportDetailsRequest());
  return getApi(`/getPastImportDetails/${id}`)
    .then((data) => {
      dispatch(fetchGetPastImportDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPastImportDetailsFailure(error));
    });
};
