import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMPORT_CONFIRM_SETUP_REQUEST,
  FETCH_IMPORT_CONFIRM_SETUP_SUCCESS,
  FETCH_IMPORT_CONFIRM_SETUP_FAILURE,
} from "redux/types/import";

export const fetchImportConfirmSetupRequest = () => ({
  type: FETCH_IMPORT_CONFIRM_SETUP_REQUEST,
});

export const fetchImportConfirmSetupSuccess = (data) => ({
  type: FETCH_IMPORT_CONFIRM_SETUP_SUCCESS,
  data,
});

export const fetchImportConfirmSetupFailure = (error) => ({
  type: FETCH_IMPORT_CONFIRM_SETUP_FAILURE,
  error,
});

export const fetchImportConfirmSetup = (formData) => (dispatch) => {
  dispatch(fetchImportConfirmSetupRequest());
  return postApi("/ImportConfirmSetup", formData)
    .then((data) => {
      dispatch(fetchImportConfirmSetupSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImportConfirmSetupFailure(error));
    });
};
