import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMPORT_COUNT_PRODUCT_REQUEST,
  FETCH_IMPORT_COUNT_PRODUCT_SUCCESS,
  FETCH_IMPORT_COUNT_PRODUCT_FAILURE,
  FETCH_IMPORT_COUNT_PRODUCT_RESET,
} from "redux/types/import";

export const fetchImportCountProductRequest = () => ({
  type: FETCH_IMPORT_COUNT_PRODUCT_REQUEST,
});

export const fetchImportCountProductSuccess = (data) => ({
  type: FETCH_IMPORT_COUNT_PRODUCT_SUCCESS,
  data,
});

export const fetchImportCountProductFailure = (error) => ({
  type: FETCH_IMPORT_COUNT_PRODUCT_FAILURE,
  error,
});

export const fetchImportCountProductReset = () => ({
  type: FETCH_IMPORT_COUNT_PRODUCT_RESET,
});

export const fetchImportCountProduct = (formData) => (dispatch) => {
  dispatch(fetchImportCountProductRequest());
  return postApi("/ImportCountProductRecords", formData)
    .then((data) => {
      dispatch(fetchImportCountProductSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImportCountProductFailure(error));
    });
};
