import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMPORT_HISTORY_REQUEST,
  FETCH_IMPORT_HISTORY_SUCCESS,
  FETCH_IMPORT_HISTORY_FAILURE,
} from "redux/types/import";

export const fetchImportHistoryRequest = () => ({
  type: FETCH_IMPORT_HISTORY_REQUEST,
});

export const fetchImportHistorySuccess = (data) => ({
  type: FETCH_IMPORT_HISTORY_SUCCESS,
  data,
});

export const fetchImportHistoryFailure = (error) => ({
  type: FETCH_IMPORT_HISTORY_FAILURE,
  error,
});

export const fetchImportHistory = () => (dispatch) => {
  dispatch(fetchImportHistoryRequest());
  return getApi("/getImportHistory")
    .then((data) => {
      dispatch(fetchImportHistorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImportHistoryFailure(error));
    });
};
