import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMPORT_NAME_RANGE_REQUEST,
  FETCH_IMPORT_NAME_RANGE_SUCCESS,
  FETCH_IMPORT_NAME_RANGE_FAILURE,
  FETCH_IMPORT_NAME_RANGE_RESET,
} from "redux/types/import";

export const fetchImportNameRangeRequest = () => ({
  type: FETCH_IMPORT_NAME_RANGE_REQUEST,
});

export const fetchImportNameRangeSuccess = (data) => ({
  type: FETCH_IMPORT_NAME_RANGE_SUCCESS,
  data,
});

export const fetchImportNameRangeFailure = (error) => ({
  type: FETCH_IMPORT_NAME_RANGE_FAILURE,
  error,
});

export const fetchImportNameRangeReset = () => ({
  type: FETCH_IMPORT_NAME_RANGE_RESET,
});

export const fetchImportNameRange = (formData) => (dispatch) => {
  dispatch(fetchImportNameRangeRequest());
  return postApi("/ImportNamedRangeCheck", formData)
    .then((data) => {
      dispatch(fetchImportNameRangeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImportNameRangeFailure(error));
    });
};
