import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMPORT_SCHEDULE_REQUEST,
  FETCH_IMPORT_SCHEDULE_SUCCESS,
  FETCH_IMPORT_SCHEDULE_FAILURE,
} from "redux/types/import";

export const fetchImportScheduleRequest = () => ({
  type: FETCH_IMPORT_SCHEDULE_REQUEST,
});

export const fetchImportScheduleSuccess = (data) => ({
  type: FETCH_IMPORT_SCHEDULE_SUCCESS,
  data,
});

export const fetchImportScheduleFailure = (error) => ({
  type: FETCH_IMPORT_SCHEDULE_FAILURE,
  error,
});

export const fetchImportSchedule = (formData) => (dispatch) => {
  dispatch(fetchImportScheduleRequest());
  return postApi("/ImportSchedule", formData)
    .then((data) => {
      dispatch(fetchImportScheduleSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImportScheduleFailure(error));
    });
};
