import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PAST_IMPORT_LIST_REQUEST,
  FETCH_PAST_IMPORT_LIST_SUCCESS,
  FETCH_PAST_IMPORT_LIST_FAILURE,
} from "redux/types/import";

export const fetchPastImportListRequest = () => ({
  type: FETCH_PAST_IMPORT_LIST_REQUEST,
});

export const fetchPastImportListSuccess = (data) => ({
  type: FETCH_PAST_IMPORT_LIST_SUCCESS,
  data,
});

export const fetchPastImportListFailure = (error) => ({
  type: FETCH_PAST_IMPORT_LIST_FAILURE,
  error,
});

export const fetchPastImportList = () => (dispatch) => {
  dispatch(fetchPastImportListRequest());
  return getApi("/getPastImportList")
    .then((data) => {
      dispatch(fetchPastImportListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchPastImportListFailure(error));
    });
};
