import { getApiData } from "modules/utils";
import { getApi, getApiError } from "../api";
import { toast } from "react-toastify";
import {
  GET_INTRO_JS_FAILURE,
  GET_INTRO_JS_REQUEST,
  GET_INTRO_JS_SUCCESS,
} from "redux/types/introJS";

export const getIntroJsRequest = () => ({
  type: GET_INTRO_JS_REQUEST,
});

export const getIntroJsSuccess = (data) => ({
  type: GET_INTRO_JS_SUCCESS,
  data,
});

export const getIntroJsFailure = (error) => ({
  type: GET_INTRO_JS_FAILURE,
  error,
});

export const getIntroJs = (pageName) => (dispatch) => {
  dispatch(getIntroJsRequest());
  return getApi(`/getIntroJS/${pageName}`)
    .then((data) => {
      dispatch(getIntroJsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(getIntroJsFailure(error));
    });
};
