import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_ATTRIBUTE_TO_CATEGORY_REQUEST,
  FETCH_ADD_ATTRIBUTE_TO_CATEGORY_SUCCESS,
  FETCH_ADD_ATTRIBUTE_TO_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAddAttributeToCategoryRequest = () => ({
  type: FETCH_ADD_ATTRIBUTE_TO_CATEGORY_REQUEST,
});

export const fetchAddAttributeToCategorySuccess = (data) => ({
  type: FETCH_ADD_ATTRIBUTE_TO_CATEGORY_SUCCESS,
  data,
});

export const fetchAddAttributeToCategoryFailure = (error) => ({
  type: FETCH_ADD_ATTRIBUTE_TO_CATEGORY_FAILURE,
  error,
});

export const fetchAddAttributeToCategory = (formData) => (dispatch) => {
  dispatch(fetchAddAttributeToCategoryRequest());
  return postApi("/addAttributeToCategory", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddAttributeToCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddAttributeToCategoryFailure(error));
    });
};
