import {
  FETCH_ADD_CATEGORY_REQUEST,
  FETCH_ADD_CATEGORY_SUCCESS,
  FETCH_ADD_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";
import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";

export const fetchAddCategoryRequest = () => ({
  type: FETCH_ADD_CATEGORY_REQUEST,
});

export const fetchAddCategorySuccess = (data) => ({
  type: FETCH_ADD_CATEGORY_SUCCESS,
  data,
});

export const fetchAddCategoryFailure = (error) => ({
  type: FETCH_ADD_CATEGORY_FAILURE,
  error,
});

export const fetchAddCategory = (formData) => (dispatch) => {
  dispatch(fetchAddCategoryRequest());
  return postApi("/createCategory", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddCategoryFailure(error));
    });
};
