import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_REQUEST,
  FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_SUCCESS,
  FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAddProductFromTextToCollectionRequest = () => ({
  type: FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_REQUEST,
});

export const fetchAddProductFromTextToCollectionSuccess = (data) => ({
  type: FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_SUCCESS,
  data,
});

export const fetchAddProductFromTextToCollectionFailure = (error) => ({
  type: FETCH_ADD_PRODUCT_FROM_TEXT_TO_COLLECTION_FAILURE,
  error,
});

export const fetchAddProductFromTextToCollection = (formData) => (dispatch) => {
  dispatch(fetchAddProductFromTextToCollectionRequest());
  return postApi("/addProductFromTextToCollection", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddProductFromTextToCollectionSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddProductFromTextToCollectionFailure(error));
    });
};
