import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_PRODUCT_TO_COLLECTION_REQUEST,
  FETCH_ADD_PRODUCT_TO_COLLECTION_SUCCESS,
  FETCH_ADD_PRODUCT_TO_COLLECTION_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAddProductToCollectionRequest = () => ({
  type: FETCH_ADD_PRODUCT_TO_COLLECTION_REQUEST,
});

export const fetchAddProductToCollectionSuccess = (data) => ({
  type: FETCH_ADD_PRODUCT_TO_COLLECTION_SUCCESS,
  data,
});

export const fetchAddProductToCollectionFailure = (error) => ({
  type: FETCH_ADD_PRODUCT_TO_COLLECTION_FAILURE,
  error,
});

export const fetchAddProductToCollection = (formData) => (dispatch) => {
  dispatch(fetchAddProductToCollectionRequest());
  return postApi("/addProductToCollection", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddProductToCollectionSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddProductToCollectionFailure(error));
    });
};
