import {
  FETCH_ADD_STATIC_CONTENT_REQUEST,
  FETCH_ADD_STATIC_CONTENT_SUCCESS,
  FETCH_ADD_STATIC_CONTENT_FAILURE,
} from "redux/types/manageCatelog";
import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";

export const fetchAddStaticContentRequest = () => ({
  type: FETCH_ADD_STATIC_CONTENT_REQUEST,
});

export const fetchAddStaticContentSuccess = (data) => ({
  type: FETCH_ADD_STATIC_CONTENT_SUCCESS,
  data,
});

export const fetchAddStaticContentFailure = (error) => ({
  type: FETCH_ADD_STATIC_CONTENT_FAILURE,
  error,
});

export const fetchAddStaticContent = (formData, categoryID) => (dispatch) => {
  dispatch(fetchAddStaticContentRequest());
  return postApi(`/addStaticContent/${categoryID}`, formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddStaticContentSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddStaticContentFailure(error));
    });
};
