import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_REQUEST,
  FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_SUCCESS,
  FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAddTextBlockToCategoryRequest = () => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_REQUEST,
});

export const fetchAddTextBlockToCategorySuccess = (data) => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_SUCCESS,
  data,
});

export const fetchAddTextBlockToCategoryFailure = (error) => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_CATEGORY_FAILURE,
  error,
});

export const fetchAddTextBlockToCategory = (formData) => (dispatch) => {
  dispatch(fetchAddTextBlockToCategoryRequest());
  return postApi("/addTextBlockToCategory", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddTextBlockToCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddTextBlockToCategoryFailure(error));
    });
};
