import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ATTRIBUTE_DISPLAY_DATA_REQUEST,
  FETCH_ATTRIBUTE_DISPLAY_DATA_SUCCESS,
  FETCH_ATTRIBUTE_DISPLAY_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAttributeDisplayDataRequest = () => ({
  type: FETCH_ATTRIBUTE_DISPLAY_DATA_REQUEST,
});

export const fetchAttributeDisplayDataSuccess = (data) => ({
  type: FETCH_ATTRIBUTE_DISPLAY_DATA_SUCCESS,
  data,
});

export const fetchAttributeDisplayDataFailure = (error) => ({
  type: FETCH_ATTRIBUTE_DISPLAY_DATA_FAILURE,
  error,
});

export const fetchAttributeDisplayData = (id) => (dispatch) => {
  dispatch(fetchAttributeDisplayDataRequest());
  return getApi(`/getAttributeDisplayData/${id}`)
    .then((data) => {
      dispatch(fetchAttributeDisplayDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAttributeDisplayDataFailure(error));
    });
};
