import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ATTRIBUTE_SETUP_DATA_REQUEST,
    FETCH_ATTRIBUTE_SETUP_DATA_SUCCESS,
    FETCH_ATTRIBUTE_SETUP_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchAttributeSetupDataRequest = () => ({
    type: FETCH_ATTRIBUTE_SETUP_DATA_REQUEST,
});

export const fetchAttributeSetupDataSuccess = (data) => ({
    type: FETCH_ATTRIBUTE_SETUP_DATA_SUCCESS,
    data,
});

export const fetchAttributeSetupDataFailure = (error) => ({
    type: FETCH_ATTRIBUTE_SETUP_DATA_FAILURE,
    error,
});

export const fetchAttributeSetupData = (id) => (dispatch) => {
    dispatch(fetchAttributeSetupDataRequest());
    return getApi(`/getAttributeSetupData/${id}`)
        .then((data) => {
            dispatch(fetchAttributeSetupDataSuccess(data));
            return getApiData(data);
        })
        .catch((error) => {
            toast.error(getApiError(error));
            dispatch(fetchAttributeSetupDataFailure(error));
        });
};
