import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BREAD_CRUMB_REQUEST,
  FETCH_BREAD_CRUMB_SUCCESS,
  FETCH_BREAD_CRUMB_FAILURE,
} from "redux/types/manageCatelog";

export const fetchBreadCrumbRequest = () => ({
  type: FETCH_BREAD_CRUMB_REQUEST,
});

export const fetchBreadCrumbSuccess = (data) => ({
  type: FETCH_BREAD_CRUMB_SUCCESS,
  data,
});

export const fetchBreadCrumbFailure = (error) => ({
  type: FETCH_BREAD_CRUMB_FAILURE,
  error,
});

export const fetchBreadCrumb = (id) => (dispatch) => {
  dispatch(fetchBreadCrumbRequest());
  return getApi(`/getBreadCrumb/${id}`)
    .then((data) => {
      dispatch(fetchBreadCrumbSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBreadCrumbFailure(error));
    });
};
