import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BUILD_SINGLE_PAGE_REQUEST,
  FETCH_BUILD_SINGLE_PAGE_SUCCESS,
  FETCH_BUILD_SINGLE_PAGE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchBuildSinglePageRequest = () => ({
  type: FETCH_BUILD_SINGLE_PAGE_REQUEST,
});

export const fetchBuildSinglePageSuccess = (data) => ({
  type: FETCH_BUILD_SINGLE_PAGE_SUCCESS,
  data,
});

export const fetchBuildSinglePageFailure = (error) => ({
  type: FETCH_BUILD_SINGLE_PAGE_FAILURE,
  error,
});

export const fetchBuildSinglePage = (pageNumber) => (dispatch) => {
  dispatch(fetchBuildSinglePageRequest());
  return getApi(`/buildSinglePage/${pageNumber}`)
    .then((data) => {
      dispatch(fetchBuildSinglePageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBuildSinglePageFailure(error));
    });
};
``;
