import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CATALOG_PLANNER_REQUEST,
  FETCH_CATALOG_PLANNER_SUCCESS,
  FETCH_CATALOG_PLANNER_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCatalogPlannerRequest = () => ({
  type: FETCH_CATALOG_PLANNER_REQUEST,
});

export const fetchCatalogPlannerSuccess = (data) => ({
  type: FETCH_CATALOG_PLANNER_SUCCESS,
  data,
});

export const fetchCatalogPlannerFailure = (error) => ({
  type: FETCH_CATALOG_PLANNER_FAILURE,
  error,
});

export const fetchCatalogPlanner = (id) => (dispatch) => {
  dispatch(fetchCatalogPlannerRequest());
  return getApi(`/getCatalogPlanner/${id}`)
    .then((data) => {
      dispatch(fetchCatalogPlannerSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogPlannerFailure(error));
    });
};
