import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CATALOG_TREE_REQUEST,
  FETCH_CATALOG_TREE_SUCCESS,
  FETCH_CATALOG_TREE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCatalogTreeRequest = () => ({
  type: FETCH_CATALOG_TREE_REQUEST,
});

export const fetchCatalogTreeSuccess = (data) => ({
  type: FETCH_CATALOG_TREE_SUCCESS,
  data,
});

export const fetchCatalogTreeFailure = (error) => ({
  type: FETCH_CATALOG_TREE_FAILURE,
  error,
});

export const fetchCatalogTree = (search) => (dispatch) => {
  if (!search) {
    dispatch(fetchCatalogTreeRequest());
  }
  return getApi(search ? `/getCatalogTreeV2/${search}` : "/getCatalogTreeV2")
    .then((data) => {
      if (!search) {
        dispatch(fetchCatalogTreeSuccess(data));
      }
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogTreeFailure(error));
    });
};
