import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CATEGORY_DISPLAY_SETUP_REQUEST,
  FETCH_CATEGORY_DISPLAY_SETUP_SUCCESS,
  FETCH_CATEGORY_DISPLAY_SETUP_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCategoryDisplaySetupRequest = () => ({
  type: FETCH_CATEGORY_DISPLAY_SETUP_REQUEST,
});

export const fetchCategoryDisplaySetupSuccess = (data) => ({
  type: FETCH_CATEGORY_DISPLAY_SETUP_SUCCESS,
  data,
});

export const fetchCategoryDisplaySetupFailure = (error) => ({
  type: FETCH_CATEGORY_DISPLAY_SETUP_FAILURE,
  error,
});

export const fetchCategoryDisplaySetup = (id) => (dispatch) => {
  dispatch(fetchCategoryDisplaySetupRequest());
  return getApi(`/getCategoryDisplaySetup/${id}`)
    .then((data) => {
      dispatch(fetchCategoryDisplaySetupSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCategoryDisplaySetupFailure(error));
    });
};
