import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CATEGORY_PRODUCT_REQUEST,
  FETCH_CATEGORY_PRODUCT_SUCCESS,
  FETCH_CATEGORY_PRODUCT_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCategoryProductRequest = () => ({
  type: FETCH_CATEGORY_PRODUCT_REQUEST,
});

export const fetchCategoryProductSuccess = (data) => ({
  type: FETCH_CATEGORY_PRODUCT_SUCCESS,
  data,
});

export const fetchCategoryProductFailure = (error) => ({
  type: FETCH_CATEGORY_PRODUCT_FAILURE,
  error,
});

export const fetchCategoryProduct = (id) => (dispatch) => {
  dispatch(fetchCategoryProductRequest());
  return getApi(`/getCategoryProducts/${id}`)
    .then((data) => {
      dispatch(fetchCategoryProductSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCategoryProductFailure(error));
    });
};
