import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_CATEGORY_SETUP_DATA_REQUEST,
    FETCH_CATEGORY_SETUP_DATA_SUCCESS,
    FETCH_CATEGORY_SETUP_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCategorySetupDataRequest = () => ({
    type: FETCH_CATEGORY_SETUP_DATA_REQUEST,
});

export const fetchCategorySetupDataSuccess = (data) => ({
    type: FETCH_CATEGORY_SETUP_DATA_SUCCESS,
    data,
});

export const fetchCategorySetupDataFailure = (error) => ({
    type: FETCH_CATEGORY_SETUP_DATA_FAILURE,
    error,
});

export const fetchCategorySetupData = (id) => (dispatch) => {
    dispatch(fetchCategorySetupDataRequest());
    return getApi(`/getCategorySetupData/${id}`)
        .then((data) => {
            dispatch(fetchCategorySetupDataSuccess(data));
            return getApiData(data);
        })
        .catch((error) => {
            toast.error(getApiError(error));
            dispatch(fetchCategorySetupDataFailure(error));
        });
};
