import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CATEGORY_TEXT_DATA_REQUEST,
  FETCH_CATEGORY_TEXT_DATA_SUCCESS,
  FETCH_CATEGORY_TEXT_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCategoryTextDataRequest = () => ({
  type: FETCH_CATEGORY_TEXT_DATA_REQUEST,
});

export const fetchCategoryTextDataSuccess = (data) => ({
  type: FETCH_CATEGORY_TEXT_DATA_SUCCESS,
  data,
});

export const fetchCategoryTextDataFailure = (error) => ({
  type: FETCH_CATEGORY_TEXT_DATA_FAILURE,
  error,
});

export const fetchCategoryTextData = (id) => (dispatch) => {
  dispatch(fetchCategoryTextDataRequest());
  return getApi(`/getCategoryTextData/${id}`)
    .then((data) => {
      dispatch(fetchCategoryTextDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCategoryTextDataFailure(error));
    });
};
