import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CHECK_CATEGORY_CATALOG_REQUEST,
  FETCH_CHECK_CATEGORY_CATALOG_SUCCESS,
  FETCH_CHECK_CATEGORY_CATALOG_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCheckCategoryCatalogRequest = () => ({
  type: FETCH_CHECK_CATEGORY_CATALOG_REQUEST,
});

export const fetchCheckCategoryCatalogSuccess = (data) => ({
  type: FETCH_CHECK_CATEGORY_CATALOG_SUCCESS,
  data,
});

export const fetchCheckCategoryCatalogFailure = (error) => ({
  type: FETCH_CHECK_CATEGORY_CATALOG_FAILURE,
  error,
});

export const fetchCheckCategoryCatalog = (categoryID) => (dispatch) => {
  dispatch(fetchCheckCategoryCatalogRequest());
  return getApi(`/checkCategoryCatalog/${categoryID}`)
    .then((data) => {
      if (!data?.data?.flag) toast.error(data?.data?.message);
      dispatch(fetchCheckCategoryCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCheckCategoryCatalogFailure(error));
    });
};
