import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_REQUEST,
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_SUCCESS,
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCheckIfBlockSizeExistRequest = () => ({
  type: FETCH_CHECK_IF_BLOCK_SIZE_EXIST_REQUEST,
});

export const fetchCheckIfBlockSizeExistSuccess = (data) => ({
  type: FETCH_CHECK_IF_BLOCK_SIZE_EXIST_SUCCESS,
  data,
});

export const fetchCheckIfBlockSizeExistFailure = (error) => ({
  type: FETCH_CHECK_IF_BLOCK_SIZE_EXIST_FAILURE,
  error,
});

export const fetchCheckIfBlockSizeExist = (formData) => (dispatch) => {
  dispatch(fetchCheckIfBlockSizeExistRequest());
  return postApi(`/checkIfBlockSizeExists`, formData)
    .then((data) => {
      //   if (!data?.data?.flag) toast.error(data?.data?.message);
      dispatch(fetchCheckIfBlockSizeExistSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCheckIfBlockSizeExistFailure(error));
    });
};
