import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CLONE_ATTRIBUTE_SCHEMA_REQUEST,
  FETCH_CLONE_ATTRIBUTE_SCHEMA_SUCCESS,
  FETCH_CLONE_ATTRIBUTE_SCHEMA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCloneAttributeSchemaRequest = () => ({
  type: FETCH_CLONE_ATTRIBUTE_SCHEMA_REQUEST,
});

export const fetchCloneAttributeSchemaSuccess = (data) => ({
  type: FETCH_CLONE_ATTRIBUTE_SCHEMA_SUCCESS,
  data,
});

export const fetchCloneAttributeSchemaFailure = (error) => ({
  type: FETCH_CLONE_ATTRIBUTE_SCHEMA_FAILURE,
  error,
});

export const fetchCloneAttributeSchema = (formData) => (dispatch) => {
  dispatch(fetchCloneAttributeSchemaRequest());
  return getApi(`/cloneAttributeSchema/${formData}`)
    .then((data) => {
      //   if (!data?.data?.flag) toast.error(data?.data?.message);
      dispatch(fetchCloneAttributeSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCloneAttributeSchemaFailure(error));
    });
};
