import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_COPY_BLOCK_ID_FOR_CATEGORY_REQUEST,
  FETCH_COPY_BLOCK_ID_FOR_CATEGORY_SUCCESS,
  FETCH_COPY_BLOCK_ID_FOR_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchCopyBlockIdForCategoryRequest = () => ({
  type: FETCH_COPY_BLOCK_ID_FOR_CATEGORY_REQUEST,
});

export const fetchCopyBlockIdForCategorySuccess = (data) => ({
  type: FETCH_COPY_BLOCK_ID_FOR_CATEGORY_SUCCESS,
  data,
});

export const fetchCopyBlockIdForCategoryFailure = (error) => ({
  type: FETCH_COPY_BLOCK_ID_FOR_CATEGORY_FAILURE,
  error,
});

export const fetchCopyBlockIdForCategory = (id) => (dispatch) => {
  dispatch(fetchCopyBlockIdForCategoryRequest());
  return getApi(`/copyBlockIDForCategories/${id}`)
    .then((data) => {
      dispatch(fetchCopyBlockIdForCategorySuccess(data));
      toast.success(data?.data?.message);
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCopyBlockIdForCategoryFailure(error));
    });
};
