import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_ATTRIBUTE_SCHEMA_REQUEST,
  FETCH_DELETE_ATTRIBUTE_SCHEMA_SUCCESS,
  FETCH_DELETE_ATTRIBUTE_SCHEMA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDeleteAttributeSchemaRequest = () => ({
  type: FETCH_DELETE_ATTRIBUTE_SCHEMA_REQUEST,
});

export const fetchDeleteAttributeSchemaSuccess = (data) => ({
  type: FETCH_DELETE_ATTRIBUTE_SCHEMA_SUCCESS,
  data,
});

export const fetchDeleteAttributeSchemaFailure = (error) => ({
  type: FETCH_DELETE_ATTRIBUTE_SCHEMA_FAILURE,
  error,
});

export const fetchDeleteAttributeSchema = (formData) => (dispatch) => {
  dispatch(fetchDeleteAttributeSchemaRequest());
  return getApi(`/deleteAttributeSchema/${formData}`)
    .then((data) => {
      //   if (!data?.data?.flag) toast.error(data?.data?.message);
      dispatch(fetchDeleteAttributeSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteAttributeSchemaFailure(error));
    });
};
