import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_ATTRIBUTE_SETUP_REQUEST,
  FETCH_DELETE_ATTRIBUTE_SETUP_SUCCESS,
  FETCH_DELETE_ATTRIBUTE_SETUP_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDeleteAttributeSetupRequest = () => ({
  type: FETCH_DELETE_ATTRIBUTE_SETUP_REQUEST,
});

export const fetchDeleteAttributeSetupSuccess = (data) => ({
  type: FETCH_DELETE_ATTRIBUTE_SETUP_SUCCESS,
  data,
});

export const fetchDeleteAttributeSetupFailure = (error) => ({
  type: FETCH_DELETE_ATTRIBUTE_SETUP_FAILURE,
  error,
});

export const fetchDeleteAttributeSetup = (formData) => (dispatch) => {
  dispatch(fetchDeleteAttributeSetupRequest());
  return postApi("/removeCategoryAttribute", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteAttributeSetupSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteAttributeSetupFailure(error));
    });
};
