import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_CATEGORY_REQUEST,
  FETCH_DELETE_CATEGORY_SUCCESS,
  FETCH_DELETE_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDeleteCategoryRequest = () => ({
  type: FETCH_DELETE_CATEGORY_REQUEST,
});

export const fetchDeleteCategorySuccess = (data) => ({
  type: FETCH_DELETE_CATEGORY_SUCCESS,
  data,
});

export const fetchDeleteCategoryFailure = (error) => ({
  type: FETCH_DELETE_CATEGORY_FAILURE,
  error,
});

export const fetchDeleteCategory = (formData) => (dispatch) => {
  dispatch(fetchDeleteCategoryRequest());
  return postApi("/deleteCategory", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteCategoryFailure(error));
    });
};
