import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_REQUEST,
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_SUCCESS,
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDeleteCategoryTextBlockRequest = () => ({
  type: FETCH_DELETE_CATEGORY_TEXT_BLOCK_REQUEST,
});

export const fetchDeleteCategoryTextBlockSuccess = (data) => ({
  type: FETCH_DELETE_CATEGORY_TEXT_BLOCK_SUCCESS,
  data,
});

export const fetchDeleteCategoryTextBlockFailure = (error) => ({
  type: FETCH_DELETE_CATEGORY_TEXT_BLOCK_FAILURE,
  error,
});

export const fetchDeleteCategoryTextBlock = (formData) => (dispatch) => {
  dispatch(fetchDeleteCategoryTextBlockRequest());
  return postApi("/deleteCategoryTextBlock", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteCategoryTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteCategoryTextBlockFailure(error));
    });
};
