import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_TEXT_SETUP_REQUEST,
  FETCH_DELETE_TEXT_SETUP_SUCCESS,
  FETCH_DELETE_TEXT_SETUP_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDeleteTextSetupRequest = () => ({
  type: FETCH_DELETE_TEXT_SETUP_REQUEST,
});

export const fetchDeleteTextSetupSuccess = (data) => ({
  type: FETCH_DELETE_TEXT_SETUP_SUCCESS,
  data,
});

export const fetchDeleteTextSetupFailure = (error) => ({
  type: FETCH_DELETE_TEXT_SETUP_FAILURE,
  error,
});

export const fetchDeleteTextSetup = (formData) => (dispatch) => {
  dispatch(fetchDeleteTextSetupRequest());
  return postApi("/linkParentAttributes", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteTextSetupSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteTextSetupFailure(error));
    });
};
