import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST,
  FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS,
  FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE,
} from "redux/types/manageCatelog";

export const fetchDisablePagePlannerForCatalogRequest = () => ({
  type: FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST,
});

export const fetchDisablePagePlannerForCatalogSuccess = (data) => ({
  type: FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS,
  data,
});

export const fetchDisablePagePlannerForCatalogFailure = (error) => ({
  type: FETCH_DISABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE,
  error,
});

export const fetchDisablePagePlannerForCatalog = () => (dispatch) => {
  dispatch(fetchDisablePagePlannerForCatalogRequest());
  return getApi("/disablePagePlannerForCatalog")
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDisablePagePlannerForCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDisablePagePlannerForCatalogFailure(error));
    });
};
