import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST,
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS,
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE,
} from "redux/types/manageCatelog";

export const fetchEnablePagePlannerForCatalogRequest = () => ({
  type: FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST,
});

export const fetchEnablePagePlannerForCatalogSuccess = (data) => ({
  type: FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS,
  data,
});

export const fetchEnablePagePlannerForCatalogFailure = (error) => ({
  type: FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE,
  error,
});

export const fetchEnablePagePlannerForCatalog = () => (dispatch) => {
  dispatch(fetchEnablePagePlannerForCatalogRequest());
  return getApi("/enablePagePlannerForCatalog")
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchEnablePagePlannerForCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchEnablePagePlannerForCatalogFailure(error));
    });
};
