import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_REQUEST,
  FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_SUCCESS,
  FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetAttributesNotInCategoryRequest = () => ({
  type: FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_REQUEST,
});

export const fetchGetAttributesNotInCategorySuccess = (data) => ({
  type: FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_SUCCESS,
  data,
});

export const fetchGetAttributesNotInCategoryFailure = (error) => ({
  type: FETCH_GET_ATTRIBUTES_NOT_IN_CATEGORY_FAILURE,
  error,
});

export const fetchGetAttributesNotInCategory = (id) => (dispatch) => {
  dispatch(fetchGetAttributesNotInCategoryRequest());
  return getApi(`/getAttributesNotInCategory/${id}`)
    .then((data) => {
      dispatch(fetchGetAttributesNotInCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetAttributesNotInCategoryFailure(error));
    });
};
