import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOCK_LIST_FOR_CATEGORY_REQUEST,
  FETCH_BLOCK_LIST_FOR_CATEGORY_SUCCESS,
  FETCH_BLOCK_LIST_FOR_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetBlocksListForCategoryRequest = () => ({
  type: FETCH_BLOCK_LIST_FOR_CATEGORY_REQUEST,
});

export const fetchGetBlocksListForCategorySuccess = (data) => ({
  type: FETCH_BLOCK_LIST_FOR_CATEGORY_SUCCESS,
  data,
});

export const fetchGetBlocksListForCategoryFailure = (error) => ({
  type: FETCH_BLOCK_LIST_FOR_CATEGORY_FAILURE,
  error,
});

export const fetchGetBlocksListForCategory = (id) => (dispatch) => {
  dispatch(fetchGetBlocksListForCategoryRequest());
  return getApi(`/getBlocksListForCategory/${id}`)
    .then((data) => {
      dispatch(fetchGetBlocksListForCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetBlocksListForCategoryFailure(error));
    });
};
