import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_BLOCK_SIZES_REQUEST,
  FETCH_GET_BLOCK_SIZES_SUCCESS,
  FETCH_GET_BLOCK_SIZES_FAILURE,
} from "redux/types/manageCatelog";

export const fetcGetBlockSizesRequest = () => ({
  type: FETCH_GET_BLOCK_SIZES_REQUEST,
});

export const fetcGetBlockSizesSuccess = (data) => ({
  type: FETCH_GET_BLOCK_SIZES_SUCCESS,
  data,
});

export const fetcGetBlockSizesFailure = (error) => ({
  type: FETCH_GET_BLOCK_SIZES_FAILURE,
  error,
});

export const fetcGetBlockSizes = () => (dispatch) => {
  dispatch(fetcGetBlockSizesRequest());
  return getApi("/getBlockSizes")
    .then((data) => {
      // toast.success(data?.data?.message);
      dispatch(fetcGetBlockSizesSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetcGetBlockSizesFailure(error));
    });
};
