import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATALOG_TREE_FOR_BLOCKS_REQUEST,
  FETCH_GET_CATALOG_TREE_FOR_BLOCKS_SUCCESS,
  FETCH_GET_CATALOG_TREE_FOR_BLOCKS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetCatalogTreeForBlocksRequest = () => ({
  type: FETCH_GET_CATALOG_TREE_FOR_BLOCKS_REQUEST,
});

export const fetchGetCatalogTreeForBlocksSuccess = (data) => ({
  type: FETCH_GET_CATALOG_TREE_FOR_BLOCKS_SUCCESS,
  data,
});

export const fetchGetCatalogTreeForBlocksFailure = (error) => ({
  type: FETCH_GET_CATALOG_TREE_FOR_BLOCKS_FAILURE,
  error,
});

export const fetchGetCatalogTreeForBlocks = (id) => (dispatch) => {
  dispatch(fetchGetCatalogTreeForBlocksRequest());
  return getApi(`/getCatalogTreeForBlocks/${id}`)
    .then((data) => {
      dispatch(fetchGetCatalogTreeForBlocksSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCatalogTreeForBlocksFailure(error));
    });
};
