import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_REQUEST,
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_SUCCESS,
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetCatalogTreeWithPageNumbersRequest = () => ({
  type: FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_REQUEST,
});

export const fetchGetCatalogTreeWithPageNumbersSuccess = (data) => ({
  type: FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_SUCCESS,
  data,
});

export const fetchGetCatalogTreeWithPageNumbersFailure = (error) => ({
  type: FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_FAILURE,
  error,
});

export const fetchGetCatalogTreeWithPageNumbers = (id) => (dispatch) => {
  dispatch(fetchGetCatalogTreeWithPageNumbersRequest());
  return getApi(`/getCatalogTreeWithPageNumbers`)
    .then((data) => {
      dispatch(fetchGetCatalogTreeWithPageNumbersSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCatalogTreeWithPageNumbersFailure(error));
    });
};
