import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_DETAILS_REQUEST,
  FETCH_GET_CATEGORY_DETAILS_SUCCESS,
  FETCH_GET_CATEGORY_DETAILS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetCategoryDetailsRequest = () => ({
  type: FETCH_GET_CATEGORY_DETAILS_REQUEST,
});

export const fetchGetCategoryDetailsSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_DETAILS_SUCCESS,
  data,
});

export const fetchGetCategoryDetailsFailure = (error) => ({
  type: FETCH_GET_CATEGORY_DETAILS_FAILURE,
  error,
});

export const fetchGetCategoryDetails = (id) => (dispatch) => {
  dispatch(fetchGetCategoryDetailsRequest());
  return getApi(`/getCategoryDetails/${id}`)
    .then((data) => {
      dispatch(fetchGetCategoryDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCategoryDetailsFailure(error));
    });
};
