import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_MEDIA_REQUEST,
  FETCH_GET_CATEGORY_MEDIA_SUCCESS,
  FETCH_GET_CATEGORY_MEDIA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetCategoryMediaRequest = () => ({
  type: FETCH_GET_CATEGORY_MEDIA_REQUEST,
});

export const fetchGetCategoryMediaSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_MEDIA_SUCCESS,
  data,
});

export const fetchGetCategoryMediaFailure = (error) => ({
  type: FETCH_GET_CATEGORY_MEDIA_FAILURE,
  error,
});

export const fetchGetCategoryMedia = (id) => (dispatch) => {
  dispatch(fetchGetCategoryMediaRequest());
  return getApi(`/getCategoryMedia/${id}`)
    .then((data) => {
      dispatch(fetchGetCategoryMediaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCategoryMediaFailure(error));
    });
};
