import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_STATISTICS_REQUEST,
  FETCH_GET_CATEGORY_STATISTICS_SUCCESS,
  FETCH_GET_CATEGORY_STATISTICS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchGetCategoryStatisticsRequest = () => ({
  type: FETCH_GET_CATEGORY_STATISTICS_REQUEST,
});

export const fetchGetCategoryStatisticsSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_STATISTICS_SUCCESS,
  data,
});

export const fetchGetCategoryStatisticsFailure = (error) => ({
  type: FETCH_GET_CATEGORY_STATISTICS_FAILURE,
  error,
});

export const fetchGetCategoryStatistics = (id) => (dispatch) => {
  dispatch(fetchGetCategoryStatisticsRequest());
  return getApi(`/getCategoryStatistics/${id}`)
    .then((data) => {
      dispatch(fetchGetCategoryStatisticsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetCategoryStatisticsFailure(error));
    });
};
