import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LINK_ATTRIBUTE_REQUEST,
  FETCH_LINK_ATTRIBUTE_SUCCESS,
  FETCH_LINK_ATTRIBUTE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchLinkAttributeRequest = () => ({
  type: FETCH_LINK_ATTRIBUTE_REQUEST,
});

export const fetchLinkAttributeSuccess = (data) => ({
  type: FETCH_LINK_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchLinkAttributeFailure = (error) => ({
  type: FETCH_LINK_ATTRIBUTE_FAILURE,
  error,
});

export const fetchLinkAttribute = (formData) => (dispatch) => {
  dispatch(fetchLinkAttributeRequest());
  return postApi("/linkParentAttributes", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLinkAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLinkAttributeFailure(error));
    });
};
