import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LINK_PARENT_COLOR_REQUEST,
  FETCH_LINK_PARENT_COLOR_SUCCESS,
  FETCH_LINK_PARENT_COLOR_FAILURE,
} from "redux/types/manageCatelog";

export const fetchLinkParentColorRequest = () => ({
  type: FETCH_LINK_PARENT_COLOR_REQUEST,
});

export const fetchLinkParentColorSuccess = (data) => ({
  type: FETCH_LINK_PARENT_COLOR_SUCCESS,
  data,
});

export const fetchLinkParentColorFailure = (error) => ({
  type: FETCH_LINK_PARENT_COLOR_FAILURE,
  error,
});

export const fetchLinkParentColor = (formData) => (dispatch) => {
  dispatch(fetchLinkParentColorRequest());
  return postApi("/linkParentColor", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLinkParentColorSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLinkParentColorFailure(error));
    });
};
