import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LINK_PARENT_TEXT_BLOCKS_REQUEST,
  FETCH_LINK_PARENT_TEXT_BLOCKS_SUCCESS,
  FETCH_LINK_PARENT_TEXT_BLOCKS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchLinkParentTextBlockRequest = () => ({
  type: FETCH_LINK_PARENT_TEXT_BLOCKS_REQUEST,
});

export const fetchLinkParentTextBlockSuccess = (data) => ({
  type: FETCH_LINK_PARENT_TEXT_BLOCKS_SUCCESS,
  data,
});

export const fetchLinkParentTextBlockFailure = (error) => ({
  type: FETCH_LINK_PARENT_TEXT_BLOCKS_FAILURE,
  error,
});

export const fetchLinkParentTextBlock = (formData) => (dispatch) => {
  dispatch(fetchLinkParentTextBlockRequest());
  return postApi("/linkParentTextblocks", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLinkParentTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLinkParentTextBlockFailure(error));
    });
};
