import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LINK_TEMPLATE_REQUEST,
  FETCH_LINK_TEMPLATE_SUCCESS,
  FETCH_LINK_TEMPLATE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchLinkTemplateRequest = () => ({
  type: FETCH_LINK_TEMPLATE_REQUEST,
});

export const fetchLinkTemplateSuccess = (data) => ({
  type: FETCH_LINK_TEMPLATE_SUCCESS,
  data,
});

export const fetchLinkTemplateFailure = (error) => ({
  type: FETCH_LINK_TEMPLATE_FAILURE,
  error,
});

export const fetchLinkTemplate = (formData) => (dispatch) => {
  dispatch(fetchLinkTemplateRequest());
  return postApi("/linkParentTemplate", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLinkTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLinkTemplateFailure(error));
    });
};
