import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_MOVE_CATEGORY_REQUEST,
  FETCH_MOVE_CATEGORY_SUCCESS,
  FETCH_MOVE_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchMoveCategoryRequest = () => ({
  type: FETCH_MOVE_CATEGORY_REQUEST,
});

export const fetchMoveCategorySuccess = (data) => ({
  type: FETCH_MOVE_CATEGORY_SUCCESS,
  data,
});

export const fetchMoveCategoryFailure = (error) => ({
  type: FETCH_MOVE_CATEGORY_FAILURE,
  error,
});

export const fetchMoveCategory = (formData) => (dispatch) => {
  dispatch(fetchMoveCategoryRequest());
  return postApi("/moveCategory", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchMoveCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchMoveCategoryFailure(error));
    });
};
