import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_RENAME_CATEGORY_FAILURE,
  FETCH_RENAME_CATEGORY_REQUEST,
  FETCH_RENAME_CATEGORY_SUCCESS,
} from "redux/types/manageCatelog";

export const fetchRenameCategoryRequest = () => ({
  type: FETCH_RENAME_CATEGORY_REQUEST,
});

export const fetchRenameCategorySuccess = (data) => ({
  type: FETCH_RENAME_CATEGORY_SUCCESS,
  data,
});

export const fetchRenameCategoryFailure = (error) => ({
  type: FETCH_RENAME_CATEGORY_FAILURE,
  error,
});

export const fetchRenameCategory = (categoryId, data) => (dispatch) => {
  dispatch(fetchRenameCategoryRequest());
  return postApi(`/renameCategory/${categoryId}`, data)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchRenameCategorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchRenameCategoryFailure(error));
    });
};
