import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_TEXT_SETUP_DATA_REQUEST,
  FETCH_TEXT_SETUP_DATA_SUCCESS,
  FETCH_TEXT_SETUP_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchTextSetupDataRequest = () => ({
  type: FETCH_TEXT_SETUP_DATA_REQUEST,
});

export const fetchTextSetupDataSuccess = (data) => ({
  type: FETCH_TEXT_SETUP_DATA_SUCCESS,
  data,
});

export const fetchTextSetupDataFailure = (error) => ({
  type: FETCH_TEXT_SETUP_DATA_FAILURE,
  error,
});

export const fetchTextSetupData = (id) => (dispatch) => {
  dispatch(fetchTextSetupDataRequest());
  return getApi(`/getCategoryTextSetupData/${id}`)
    .then((data) => {
      dispatch(fetchTextSetupDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchTextSetupDataFailure(error));
    });
};
