import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNLINK_PARENT_COLOR_REQUEST,
  FETCH_UNLINK_PARENT_COLOR_SUCCESS,
  FETCH_UNLINK_PARENT_COLOR_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUnlinkParentColorRequest = () => ({
  type: FETCH_UNLINK_PARENT_COLOR_REQUEST,
});

export const fetchUnlinkParentColorSuccess = (data) => ({
  type: FETCH_UNLINK_PARENT_COLOR_SUCCESS,
  data,
});

export const fetchUnlinkParentColorFailure = (error) => ({
  type: FETCH_UNLINK_PARENT_COLOR_FAILURE,
  error,
});

export const fetchUnlinkParentColor = (formData) => (dispatch) => {
  dispatch(fetchUnlinkParentColorRequest());
  return postApi("/unlinkParentColor", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUnlinkParentColorSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUnlinkParentColorFailure(error));
    });
};
