import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNLINK_PARENT_ATTRIBUTE_REQUEST,
  FETCH_UNLINK_PARENT_ATTRIBUTE_SUCCESS,
  FETCH_UNLINK_PARENT_ATTRIBUTE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUnlinkParentAttributeRequest = () => ({
  type: FETCH_UNLINK_PARENT_ATTRIBUTE_REQUEST,
});

export const fetchUnlinkParentAttributeSuccess = (data) => ({
  type: FETCH_UNLINK_PARENT_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchUnlinkParentAttributeFailure = (error) => ({
  type: FETCH_UNLINK_PARENT_ATTRIBUTE_FAILURE,
  error,
});

export const fetchUnlinkParentAttribute = (formData) => (dispatch) => {
  dispatch(fetchUnlinkParentAttributeRequest());
  return postApi("/unlinkParentAttributes", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUnlinkParentAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUnlinkParentAttributeFailure(error));
    });
};
