import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_REQUEST,
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_SUCCESS,
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUnlinkParentTextBlockRequest = () => ({
  type: FETCH_UNLINK_PARENT_TEXT_BLOCKS_REQUEST,
});

export const fetchUnlinkParentTextBlockSuccess = (data) => ({
  type: FETCH_UNLINK_PARENT_TEXT_BLOCKS_SUCCESS,
  data,
});

export const fetchUnlinkParentTextBlockFailure = (error) => ({
  type: FETCH_UNLINK_PARENT_TEXT_BLOCKS_FAILURE,
  error,
});

export const fetchUnlinkParentTextBlock = (formData) => (dispatch) => {
  dispatch(fetchUnlinkParentTextBlockRequest());
  return postApi("/unlinkParentTextblocks", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUnlinkParentTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUnlinkParentTextBlockFailure(error));
    });
};
