import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNLINK_TEMPLATE_REQUEST,
  FETCH_UNLINK_TEMPLATE_SUCCESS,
  FETCH_UNLINK_TEMPLATE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUnlinkTemplateRequest = () => ({
  type: FETCH_UNLINK_TEMPLATE_REQUEST,
});

export const fetchUnlinkTemplateSuccess = (data) => ({
  type: FETCH_UNLINK_TEMPLATE_SUCCESS,
  data,
});

export const fetchUnlinkTemplateFailure = (error) => ({
  type: FETCH_UNLINK_TEMPLATE_FAILURE,
  error,
});

export const fetchUnlinkTemplate = (formData) => (dispatch) => {
  dispatch(fetchUnlinkTemplateRequest());
  return postApi("/unlinkParentTemplate", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUnlinkTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUnlinkTemplateFailure(error));
    });
};
