import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_REQUEST,
  FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_SUCCESS,
  FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateAttributeSetupDataRequest = () => ({
  type: FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_REQUEST,
});

export const fetchUpdateAttributeSetupDataSuccess = (data) => ({
  type: FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_SUCCESS,
  data,
});

export const fetchUpdateAttributeSetupDataFailure = (error) => ({
  type: FETCH_UPDATE_ATTRIBUTE_SETUP_DATA_FAILURE,
  error,
});

export const fetchUpdateAttributeSetupData = (formData) => (dispatch) => {
  dispatch(fetchUpdateAttributeSetupDataRequest());
  return postApi("/updateAttributeSetupData", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateAttributeSetupDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateAttributeSetupDataFailure(error));
    });
};
