import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_REQUEST,
  FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_SUCCESS,
  FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateAttributeWidthForCategoryRequest = () => ({
  type: FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_REQUEST,
});

export const fetchUpdateAttributeWidthForCategorySuccess = (data) => ({
  type: FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_SUCCESS,
  data,
});

export const fetchUpdateAttributeWidthForCategoryFailure = (error) => ({
  type: FETCH_UPDATE_ATTRIBUTE_WIDTH_FOR_CATEGORY_FAILURE,
  error,
});

export const fetchUpdateAttributeWidthForCategory =
  (formData) => (dispatch) => {
    dispatch(fetchUpdateAttributeWidthForCategoryRequest());
    return postApi("/updateAttributeWidthForCategory", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateAttributeWidthForCategorySuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateAttributeWidthForCategoryFailure(error));
      });
  };
