import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_REQUEST,
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_SUCCESS,
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateCatalogPlannerCategoryPositionRequest = () => ({
  type: FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_REQUEST,
});

export const fetchUpdateCatalogPlannerCategoryPositionSuccess = (data) => ({
  type: FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_SUCCESS,
  data,
});

export const fetchUpdateCatalogPlannerCategoryPositionFailure = (error) => ({
  type: FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_FAILURE,
  error,
});

export const fetchUpdateCatalogPlannerCategoryPosition =
  (formData) => (dispatch) => {
    dispatch(fetchUpdateCatalogPlannerCategoryPositionRequest());
    return postApi("/updateCatalogPlannerCategoryPosition", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateCatalogPlannerCategoryPositionSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateCatalogPlannerCategoryPositionFailure(error));
      });
  };
