import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_REQUEST,
  FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_SUCCESS,
  FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateCategoryAttributeSchemaRequest = () => ({
  type: FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_REQUEST,
});

export const fetchUpdateCategoryAttributeSchemaSuccess = (data) => ({
  type: FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_SUCCESS,
  data,
});

export const fetchUpdateCategoryAttributeSchemaFailure = (error) => ({
  type: FETCH_UPDATE_CATEGORY_ATTRIBUTE_SCHEMA_FAILURE,
  error,
});

export const fetchUpdateCategoryAttributeSchema = (formData) => (dispatch) => {
  dispatch(fetchUpdateCategoryAttributeSchemaRequest());
  return postApi("/updateCategoryAttributesSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateCategoryAttributeSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateCategoryAttributeSchemaFailure(error));
    });
};
