import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_CATEGORY_TEXT_REQUEST,
  FETCH_UPDATE_CATEGORY_TEXT_SUCCESS,
  FETCH_UPDATE_CATEGORY_TEXT_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateCategoryTextRequest = () => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_REQUEST,
});

export const fetchUpdateCategoryTextSuccess = (data) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_SUCCESS,
  data,
});

export const fetchUpdateCategoryTextFailure = (error) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_FAILURE,
  error,
});

export const fetchUpdateCategoryText = (formData) => (dispatch) => {
  dispatch(fetchUpdateCategoryTextRequest());
  return postApi("/updateCategoryTextValues", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateCategoryTextSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateCategoryTextFailure(error));
    });
};
