import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_REQUEST,
  FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_SUCCESS,
  FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateCategoryTextBlockSchemaRequest = () => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_REQUEST,
});

export const fetchUpdateCategoryTextBlockSchemaSuccess = (data) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_SUCCESS,
  data,
});

export const fetchUpdateCategoryTextBlockSchemaFailure = (error) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_BLOCK_SCHEMA_FAILURE,
  error,
});

export const fetchUpdateCategoryTextBlockSchema = (formData) => (dispatch) => {
  dispatch(fetchUpdateCategoryTextBlockSchemaRequest());
  return postApi("/updateCategoryTextBlockSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateCategoryTextBlockSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateCategoryTextBlockSchemaFailure(error));
    });
};
