import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_DISPLAY_SETUP_REQUEST,
  FETCH_UPDATE_DISPLAY_SETUP_SUCCESS,
  FETCH_UPDATE_DISPLAY_SETUP_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateDisplaySetupRequest = () => ({
  type: FETCH_UPDATE_DISPLAY_SETUP_REQUEST,
});

export const fetchUpdateDisplaySetupSuccess = (data) => ({
  type: FETCH_UPDATE_DISPLAY_SETUP_SUCCESS,
  data,
});

export const fetchUpdateDisplaySetupFailure = (error) => ({
  type: FETCH_UPDATE_DISPLAY_SETUP_FAILURE,
  error,
});

export const fetchUpdateDisplaySetup = (formData) => (dispatch) => {
  dispatch(fetchUpdateDisplaySetupRequest());
  return postApi("/updateCategoryDisplaySetup", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateDisplaySetupSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateDisplaySetupFailure(error));
    });
};
