import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_REQUEST,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_SUCCESS,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateProductAttributeRequest = () => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_REQUEST,
});

export const fetchUpdateProductAttributeSuccess = (data) => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchUpdateProductAttributeFailure = (error) => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_FAILURE,
  error,
});

export const fetchUpdateProductAttribute = (formData) => (dispatch) => {
  dispatch(fetchUpdateProductAttributeRequest());
  return postApi("/updateProductAttributes", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateProductAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateProductAttributeFailure(error));
    });
};
