import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_REQUEST,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateProductAttributeSortOrderRequest = () => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_REQUEST,
});

export const fetchUpdateProductAttributeSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateProductAttributeSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_PRODUCT_ATTRIBUTE_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateProductAttributeSortOrder =
  (formData) => (dispatch) => {
    dispatch(fetchUpdateProductAttributeSortOrderRequest());
    return postApi("/updateProductAttributeSortOrder", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateProductAttributeSortOrderSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateProductAttributeSortOrderFailure(error));
      });
  };
