import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_REQUEST,
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateProductCollectionSortOrderRequest = () => ({
  type: FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_REQUEST,
});

export const fetchUpdateProductCollectionSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateProductCollectionSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateProductCollectionSortOrder =
  (formData) => (dispatch) => {
    dispatch(fetchUpdateProductCollectionSortOrderRequest());
    return postApi("/updateProductCollectionSortOrder", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateProductCollectionSortOrderSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateProductCollectionSortOrderFailure(error));
      });
  };
