import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_REQUEST,
  FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_FAILURE,
} from "redux/types/manageCatelog";

export const fetchUpdateTextSetupSortOrderRequest = () => ({
  type: FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_REQUEST,
});

export const fetchUpdateTextSetupSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateTextSetupSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_TEXT_SETUP_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateTextSetupSortOrder = (formData) => (dispatch) => {
  dispatch(fetchUpdateTextSetupSortOrderRequest());
  return postApi("/updateCategoryTextBlockSortOrder", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateTextSetupSortOrderSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateTextSetupSortOrderFailure(error));
    });
};
