import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ADD_PRODUCT_REQUEST,
  FETCH_ADD_PRODUCT_SUCCESS,
  FETCH_ADD_PRODUCT_FAILURE,
} from "redux/types/manageProduct";

export const fetchAddProductRequest = () => ({
  type: FETCH_ADD_PRODUCT_REQUEST,
});

export const fetchAddProductSuccess = (data) => ({
  type: FETCH_ADD_PRODUCT_SUCCESS,
  data,
});

export const fetchAddProductFailure = (error) => ({
  type: FETCH_ADD_PRODUCT_FAILURE,
  error,
});

export const fetchAddProduct = (formData) => (dispatch) => {
  dispatch(fetchAddProductRequest());
  return postApi("/addProduct", formData)
    .then((data) => {
        showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchAddProductSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddProductFailure(error));
    });
};
