import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ADD_PRODUCT_VALIDATION_REQUEST,
    FETCH_ADD_PRODUCT_VALIDATION_SUCCESS,
    FETCH_ADD_PRODUCT_VALIDATION_FAILURE,
} from "redux/types/manageProduct";

export const fetchAddProductValidationRequest = () => ({
  type: FETCH_ADD_PRODUCT_VALIDATION_REQUEST,
});

export const fetchAddProductValidationSuccess = (data) => ({
  type: FETCH_ADD_PRODUCT_VALIDATION_SUCCESS,
  data,
});

export const fetchAddProductValidationFailure = (error) => ({
  type: FETCH_ADD_PRODUCT_VALIDATION_FAILURE,
  error,
});

export const fetchAddProductValidation = (formData, rowsPerPage) => (dispatch) => {
  dispatch(fetchAddProductValidationRequest());
  return getApi("/getProductsCount")
    .then((data) => {
      dispatch(fetchAddProductValidationSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddProductValidationFailure(error));
    });
};
