import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_BLOB_LIST_REQUEST,
    FETCH_BLOB_LIST_SUCCESS,
    FETCH_BLOB_LIST_FAILURE,
} from "redux/types/manageProduct";

export const fetchBlobListRequest = () => ({
  type: FETCH_BLOB_LIST_REQUEST,
});

export const fetchBlobListSuccess = (data) => ({
  type: FETCH_BLOB_LIST_SUCCESS,
  data,
});

export const fetchBlobListFailure = (error) => ({
  type: FETCH_BLOB_LIST_FAILURE,
  error,
});

export const fetchBlobList = (formData) => (dispatch) => {
  dispatch(fetchBlobListRequest());
  return getApi(`/getAllBlobs`)
    .then((data) => {
      dispatch(fetchBlobListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchBlobListFailure(error));
    });
};
