import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_EDIT_PRODUCT_ATT_HISTORY_REQUEST,
    FETCH_EDIT_PRODUCT_ATT_HISTORY_SUCCESS,
    FETCH_EDIT_PRODUCT_ATT_HISTORY_FAILURE,
} from "redux/types/manageProduct";

export const fetchEditProductAttHistoryListRequest = () => ({
  type: FETCH_EDIT_PRODUCT_ATT_HISTORY_REQUEST,
});

export const fetchEditProductAttHistoryListSuccess = (data) => ({
  type: FETCH_EDIT_PRODUCT_ATT_HISTORY_SUCCESS,
  data,
});

export const fetchEditProductAttHistoryListFailure = (error) => ({
  type: FETCH_EDIT_PRODUCT_ATT_HISTORY_FAILURE,
  error,
});

export const fetchEditProductAttHistoryList = (formData) => (dispatch) => {
  dispatch(fetchEditProductAttHistoryListRequest());
  return getApi(`/getProductHistory/${formData}` )
    .then((data) => {
      dispatch(fetchEditProductAttHistoryListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchEditProductAttHistoryListFailure(error));
    });
};
