import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_MANAGE_ATTRIBUTE_LIST_REQUEST,
    FETCH_MANAGE_ATTRIBUTE_LIST_SUCCESS,
    FETCH_MANAGE_ATTRIBUTE_LIST_FAILURE,
} from "redux/types/manageProduct";

export const fetchManageAttributeListRequest = () => ({
  type: FETCH_MANAGE_ATTRIBUTE_LIST_REQUEST,
});

export const fetchManageAttributeListSuccess = (data) => ({
  type: FETCH_MANAGE_ATTRIBUTE_LIST_SUCCESS,
  data,
});

export const fetchManageAttributeListFailure = (error) => ({
  type: FETCH_MANAGE_ATTRIBUTE_LIST_FAILURE,
  error,
});

export const fetchManageAttributeList = (formData) => (dispatch) => {
  dispatch(fetchManageAttributeListRequest());
  return postApi("/getEditProductData", formData)
    .then((data) => {
      dispatch(fetchManageAttributeListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchManageAttributeListFailure(error));
    });
};
