import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PRODUCT_COLLECTION_LIST_REQUEST,
  FETCH_PRODUCT_COLLECTION_LIST_SUCCESS,
  FETCH_PRODUCT_COLLECTION_LIST_FAILURE,
} from "redux/types/manageProduct";

export const fetchProductCollectionListRequest = () => ({
  type: FETCH_PRODUCT_COLLECTION_LIST_REQUEST,
});

export const fetchProductCollectionListSuccess = (data) => ({
  type: FETCH_PRODUCT_COLLECTION_LIST_SUCCESS,
  data,
});

export const fetchProductCollectionListFailure = (error) => ({
  type: FETCH_PRODUCT_COLLECTION_LIST_FAILURE,
  error,
});

export const fetchProductCollectionList = (formData) => (dispatch) => {
  dispatch(fetchProductCollectionListRequest());
  return getApi(`/getProductCollections/${formData}`)
    .then((data) => {
      dispatch(fetchProductCollectionListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductCollectionListFailure(error));
    });
};
