import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_MANAGE_ATTRIBUTE_REQUEST,
  FETCH_UPDATE_MANAGE_ATTRIBUTE_SUCCESS,
  FETCH_UPDATE_MANAGE_ATTRIBUTE_FAILURE,
} from "redux/types/manageProduct";

export const fetchUpdateManageAttributeRequest = () => ({
  type: FETCH_UPDATE_MANAGE_ATTRIBUTE_REQUEST,
});

export const fetchUpdateManageAttributeSuccess = (data) => ({
  type: FETCH_UPDATE_MANAGE_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchUpdateManageAttributeFailure = (error) => ({
  type: FETCH_UPDATE_MANAGE_ATTRIBUTE_FAILURE,
  error,
});

export const fetchUpdateManageAttribute = (formData) => (dispatch) => {
  dispatch(fetchUpdateManageAttributeRequest());
  return postApi("/updateProductAttributeValue", formData)
    .then((data) => {
        showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchUpdateManageAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateManageAttributeFailure(error));
    });
};
