import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PREVIEW_BLOB_REQUEST,
  FETCH_PREVIEW_BLOB_SUCCESS,
  FETCH_PREVIEW_BLOB_FAILURE,
} from "redux/types/manageProduct";

export const fetchPreviewBlobRequest = () => ({
  type: FETCH_PREVIEW_BLOB_REQUEST,
});

export const fetchPreviewBlobSuccess = (data) => ({
  type: FETCH_PREVIEW_BLOB_SUCCESS,
  data,
});

export const fetchPreviewBlobFailure = (error) => ({
  type: FETCH_PREVIEW_BLOB_FAILURE,
  error,
});

export const fetchPreviewBlob = (formData) => (dispatch) => {
  dispatch(fetchPreviewBlobRequest());
  return postApi("/previewBlob", formData)
    .then((data) => {
      dispatch(fetchPreviewBlobSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchPreviewBlobFailure(error));
    });
};
