import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PRODUCT_ATTRIBUTE_GRID_REQUEST,
  FETCH_PRODUCT_ATTRIBUTE_GRID_SUCCESS,
  FETCH_PRODUCT_ATTRIBUTE_GRID_FAILURE,
} from "redux/types/manageProduct";

export const fetchProductAttrGridRequest = () => ({
  type: FETCH_PRODUCT_ATTRIBUTE_GRID_REQUEST,
});

export const fetchProductAttrGridSuccess = (data) => ({
  type: FETCH_PRODUCT_ATTRIBUTE_GRID_SUCCESS,
  data,
});

export const fetchProductAttrGridFailure = (error) => ({
  type: FETCH_PRODUCT_ATTRIBUTE_GRID_FAILURE,
  error,
});

export const fetchProductAttrGrid = (formData) => (dispatch) => {
  dispatch(fetchProductAttrGridRequest());
  return getApi(`/getProductAttributeGridData/${formData}`)
    .then((data) => {
      dispatch(fetchProductAttrGridSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductAttrGridFailure(error));
    });
};
