import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_REQUEST,
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_SUCCESS,
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_FAILURE,
} from "redux/types/manageProduct";

export const fetchProductAttrHistoryRequest = () => ({
  type: FETCH_PRODUCT_ATTRIBUTE_HISTORY_REQUEST,
});

export const fetchProductAttrHistorySuccess = (data) => ({
  type: FETCH_PRODUCT_ATTRIBUTE_HISTORY_SUCCESS,
  data,
});

export const fetchProductAttrHistoryFailure = (error) => ({
  type: FETCH_PRODUCT_ATTRIBUTE_HISTORY_FAILURE,
  error,
});

export const fetchProductAttrHistory = (formData) => (dispatch) => {
  dispatch(fetchProductAttrHistoryRequest());
  return getApi("/getProductAttributeHistory")
    .then((data) => {
      dispatch(fetchProductAttrHistorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductAttrHistoryFailure(error));
    });
};
