import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_PRODUCT_CATEGORY_LIST_REQUEST,
  FETCH_PRODUCT_CATEGORY_LIST_SUCCESS,
  FETCH_PRODUCT_CATEGORY_LIST_FAILURE,
} from "redux/types/manageProduct";

export const fetchProductCategoryListRequest = () => ({
  type: FETCH_PRODUCT_CATEGORY_LIST_REQUEST,
});

export const fetchProductCategoryListSuccess = (data) => ({
  type: FETCH_PRODUCT_CATEGORY_LIST_SUCCESS,
  data,
});

export const fetchProductCategoryListFailure = (error) => ({
  type: FETCH_PRODUCT_CATEGORY_LIST_FAILURE,
  error,
});

export const fetchProductCategoryList = (formData) => (dispatch) => {
  dispatch(fetchProductCategoryListRequest());
  return getApi("/get3LevelChildrenForCatalog")
    .then((data) => {
      dispatch(fetchProductCategoryListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductCategoryListFailure(error));
    });
};
