import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_PRODUCT_LIST_REQUEST,
    FETCH_PRODUCT_LIST_SUCCESS,
    FETCH_PRODUCT_LIST_FAILURE,
} from "redux/types/manageProduct";

export const fetchProductListRequest = () => ({
  type: FETCH_PRODUCT_LIST_REQUEST,
});

export const fetchProductListSuccess = (data) => ({
  type: FETCH_PRODUCT_LIST_SUCCESS,
  data,
});

export const fetchProductListFailure = (error) => ({
  type: FETCH_PRODUCT_LIST_FAILURE,
  error,
});

export const fetchProductList = (formData, rowsPerPage) => (dispatch) => {
  dispatch(fetchProductListRequest());
  return getApi("/getAllProducts?page="+formData+"&perPage="+rowsPerPage)
    .then((data) => {
      dispatch(fetchProductListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductListFailure(error));
    });
};
