import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_RESTORE_OLD_VALUE_REQUEST,
  FETCH_RESTORE_OLD_VALUE_SUCCESS,
  FETCH_RESTORE_OLD_VALUE_FAILURE,
} from "redux/types/manageProduct";

export const fetchRestoreOldValueRequest = () => ({
  type: FETCH_RESTORE_OLD_VALUE_REQUEST,
});

export const fetchRestoreOldValueSuccess = (data) => ({
  type: FETCH_RESTORE_OLD_VALUE_SUCCESS,
  data,
});

export const fetchRestoreOldValueFailure = (error) => ({
  type: FETCH_RESTORE_OLD_VALUE_FAILURE,
  error,
});

export const fetchRestoreOldValue = (formData) => (dispatch) => {
  dispatch(fetchRestoreOldValueRequest());
  return postApi("/restoreProductAttributeValue", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchRestoreOldValueSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchRestoreOldValueFailure(error));
    });
};
