import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SEARCH_PRODUCT_REQUEST,
  FETCH_SEARCH_PRODUCT_SUCCESS,
  FETCH_SEARCH_PRODUCT_FAILURE,
} from "redux/types/manageProduct";

export const fetchSearchProductRequest = () => ({
  type: FETCH_SEARCH_PRODUCT_REQUEST,
});

export const fetchSearchProductSuccess = (data) => ({
  type: FETCH_SEARCH_PRODUCT_SUCCESS,
  data,
});

export const fetchSearchProductFailure = (error) => ({
  type: FETCH_SEARCH_PRODUCT_FAILURE,
  error,
});

export const fetchSearchProduct = (formData) => (dispatch) => {
  dispatch(fetchSearchProductRequest());
  return getApi(
    `/findProduct/${formData.search}?perPage=${formData.perPage}&page=${formData.page}`
  )
    .then((data) => {
      dispatch(fetchSearchProductSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchSearchProductFailure(error));
    });
};
