import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_REQUEST,
  FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_SUCCESS,
  FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_FAILURE,
} from "redux/types/manageProduct";

export const fetchUpdateProductAttrGridDataRequest = () => ({
  type: FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_REQUEST,
});

export const fetchUpdateProductAttrGridDataSuccess = (data) => ({
  type: FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_SUCCESS,
  data,
});

export const fetchUpdateProductAttrGridDataFailure = (error) => ({
  type: FETCH_UPDATE_PRODUCT_ATTR_GRID_DATA_FAILURE,
  error,
});

export const fetchUpdateProductAttrGridData = (formData) => (dispatch) => {
  dispatch(fetchUpdateProductAttrGridDataRequest());
  return postApi("/updateProductAttributeGridData", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchUpdateProductAttrGridDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateProductAttrGridDataFailure(error));
    });
};
