import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ACTIVE_CATALOG_LIST_REQUEST,
    FETCH_ACTIVE_CATALOG_LIST_SUCCESS,
    FETCH_ACTIVE_CATALOG_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchActiveCatalogListRequest = () => ({
  type: FETCH_ACTIVE_CATALOG_LIST_REQUEST,
});

export const fetchActiveCatalogListSuccess = (data) => ({
  type: FETCH_ACTIVE_CATALOG_LIST_SUCCESS,
  data,
});

export const fetchActiveCatalogListFailure = (error) => ({
  type: FETCH_ACTIVE_CATALOG_LIST_FAILURE,
  error,
});

export const fetchActiveCatalogList = (formData) => (dispatch) => {
  dispatch(fetchActiveCatalogListRequest());
  return getApi(`/getActiveCatalogList`)
    .then((data) =>{
        dispatch(fetchActiveCatalogListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchActiveCatalogListFailure(error));
    });
};
