import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ADD_CATALOG_REQUEST,
    FETCH_ADD_CATALOG_SUCCESS,
    FETCH_ADD_CATALOG_FAILURE,
} from "redux/types/masterAdmin";

export const fetchAddCatalogRequest = () => ({
  type: FETCH_ADD_CATALOG_REQUEST,
});

export const fetchAddCatalogSuccess = (data) => ({
  type: FETCH_ADD_CATALOG_SUCCESS,
  data,
});

export const fetchAddCatalogFailure = (error) => ({
  type: FETCH_ADD_CATALOG_FAILURE,
  error,
});

export const fetchAddCatalog = (formData) => (dispatch) => {
  dispatch(fetchAddCatalogRequest());
  return postApi("/addCatalog", formData)
    .then((data) => {
      dispatch(fetchAddCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddCatalogFailure(error));
    });
};
