import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_WORDPRESS_INTEGRATION_REQUEST,
  FETCH_ADD_WORDPRESS_INTEGRATION_SUCCESS,
  FETCH_ADD_WORDPRESS_INTEGRATION_FAILURE,
} from "redux/types/masterAdmin";

export const fetchAddWordpressIntegrationRequest = () => ({
  type: FETCH_ADD_WORDPRESS_INTEGRATION_REQUEST,
});

export const fetchAddWordpressIntegrationSuccess = (data) => ({
  type: FETCH_ADD_WORDPRESS_INTEGRATION_SUCCESS,
  data,
});

export const fetchAddWordpressIntegrationFailure = (error) => ({
  type: FETCH_ADD_WORDPRESS_INTEGRATION_FAILURE,
  error,
});

export const fetchAddWordpressIntegration = (formData) => (dispatch) => {
  dispatch(fetchAddWordpressIntegrationRequest());
  return postApi("/addWordpressIntegration", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchAddWordpressIntegrationSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddWordpressIntegrationFailure(error));
    });
};
