import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_CATALOG_CHILD_LIST_REQUEST,
    FETCH_CATALOG_CHILD_LIST_SUCCESS,
    FETCH_CATALOG_CHILD_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchCatalogChildListRequest = () => ({
  type: FETCH_CATALOG_CHILD_LIST_REQUEST,
});

export const fetchCatalogChildListSuccess = (data) => ({
  type: FETCH_CATALOG_CHILD_LIST_SUCCESS,
  data,
});

export const fetchCatalogChildListFailure = (error) => ({
  type: FETCH_CATALOG_CHILD_LIST_FAILURE,
  error,
});

export const fetchCatalogChildList = () => (dispatch) => {
  dispatch(fetchCatalogChildListRequest());
  return getApi(`/get3LevelChildrenForCatalog`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchCatalogChildListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogChildListFailure(error));
    });
};
