import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_CATALOG_LIST_REQUEST,
    FETCH_CATALOG_LIST_SUCCESS,
    FETCH_CATALOG_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchCatalogListRequest = () => ({
  type: FETCH_CATALOG_LIST_REQUEST,
});

export const fetchCatalogListSuccess = (data) => ({
  type: FETCH_CATALOG_LIST_SUCCESS,
  data,
});

export const fetchCatalogListFailure = (error) => ({
  type: FETCH_CATALOG_LIST_FAILURE,
  error,
});

export const fetchCatalogList = (formData) => (dispatch) => {
  dispatch(fetchCatalogListRequest());
  return getApi(`/getCatalogList/${formData}`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchCatalogListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogListFailure(error));
    });
};
