import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_USER_REQUEST,
  FETCH_DELETE_USER_SUCCESS,
  FETCH_DELETE_USER_FAILURE,
} from "redux/types/masterAdmin";

export const fetchDeleteUserRequest = () => ({
  type: FETCH_DELETE_USER_REQUEST,
});

export const fetchDeleteUserSuccess = (data) => ({
  type: FETCH_DELETE_USER_SUCCESS,
  data,
});

export const fetchDeleteUserFailure = (error) => ({
  type: FETCH_DELETE_USER_FAILURE,
  error,
});

export const fetchDeleteUser = (formData) => (dispatch) => {
  dispatch(fetchDeleteUserRequest());
  return postApi("/deleteUser", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteUserSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteUserFailure(error));
    });
};
