import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_CATALOG_DETAILS_REQUEST,
    FETCH_CATALOG_DETAILS_SUCCESS,
    FETCH_CATALOG_DETAILS_FAILURE,
    FETCH_RESET_CATALOG_DETAILS
} from "redux/types/masterAdmin";

export const fetchCatalogDetailsRequest = () => ({
  type: FETCH_CATALOG_DETAILS_REQUEST,
});

export const fetchCatalogDetailsSuccess = (data) => ({
  type: FETCH_CATALOG_DETAILS_SUCCESS,
  data,
});

export const fetchCatalogDetailsFailure = (error) => ({
  type: FETCH_CATALOG_DETAILS_FAILURE,
  error,
});

export const fetchResetCatalogDetails = (error) => ({
    type: FETCH_RESET_CATALOG_DETAILS,
    error,
  });


export const fetchCatalogDetails = (formData) => (dispatch) => {
  dispatch(fetchCatalogDetailsRequest());
  return postApi("/getCatalogDetails", formData)
    .then((data) => {
      dispatch(fetchCatalogDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogDetailsFailure(error));
    });
};
