import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_WORDPRESS_INTEGRATION_REQUEST,
  FETCH_GET_WORDPRESS_INTEGRATION_SUCCESS,
  FETCH_GET_WORDPRESS_INTEGRATION_FAILURE,
} from "redux/types/masterAdmin";

export const fetchGetWordpressIntegrationRequest = () => ({
  type: FETCH_GET_WORDPRESS_INTEGRATION_REQUEST,
});

export const fetchGetWordpressIntegrationSuccess = (data) => ({
  type: FETCH_GET_WORDPRESS_INTEGRATION_SUCCESS,
  data,
});

export const fetchGetWordpressIntegrationFailure = (error) => ({
  type: FETCH_GET_WORDPRESS_INTEGRATION_FAILURE,
  error,
});

export const fetchGetWordpressIntegration = () => (dispatch) => {
  dispatch(fetchGetWordpressIntegrationRequest());
  return getApi(`/getWordpressIntegration`)
    .then((data) => {
      dispatch(fetchGetWordpressIntegrationSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetWordpressIntegrationFailure(error));
    });
};
