import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_INVITE_ACCOUNT_MANAGER_REQUEST,
  FETCH_INVITE_ACCOUNT_MANAGER_SUCCESS,
  FETCH_INVITE_ACCOUNT_MANAGER_FAILURE,
} from "redux/types/masterAdmin";

export const fetchInviteAccountManagerRequest = () => ({
  type: FETCH_INVITE_ACCOUNT_MANAGER_REQUEST,
});

export const fetchInviteAccountManagerSuccess = (data) => ({
  type: FETCH_INVITE_ACCOUNT_MANAGER_SUCCESS,
  data,
});

export const fetchInviteAccountManagerFailure = (error) => ({
  type: FETCH_INVITE_ACCOUNT_MANAGER_FAILURE,
  error,
});

export const fetchInviteAccountManager = (formData) => (dispatch) => {
  dispatch(fetchInviteAccountManagerRequest());
  return postApi("/inviteAccountManager", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchInviteAccountManagerSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchInviteAccountManagerFailure(error));
    });
};
