import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_INVITE_RESELLER_REQUEST,
  FETCH_INVITE_RESELLER_SUCCESS,
  FETCH_INVITE_RESELLER_FAILURE,
} from "redux/types/masterAdmin";

export const fetchInviteResellerRequest = () => ({
  type: FETCH_INVITE_RESELLER_REQUEST,
});

export const fetchInviteResellerSuccess = (data) => ({
  type: FETCH_INVITE_RESELLER_SUCCESS,
  data,
});

export const fetchInviteResellerFailure = (error) => ({
  type: FETCH_INVITE_RESELLER_FAILURE,
  error,
});

export const fetchInviteReseller = (formData) => (dispatch) => {
  dispatch(fetchInviteResellerRequest());
  return postApi("/inviteReseller", formData)
    .then((data) => {
      dispatch(fetchInviteResellerSuccess(data));
      showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchInviteResellerFailure(error));
    });
};
