import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_INVITE_USER_REQUEST,
  FETCH_INVITE_USER_SUCCESS,
  FETCH_INVITE_USER_FAILURE,
} from "redux/types/masterAdmin";

export const fetchInviteUserRequest = () => ({
  type: FETCH_INVITE_USER_REQUEST,
});

export const fetchInviteUserSuccess = (data) => ({
  type: FETCH_INVITE_USER_SUCCESS,
  data,
});

export const fetchInviteUserFailure = (error) => ({
  type: FETCH_INVITE_USER_FAILURE,
  error,
});

export const fetchInviteUser = (formData) => (dispatch) => {
  dispatch(fetchInviteUserRequest());
  return postApi("/inviteUser", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchInviteUserSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchInviteUserFailure(error));
    });
};
