import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_JOB_LIST_REQUEST,
    FETCH_JOB_LIST_SUCCESS,
    FETCH_JOB_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchJobListRequest = () => ({
  type: FETCH_JOB_LIST_REQUEST,
});

export const fetchJobListSuccess = (data) => ({
  type: FETCH_JOB_LIST_SUCCESS,
  data,
});

export const fetchJobListFailure = (error) => ({
  type: FETCH_JOB_LIST_FAILURE,
  error,
});

export const fetchJobList = (formData) => (dispatch) => {
  dispatch(fetchJobListRequest());
  return getApi('/getAllJobs')
    .then((data) =>{
        // if(data?.data?.flag){

        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchJobListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchJobListFailure(error));
    });
};
