import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ORGANIZATION_LIST_REQUEST,
  FETCH_ORGANIZATION_LIST_SUCCESS,
  FETCH_ORGANIZATION_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchOrganizationListRequest = () => ({
  type: FETCH_ORGANIZATION_LIST_REQUEST,
});

export const fetchOrganizationListSuccess = (data) => ({
  type: FETCH_ORGANIZATION_LIST_SUCCESS,
  data,
});

export const fetchOrganizationListFailure = (error) => ({
  type: FETCH_ORGANIZATION_LIST_FAILURE,
  error,
});

export const fetchOrganizationList = (formData) => (dispatch) => {
  dispatch(fetchOrganizationListRequest());
  return getApi("/getOrganisationList")
    .then((data) => {
      dispatch(fetchOrganizationListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchOrganizationListFailure(error));
    });
};
