import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_CATALOG_REQUEST,
    FETCH_UPDATE_CATALOG_SUCCESS,
    FETCH_UPDATE_CATALOG_FAILURE,
} from "redux/types/masterAdmin";

export const fetchUpdateCatalogRequest = () => ({
  type: FETCH_UPDATE_CATALOG_REQUEST,
});

export const fetchUpdateCatalogSuccess = (data) => ({
  type: FETCH_UPDATE_CATALOG_SUCCESS,
  data,
});

export const fetchUpdateCatalogFailure = (error) => ({
  type: FETCH_UPDATE_CATALOG_FAILURE,
  error,
});

export const fetchUpdateCatalog = (formData) => (dispatch) => {
  dispatch(fetchUpdateCatalogRequest());
  return postApi("/updateCatalog", formData)
    .then((data) => {
        showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchUpdateCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateCatalogFailure(error));
    });
};
