import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_ORGANIZATION_REQUEST,
    FETCH_UPDATE_ORGANIZATION_SUCCESS,
    FETCH_UPDATE_ORGANIZATION_FAILURE,
} from "redux/types/masterAdmin";

export const fetchUpdateOrganizationRequest = () => ({
  type: FETCH_UPDATE_ORGANIZATION_REQUEST,
});

export const fetchUpdateOrganizationSuccess = (data) => ({
  type: FETCH_UPDATE_ORGANIZATION_SUCCESS,
  data,
});

export const fetchUpdateOrganizationFailure = (error) => ({
  type: FETCH_UPDATE_ORGANIZATION_FAILURE,
  error,
});

export const fetchUpdateOrganization = (formData) => (dispatch) => {
  dispatch(fetchUpdateOrganizationRequest());
  return postApi("/updateOrganisation", formData)
    .then((data) => {
        toast.success(data?.data?.message);
      dispatch(fetchUpdateOrganizationSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateOrganizationFailure(error));
    });
};
