import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_USER_REQUEST,
  FETCH_UPDATE_USER_SUCCESS,
  FETCH_UPDATE_USER_FAILURE,
} from "redux/types/masterAdmin";

export const fetchUpdateUserRequest = () => ({
  type: FETCH_UPDATE_USER_REQUEST,
});

export const fetchUpdateUserSuccess = (data) => ({
  type: FETCH_UPDATE_USER_SUCCESS,
  data,
});

export const fetchUpdateUserFailure = (error) => ({
  type: FETCH_UPDATE_USER_FAILURE,
  error,
});

export const fetchUpdateUser = (formData) => (dispatch) => {
  dispatch(fetchUpdateUserRequest());
  return postApi("/updateUser", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateUserSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateUserFailure(error));
    });
};
