import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_USER_LIST_REQUEST,
    FETCH_USER_LIST_SUCCESS,
    FETCH_USER_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchUserListRequest = () => ({
  type: FETCH_USER_LIST_REQUEST,
});

export const fetchUserListSuccess = (data) => ({
  type: FETCH_USER_LIST_SUCCESS,
  data,
});

export const fetchUserListFailure = (error) => ({
  type: FETCH_USER_LIST_FAILURE,
  error,
});

export const fetchUserList = (formData) => (dispatch) => {
  dispatch(fetchUserListRequest());
  return getApi(`/getUsersList/${formData}`)
    .then((data) =>{
        dispatch(fetchUserListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUserListFailure(error));
    });
};
