import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_ATTRIBUTE_REQUEST,
  FETCH_ADD_ATTRIBUTE_SUCCESS,
  FETCH_ADD_ATTRIBUTE_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddAttributeRequest = () => ({
  type: FETCH_ADD_ATTRIBUTE_REQUEST,
});

export const fetchAddAttributeSuccess = (data) => ({
  type: FETCH_ADD_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchAddAttributeFailure = (error) => ({
  type: FETCH_ADD_ATTRIBUTE_FAILURE,
  error,
});

export const fetchAddAttribute = (formData) => (dispatch) => {
  dispatch(fetchAddAttributeRequest());
  return postApi("/addAttribute", formData)
    .then((data) => {
        if(data?.data?.flag){
            toast.success(data?.data?.flag, data?.data?.message);
        }
      dispatch(fetchAddAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddAttributeFailure(error));
    });
};
