import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_ATTRIBUTE_SCHEMA_REQUEST,
  FETCH_ADD_ATTRIBUTE_SCHEMA_SUCCESS,
  FETCH_ADD_ATTRIBUTE_SCHEMA_FAILURE,
} from "redux/types/output";

export const fetchAddAttributeSchemaRequest = () => ({
  type: FETCH_ADD_ATTRIBUTE_SCHEMA_REQUEST,
});

export const fetchAddAttributeSchemaSuccess = (data) => ({
  type: FETCH_ADD_ATTRIBUTE_SCHEMA_SUCCESS,
  data,
});

export const fetchAddAttributeSchemaFailure = (error) => ({
  type: FETCH_ADD_ATTRIBUTE_SCHEMA_FAILURE,
  error,
});

export const fetchAddAttributeSchema = (formData) => (dispatch) => {
  dispatch(fetchAddAttributeSchemaRequest());
  return postApi("/addAttributeSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddAttributeSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddAttributeSchemaFailure(error));
    });
};
