import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_LANGUAGE_REQUEST,
  FETCH_ADD_LANGUAGE_SUCCESS,
  FETCH_ADD_LANGUAGE_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddLanguageRequest = () => ({
  type: FETCH_ADD_LANGUAGE_REQUEST,
});

export const fetchAddLanguageSuccess = (data) => ({
  type: FETCH_ADD_LANGUAGE_SUCCESS,
  data,
});

export const fetchAddLanguageFailure = (error) => ({
  type: FETCH_ADD_LANGUAGE_FAILURE,
  error,
});

export const fetchAddLanguage = (formData) => (dispatch) => {
  dispatch(fetchAddLanguageRequest());
  return postApi("/addCatalogLanguage", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddLanguageFailure(error));
    });
};
