import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_PRODUCT_BLOB_REQUEST,
  FETCH_ADD_PRODUCT_BLOB_SUCCESS,
  FETCH_ADD_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddProductBlobRequest = () => ({
  type: FETCH_ADD_PRODUCT_BLOB_REQUEST,
});

export const fetchAddProductBlobSuccess = (data) => ({
  type: FETCH_ADD_PRODUCT_BLOB_SUCCESS,
  data,
});

export const fetchAddProductBlobFailure = (error) => ({
  type: FETCH_ADD_PRODUCT_BLOB_FAILURE,
  error,
});

export const fetchAddProductBlob = (formData) => (dispatch) => {
  dispatch(fetchAddProductBlobRequest());
  return postApi("/addBlob", formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchAddProductBlobSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddProductBlobFailure(error));
    });
};
