import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_TEMPLATE_REQUEST,
  FETCH_ADD_TEMPLATE_SUCCESS,
  FETCH_ADD_TEMPLATE_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddTemplateRequest = () => ({
  type: FETCH_ADD_TEMPLATE_REQUEST,
});

export const fetchAddTemplateSuccess = (data) => ({
  type: FETCH_ADD_TEMPLATE_SUCCESS,
  data,
});

export const fetchAddTemplateFailure = (error) => ({
  type: FETCH_ADD_TEMPLATE_FAILURE,
  error,
});

export const fetchAddTemplate = (formData) => (dispatch) => {
  dispatch(fetchAddTemplateRequest());
  return postApi("/addTemplate", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddTemplateFailure(error));
    });
};
