import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_TEXT_BLOCK_REQUEST,
  FETCH_ADD_TEXT_BLOCK_SUCCESS,
  FETCH_ADD_TEXT_BLOCK_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddTextBlockRequest = () => ({
  type: FETCH_ADD_TEXT_BLOCK_REQUEST,
});

export const fetchAddTextBlockSuccess = (data) => ({
  type: FETCH_ADD_TEXT_BLOCK_SUCCESS,
  data,
});

export const fetchAddTextBlockFailure = (error) => ({
  type: FETCH_ADD_TEXT_BLOCK_FAILURE,
  error,
});

export const fetchAddTextBlock = (formData) => (dispatch) => {
  dispatch(fetchAddTextBlockRequest());
  return postApi("/addTextblock", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddTextBlockFailure(error));
    });
};
