import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_UNIT_REQUEST,
  FETCH_ADD_UNIT_SUCCESS,
  FETCH_ADD_UNIT_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddUnitRequest = () => ({
  type: FETCH_ADD_UNIT_REQUEST,
});

export const fetchAddUnitSuccess = (data) => ({
  type: FETCH_ADD_UNIT_SUCCESS,
  data,
});

export const fetchAddUnitFailure = (error) => ({
  type: FETCH_ADD_UNIT_FAILURE,
  error,
});

export const fetchAddUnit = (formData) => (dispatch) => {
  dispatch(fetchAddUnitRequest());
  return postApi("/addUnit", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddUnitSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddUnitFailure(error));
    });
};
