import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ATTRIBUTE_DETAIL_REQUEST,
  FETCH_ATTRIBUTE_DETAIL_SUCCESS,
  FETCH_ATTRIBUTE_DETAIL_FAILURE,
} from "redux/types/masterSetup";

export const fetchAttributeDetailRequest = () => ({
  type: FETCH_ATTRIBUTE_DETAIL_REQUEST,
});

export const fetchAttributeDetailSuccess = (data) => ({
  type: FETCH_ATTRIBUTE_DETAIL_SUCCESS,
  data,
});

export const fetchAttributeDetailFailure = (error) => ({
  type: FETCH_ATTRIBUTE_DETAIL_FAILURE,
  error,
});

export const fetchAttributeDetail = (id) => (dispatch) => {
  dispatch(fetchAttributeDetailRequest());
  return getApi(`/getAttributeDetails/${id}`)
    .then((data) => {
      dispatch(fetchAttributeDetailSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAttributeDetailFailure(error));
    });
};
