import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_ATTRIBUTE_LIST_REQUEST,
    FETCH_ATTRIBUTE_LIST_SUCCESS,
    FETCH_ATTRIBUTE_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchAttributeListRequest = () => ({
  type: FETCH_ATTRIBUTE_LIST_REQUEST,
});

export const fetchAttributeListSuccess = (data) => ({
  type: FETCH_ATTRIBUTE_LIST_SUCCESS,
  data,
});

export const fetchAttributeListFailure = (error) => ({
  type: FETCH_ATTRIBUTE_LIST_FAILURE,
  error,
});

export const fetchAttributeList = (formData) => (dispatch) => {
  dispatch(fetchAttributeListRequest());
  return getApi(`/getAllAttributes`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchAttributeListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAttributeListFailure(error));
    });
};
