import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_REQUEST,
  FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_SUCCESS,
  FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchAttributeWithoutVirtualRequest = () => ({
  type: FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_REQUEST,
});

export const fetchAttributeWithoutVirtualSuccess = (data) => ({
  type: FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_SUCCESS,
  data,
});

export const fetchAttributeWithoutVirtualFailure = (error) => ({
  type: FETCH_ATTRIBUTE_WITHOUT_VIRTUAL_LIST_FAILURE,
  error,
});

export const fetchAttributeWithoutVirtual = (formData) => (dispatch) => {
  dispatch(fetchAttributeWithoutVirtualRequest());
  return getApi(`/getAllAttributesWithoutVirtual`)
    .then((data) => {
      dispatch(fetchAttributeWithoutVirtualSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAttributeWithoutVirtualFailure(error));
    });
};
