import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ALL_CATALOG_LANGUAGES_REQUEST,
  FETCH_ALL_CATALOG_LANGUAGES_SUCCESS,
  FETCH_ALL_CATALOG_LANGUAGES_FAILURE,
} from "redux/types/masterSetup";

export const fetchCatalogLanguageListRequest = () => ({
  type: FETCH_ALL_CATALOG_LANGUAGES_REQUEST,
});

export const fetchCatalogLanguageListSuccess = (data) => ({
  type: FETCH_ALL_CATALOG_LANGUAGES_SUCCESS,
  data,
});

export const fetchCatalogLanguageListFailure = (error) => ({
  type: FETCH_ALL_CATALOG_LANGUAGES_FAILURE,
  error,
});

export const fetchCatalogLanguageList = (formData) => (dispatch) => {
  dispatch(fetchCatalogLanguageListRequest());
  return getApi(`/getAllCatalogLanguages`)
    .then((data) => {
      dispatch(fetchCatalogLanguageListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCatalogLanguageListFailure(error));
    });
};
