import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_ATTRIBUTE_REQUEST,
  FETCH_DELETE_ATTRIBUTE_SUCCESS,
  FETCH_DELETE_ATTRIBUTE_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteAttributeRequest = () => ({
  type: FETCH_DELETE_ATTRIBUTE_REQUEST,
});

export const fetchDeleteAttributeSuccess = (data) => ({
  type: FETCH_DELETE_ATTRIBUTE_SUCCESS,
  data,
});

export const fetchDeleteAttributeFailure = (error) => ({
  type: FETCH_DELETE_ATTRIBUTE_FAILURE,
  error,
});

export const fetchDeleteAttribute = (id) => (dispatch) => {
  dispatch(fetchDeleteAttributeRequest());
  return getApi(`/deleteAttribute/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteAttributeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteAttributeFailure(error));
    });
};
