import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_LANGUAGE_REQUEST,
  FETCH_DELETE_LANGUAGE_SUCCESS,
  FETCH_DELETE_LANGUAGE_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteLanguageRequest = () => ({
  type: FETCH_DELETE_LANGUAGE_REQUEST,
});

export const fetchDeleteLanguageSuccess = (data) => ({
  type: FETCH_DELETE_LANGUAGE_SUCCESS,
  data,
});

export const fetchDeleteLanguageFailure = (error) => ({
  type: FETCH_DELETE_LANGUAGE_FAILURE,
  error,
});

export const fetchDeleteLanguage = (id) => (dispatch) => {
  dispatch(fetchDeleteLanguageRequest());
  return getApi(`/deleteCatalogLanguageDetails/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteLanguageFailure(error));
    });
};
