import { getApiData, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_PRODUCT_BLOB_REQUEST,
  FETCH_DELETE_PRODUCT_BLOB_SUCCESS,
  FETCH_DELETE_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteProductBlobRequest = () => ({
  type: FETCH_DELETE_PRODUCT_BLOB_REQUEST,
});

export const fetchDeleteProductBlobSuccess = (data) => ({
  type: FETCH_DELETE_PRODUCT_BLOB_SUCCESS,
  data,
});

export const fetchDeleteProductBlobFailure = (error) => ({
  type: FETCH_DELETE_PRODUCT_BLOB_FAILURE,
  error,
});

export const fetchDeleteProductBlob = (id) => (dispatch) => {
  dispatch(fetchDeleteProductBlobRequest());
  return getApi(`/deleteBlob/${id}`)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchDeleteProductBlobSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteProductBlobFailure(error));
    });
};
