import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_TEMPLATE_REQUEST,
  FETCH_DELETE_TEMPLATE_SUCCESS,
  FETCH_DELETE_TEMPLATE_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteTemplateRequest = () => ({
  type: FETCH_DELETE_TEMPLATE_REQUEST,
});

export const fetchDeleteTemplateSuccess = (data) => ({
  type: FETCH_DELETE_TEMPLATE_SUCCESS,
  data,
});

export const fetchDeleteTemplateFailure = (error) => ({
  type: FETCH_DELETE_TEMPLATE_FAILURE,
  error,
});

export const fetchDeleteTemplate = (id) => (dispatch) => {
  dispatch(fetchDeleteTemplateRequest());
  return getApi(`/deleteTemplate/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteTemplateFailure(error));
    });
};
