import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_TEXT_BLOCK_REQUEST,
  FETCH_DELETE_TEXT_BLOCK_SUCCESS,
  FETCH_DELETE_TEXT_BLOCK_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteTextBlockRequest = () => ({
  type: FETCH_DELETE_TEXT_BLOCK_REQUEST,
});

export const fetchDeleteTextBlockSuccess = (data) => ({
  type: FETCH_DELETE_TEXT_BLOCK_SUCCESS,
  data,
});

export const fetchDeleteTextBlockFailure = (error) => ({
  type: FETCH_DELETE_TEXT_BLOCK_FAILURE,
  error,
});

export const fetchDeleteTextBlock = (id) => (dispatch) => {
  dispatch(fetchDeleteTextBlockRequest());
  return getApi(`/deleteTextblock/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteTextBlockFailure(error));
    });
};
