import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_UNIT_REQUEST,
  FETCH_DELETE_UNIT_SUCCESS,
  FETCH_DELETE_UNIT_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteUnitRequest = () => ({
  type: FETCH_DELETE_UNIT_REQUEST,
});

export const fetchDeleteUnitSuccess = (data) => ({
  type: FETCH_DELETE_UNIT_SUCCESS,
  data,
});

export const fetchDeleteUnitFailure = (error) => ({
  type: FETCH_DELETE_UNIT_FAILURE,
  error,
});

export const fetchDeleteUnit = (id) => (dispatch) => {
  dispatch(fetchDeleteUnitRequest());
  return getApi(`/deleteUnit/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteUnitSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteUnitFailure(error));
    });
};
