import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DISABLE_MULTI_LANGUAGE_REQUEST,
  FETCH_DISABLE_MULTI_LANGUAGE_SUCCESS,
  FETCH_DISABLE_MULTI_LANGUAGE_FAILURE,
} from "redux/types/masterSetup";

export const fetchDisableMultiLanguageRequest = () => ({
  type: FETCH_DISABLE_MULTI_LANGUAGE_REQUEST,
});

export const fetchDisableMultiLanguageSuccess = (data) => ({
  type: FETCH_DISABLE_MULTI_LANGUAGE_SUCCESS,
  data,
});

export const fetchDisableMultiLanguageFailure = (error) => ({
  type: FETCH_DISABLE_MULTI_LANGUAGE_FAILURE,
  error,
});

export const fetchDisableMultiLanguage = (formData) => (dispatch) => {
  dispatch(fetchDisableMultiLanguageRequest());
  return getApi(`/disableMultiLanguageForCatalog`)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchDisableMultiLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDisableMultiLanguageFailure(error));
    });
};
