import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ENABLE_MULTI_LANGUAGE_REQUEST,
  FETCH_ENABLE_MULTI_LANGUAGE_SUCCESS,
  FETCH_ENABLE_MULTI_LANGUAGE_FAILURE,
} from "redux/types/masterSetup";

export const fetchEnableMultiLanguageRequest = () => ({
  type: FETCH_ENABLE_MULTI_LANGUAGE_REQUEST,
});

export const fetchEnableMultiLanguageSuccess = (data) => ({
  type: FETCH_ENABLE_MULTI_LANGUAGE_SUCCESS,
  data,
});

export const fetchEnableMultiLanguageFailure = (error) => ({
  type: FETCH_ENABLE_MULTI_LANGUAGE_FAILURE,
  error,
});

export const fetchEnableMultiLanguage = (formData) => (dispatch) => {
  dispatch(fetchEnableMultiLanguageRequest());
  return getApi(`/enableMultiLanguageForCatalog`)
    .then((data) => {
        showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchEnableMultiLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchEnableMultiLanguageFailure(error));
    });
};
