import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_FLAG_LIST_REQUEST,
    FETCH_FLAG_LIST_SUCCESS,
    FETCH_FLAG_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchFlagListRequest = () => ({
  type: FETCH_FLAG_LIST_REQUEST,
});

export const fetchFlagListSuccess = (data) => ({
  type: FETCH_FLAG_LIST_SUCCESS,
  data,
});

export const fetchFlagListFailure = (error) => ({
  type: FETCH_FLAG_LIST_FAILURE,
  error,
});

export const fetchFlagList = (formData) => (dispatch) => {
  dispatch(fetchFlagListRequest());
  return getApi(`/getAllFlags`)
    .then((data) =>{
        dispatch(fetchFlagListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchFlagListFailure(error));
    });
};
