import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_BLOB_DETAIL_REQUEST,
  FETCH_BLOB_DETAIL_SUCCESS,
  FETCH_BLOB_DETAIL_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetBlobDetailRequest = () => ({
  type: FETCH_BLOB_DETAIL_REQUEST,
});

export const fetchGetBlobDetailSuccess = (data) => ({
  type: FETCH_BLOB_DETAIL_SUCCESS,
  data,
});

export const fetchGetBlobDetailFailure = (error) => ({
  type: FETCH_BLOB_DETAIL_FAILURE,
  error,
});

export const fetchGetBlobDetail = (id) => (dispatch) => {
  dispatch(fetchGetBlobDetailRequest());
  return getApi(`/getBlobDetails/${id}`)
    .then((data) => {
      dispatch(fetchGetBlobDetailSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetBlobDetailFailure(error));
    });
};
