import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_DASHBOARD_ITEM_LIST_REQUEST,
  FETCH_GET_DASHBOARD_ITEM_LIST_SUCCESS,
  FETCH_GET_DASHBOARD_ITEM_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetDashboardItemsListRequest = () => ({
  type: FETCH_GET_DASHBOARD_ITEM_LIST_REQUEST,
});

export const fetchGetDashboardItemsListSuccess = (data) => ({
  type: FETCH_GET_DASHBOARD_ITEM_LIST_SUCCESS,
  data,
});

export const fetchGetDashboardItemsListFailure = (error) => ({
  type: FETCH_GET_DASHBOARD_ITEM_LIST_FAILURE,
  error,
});

export const fetchGetDashboardItemsList = (formData) => (dispatch) => {
  dispatch(fetchGetDashboardItemsListRequest());
  return getApi(`/getDashboardItemsList`)
    .then((data) => {
      dispatch(fetchGetDashboardItemsListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetDashboardItemsListFailure(error));
    });
};
