import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_LANGUAGE_DETAILS_REQUEST,
  FETCH_LANGUAGE_DETAILS_SUCCESS,
  FETCH_LANGUAGE_DETAILS_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetLanguageRequest = () => ({
  type: FETCH_LANGUAGE_DETAILS_REQUEST,
});

export const fetchGetLanguageSuccess = (data) => ({
  type: FETCH_LANGUAGE_DETAILS_SUCCESS,
  data,
});

export const fetchGetLanguageFailure = (error) => ({
  type: FETCH_LANGUAGE_DETAILS_FAILURE,
  error,
});

export const fetchGetLanguage = (id) => (dispatch) => {
  dispatch(fetchGetLanguageRequest());
  return getApi("/getCatalogLanguageDetails/"+`${id}`)
    .then((data) => {
      dispatch(fetchGetLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetLanguageFailure(error));
    });
};
