import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_TEMPLATE_DETAILS_REQUEST,
  FETCH_TEMPLATE_DETAILS_SUCCESS,
  FETCH_TEMPLATE_DETAILS_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetTemplateRequest = () => ({
  type: FETCH_TEMPLATE_DETAILS_REQUEST,
});

export const fetchGetTemplateSuccess = (data) => ({
  type: FETCH_TEMPLATE_DETAILS_SUCCESS,
  data,
});

export const fetchGetTemplateFailure = (error) => ({
  type: FETCH_TEMPLATE_DETAILS_FAILURE,
  error,
});

export const fetchGetTemplate = (id) => (dispatch) => {
  dispatch(fetchGetTemplateRequest());
  return getApi("/getTemplateDetails/"+`${id}`)
    .then((data) => {
      dispatch(fetchGetTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetTemplateFailure(error));
    });
};
