import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNIT_DETAILS_REQUEST,
  FETCH_UNIT_DETAILS_SUCCESS,
  FETCH_UNIT_DETAILS_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetUnitRequest = () => ({
  type: FETCH_UNIT_DETAILS_REQUEST,
});

export const fetchGetUnitSuccess = (data) => ({
  type: FETCH_UNIT_DETAILS_SUCCESS,
  data,
});

export const fetchGetUnitFailure = (error) => ({
  type: FETCH_UNIT_DETAILS_FAILURE,
  error,
});

export const fetchGetUnit = (id) => (dispatch) => {
  dispatch(fetchGetUnitRequest());
  return getApi("/getUnitDetails/"+`${id}`)
    .then((data) => {
      dispatch(fetchGetUnitSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetUnitFailure(error));
    });
};
