import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_LANGUAGES_LIST_REQUEST,
    FETCH_LANGUAGES_LIST_SUCCESS,
    FETCH_LANGUAGES_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchLanguageListRequest = () => ({
  type: FETCH_LANGUAGES_LIST_REQUEST,
});

export const fetchLanguageListSuccess = (data) => ({
  type: FETCH_LANGUAGES_LIST_SUCCESS,
  data,
});

export const fetchLanguageListFailure = (error) => ({
  type: FETCH_LANGUAGES_LIST_FAILURE,
  error,
});

export const fetchLanguageList = (formData) => (dispatch) => {
  dispatch(fetchLanguageListRequest());
  return getApi(`/getAllLanguages`)
    .then((data) =>{
        dispatch(fetchLanguageListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLanguageListFailure(error));
    });
};
