import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_PRODUCT_BLOBS_REQUEST,
    FETCH_PRODUCT_BLOBS_SUCCESS,
    FETCH_PRODUCT_BLOBS_FAILURE,
} from "redux/types/masterSetup";

export const fetchProductBlobListRequest = () => ({
  type: FETCH_PRODUCT_BLOBS_REQUEST,
});

export const fetchProductBlobListSuccess = (data) => ({
  type: FETCH_PRODUCT_BLOBS_SUCCESS,
  data,
});

export const fetchProductBlobListFailure = (error) => ({
  type: FETCH_PRODUCT_BLOBS_FAILURE,
  error,
});

export const fetchProductBlobList = (formData) => (dispatch) => {
  dispatch(fetchProductBlobListRequest());
  return getApi(`/getAllBlobs`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchProductBlobListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchProductBlobListFailure(error));
    });
};
