import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_REGION_LIST_REQUEST,
    FETCH_REGION_LIST_SUCCESS,
    FETCH_REGION_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchRegionListRequest = () => ({
  type: FETCH_REGION_LIST_REQUEST,
});

export const fetchRegionListSuccess = (data) => ({
  type: FETCH_REGION_LIST_SUCCESS,
  data,
});

export const fetchRegionListFailure = (error) => ({
  type: FETCH_REGION_LIST_FAILURE,
  error,
});

export const fetchRegionList = (formData) => (dispatch) => {
  dispatch(fetchRegionListRequest());
  return getApi(`/getAllRegions`)
    .then((data) =>{
        dispatch(fetchRegionListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchRegionListFailure(error));
    });
};
