import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SEARCH_PRODUCT_BLOB_REQUEST,
  FETCH_SEARCH_PRODUCT_BLOB_SUCCESS,
  FETCH_SEARCH_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

export const fetchSearchProductBlobRequest = () => ({
  type: FETCH_SEARCH_PRODUCT_BLOB_REQUEST,
});

export const fetchSearchProductBlobSuccess = (data) => ({
  type: FETCH_SEARCH_PRODUCT_BLOB_SUCCESS,
  data,
});

export const fetchSearchProductBlobFailure = (error) => ({
  type: FETCH_SEARCH_PRODUCT_BLOB_FAILURE,
  error,
});

export const fetchSearchProductBlob =
  (searchText = "") =>
  (dispatch) => {
    dispatch(fetchSearchProductBlobRequest());
    return getApi(`/searchProduct?searchTerm=${searchText}`)
      .then((data) => {
        dispatch(fetchSearchProductBlobSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchSearchProductBlobFailure(error));
      });
  };
