import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_TEMPLATE_LIST_REQUEST,
    FETCH_TEMPLATE_LIST_SUCCESS,
    FETCH_TEMPLATE_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchTemplateListRequest = () => ({
  type: FETCH_TEMPLATE_LIST_REQUEST,
});

export const fetchTemplateListSuccess = (data) => ({
  type: FETCH_TEMPLATE_LIST_SUCCESS,
  data,
});

export const fetchTemplateListFailure = (error) => ({
  type: FETCH_TEMPLATE_LIST_FAILURE,
  error,
});

export const fetchTemplateList = (formData) => (dispatch) => {
  dispatch(fetchTemplateListRequest());
  return getApi(`/getAllTemplates`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchTemplateListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchTemplateListFailure(error));
    });
};
