import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_TEXT_BLOCK_DETAIL_REQUEST,
  FETCH_TEXT_BLOCK_DETAIL_SUCCESS,
  FETCH_TEXT_BLOCK_DETAIL_FAILURE,
} from "redux/types/masterSetup";

export const fetchTextBlockDetailRequest = () => ({
  type: FETCH_TEXT_BLOCK_DETAIL_REQUEST,
});

export const fetchTextBlockDetailSuccess = (data) => ({
  type: FETCH_TEXT_BLOCK_DETAIL_SUCCESS,
  data,
});

export const fetchTextBlockDetailFailure = (error) => ({
  type: FETCH_TEXT_BLOCK_DETAIL_FAILURE,
  error,
});

export const fetchTextBlockDetail = (id) => (dispatch) => {
  dispatch(fetchTextBlockDetailRequest());
  return getApi(`/getTextblockDetails/${id}`)
    .then((data) => {
      dispatch(fetchTextBlockDetailSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchTextBlockDetailFailure(error));
    });
};
