import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_CATEGORY_TEXT_SCHEMA_REQUEST,
  FETCH_ADD_CATEGORY_TEXT_SCHEMA_SUCCESS,
  FETCH_ADD_CATEGORY_TEXT_SCHEMA_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddCategoryTextSchemaRequest = () => ({
  type: FETCH_ADD_CATEGORY_TEXT_SCHEMA_REQUEST,
});

export const fetchAddCategoryTextSchemaSuccess = (data) => ({
  type: FETCH_ADD_CATEGORY_TEXT_SCHEMA_SUCCESS,
  data,
});

export const fetchAddCategoryTextSchemaFailure = (error) => ({
  type: FETCH_ADD_CATEGORY_TEXT_SCHEMA_FAILURE,
  error,
});

export const fetchAddCategoryTextSchema = (formData) => (dispatch) => {
  dispatch(fetchAddCategoryTextSchemaRequest());
  return postApi("/addCategoryTextSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddCategoryTextSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddCategoryTextSchemaFailure(error));
    });
};
