import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_REQUEST,
  FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_SUCCESS,
  FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_FAILURE,
} from "redux/types/masterSetup";

export const fetchAddTextBlockToSchemaRequest = () => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_REQUEST,
});

export const fetchAddTextBlockToSchemaSuccess = (data) => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_SUCCESS,
  data,
});

export const fetchAddTextBlockToSchemaFailure = (error) => ({
  type: FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_FAILURE,
  error,
});

export const fetchAddTextBlockToSchema = (formData) => (dispatch) => {
  dispatch(fetchAddTextBlockToSchemaRequest());
  return postApi("/addTextBlockToSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddTextBlockToSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddTextBlockToSchemaFailure(error));
    });
};
