import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_CLONE_CATEGORY_TEXT_SCHEMA_REQUEST,
  FETCH_CLONE_CATEGORY_TEXT_SCHEMA_SUCCESS,
  FETCH_CLONE_CATEGORY_TEXT_SCHEMA_FAILURE,
} from "redux/types/masterSetup";

export const fetchCloneCategoryTextSchemaRequest = () => ({
  type: FETCH_CLONE_CATEGORY_TEXT_SCHEMA_REQUEST,
});

export const fetchCloneCategoryTextSchemaSuccess = (data) => ({
  type: FETCH_CLONE_CATEGORY_TEXT_SCHEMA_SUCCESS,
  data,
});

export const fetchCloneCategoryTextSchemaFailure = (error) => ({
  type: FETCH_CLONE_CATEGORY_TEXT_SCHEMA_FAILURE,
  error,
});

export const fetchCloneCategoryTextSchema = (schemaId) => (dispatch) => {
  dispatch(fetchCloneCategoryTextSchemaRequest());
  return getApi(`/cloneCategoryTextSchema/${schemaId}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchCloneCategoryTextSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCloneCategoryTextSchemaFailure(error));
    });
};
