import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_DELETE_CATEGORY_TEXT_SCHEMA_REQUEST,
  FETCH_DELETE_CATEGORY_TEXT_SCHEMA_SUCCESS,
  FETCH_DELETE_CATEGORY_TEXT_SCHEMA_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteCategoryTextSchemaRequest = () => ({
  type: FETCH_DELETE_CATEGORY_TEXT_SCHEMA_REQUEST,
});

export const fetchDeleteCategoryTextSchemaSuccess = (data) => ({
  type: FETCH_DELETE_CATEGORY_TEXT_SCHEMA_SUCCESS,
  data,
});

export const fetchDeleteCategoryTextSchemaFailure = (error) => ({
  type: FETCH_DELETE_CATEGORY_TEXT_SCHEMA_FAILURE,
  error,
});

export const fetchDeleteCategoryTextSchema = (schemaId) => (dispatch) => {
  dispatch(fetchDeleteCategoryTextSchemaRequest());
  return getApi(`/deleteCategoryTextSchema/${schemaId}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchDeleteCategoryTextSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteCategoryTextSchemaFailure(error));
    });
};
