import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_REQUEST,
  FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_SUCCESS,
  FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_FAILURE,
} from "redux/types/masterSetup";

export const fetchDeleteTextBlockForSchemaRequest = () => ({
  type: FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_REQUEST,
});

export const fetchDeleteTextBlockForSchemaSuccess = (data) => ({
  type: FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_SUCCESS,
  data,
});

export const fetchDeleteTextBlockForSchemaFailure = (error) => ({
  type: FETCH_DELETE_TEXT_BLOCK_FOR_SCHEMA_FAILURE,
  error,
});

export const fetchDeleteTextBlockForSchema =
  (schemaId, textBlockId) => (dispatch) => {
    dispatch(fetchDeleteTextBlockForSchemaRequest());
    return getApi(`/deleteTextBlockForSchema/${schemaId}/${textBlockId}`)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchDeleteTextBlockForSchemaSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchDeleteTextBlockForSchemaFailure(error));
      });
  };
