import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_REQUEST,
  FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_SUCCESS,
  FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetAllCategoryTextSchemaListRequest = () => ({
  type: FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_REQUEST,
});

export const fetchGetAllCategoryTextSchemaListSuccess = (data) => ({
  type: FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_SUCCESS,
  data,
});

export const fetchGetAllCategoryTextSchemaListFailure = (error) => ({
  type: FETCH_GET_ALL_CATEGORY_TEXT_SCHEMA_LIST_FAILURE,
  error,
});

export const fetchGetAllCategoryTextSchemaList = (formData) => (dispatch) => {
  dispatch(fetchGetAllCategoryTextSchemaListRequest());
  return getApi("/getAllCategoryTextSchemaList", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchGetAllCategoryTextSchemaListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetAllCategoryTextSchemaListFailure(error));
    });
};
