import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_REQUEST,
  FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_SUCCESS,
  FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetAllCategoryTextSchemaDetailsByIdRequest = () => ({
  type: FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_REQUEST,
});

export const fetchGetAllCategoryTextSchemaDetailsByIdSuccess = (data) => ({
  type: FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_SUCCESS,
  data,
});

export const fetchGetAllCategoryTextSchemaDetailsByIdFailure = (error) => ({
  type: FETCH_GET_CATEGORY_TEXT_SCHEMA_DETAILS_BY_ID_FAILURE,
  error,
});

export const fetchGetCategoryTextSchemaDetailsById = (id) => (dispatch) => {
  dispatch(fetchGetAllCategoryTextSchemaDetailsByIdRequest());
  return getApi(`/getCategoryTextSchemaDetails/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchGetAllCategoryTextSchemaDetailsByIdSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetAllCategoryTextSchemaDetailsByIdFailure(error));
    });
};
