import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError } from "redux/actions/api";
import {
  FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_REQUEST,
  FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_SUCCESS,
  FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_FAILURE,
} from "redux/types/masterSetup";

export const fetchGetTextBlockListForSchemaRequest = () => ({
  type: FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_REQUEST,
});

export const fetchGetTextBlockListForSchemaSuccess = (data) => ({
  type: FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_SUCCESS,
  data,
});

export const fetchGetTextBlockListForSchemaFailure = (error) => ({
  type: FETCH_GET_TEXT_BLOCK_LIST_FOR_SCHEMA_BY_ID_FAILURE,
  error,
});

export const fetchGetTextBlockListForSchema = (id) => (dispatch) => {
  dispatch(fetchGetTextBlockListForSchemaRequest());
  return getApi(`/getTextBlockListForSchema/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchGetTextBlockListForSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetTextBlockListForSchemaFailure(error));
    });
};
