import { getApiData } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_REQUEST,
  FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateCategoryTextSchemaSortOrderRequest = () => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_REQUEST,
});

export const fetchUpdateCategoryTextSchemaSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateCategoryTextSchemaSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_CATEGORY_TEXT_SCHEMA_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateCategoryTextSchemaSortOrder =
  (formData) => (dispatch) => {
    dispatch(fetchUpdateCategoryTextSchemaSortOrderRequest());
    return postApi("/updateCategoryTextSchemaSortOrder", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateCategoryTextSchemaSortOrderSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateCategoryTextSchemaSortOrderFailure(error));
      });
  };
