import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_REQUEST,
  FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_SUCCESS,
  FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateSchemaTextBlocksRequest = () => ({
  type: FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_REQUEST,
});

export const fetchUpdateSchemaTextBlocksSuccess = (data) => ({
  type: FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_SUCCESS,
  data,
});

export const fetchUpdateSchemaTextBlocksFailure = (error) => ({
  type: FETCH_UPDATE_SCHEMA_TEXT_BLOCKS_FAILURE,
  error,
});

export const fetchUpdateSchemaTextBlocks = (formData) => (dispatch) => {
  dispatch(fetchUpdateSchemaTextBlocksRequest());
  return postApi("/updateSchemaTextBlocks", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateSchemaTextBlocksSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateSchemaTextBlocksFailure(error));
    });
};
