import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_TEXT_BLOCKS_LIST_REQUEST,
    FETCH_TEXT_BLOCKS_LIST_SUCCESS,
    FETCH_TEXT_BLOCKS_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchTextBlockListRequest = () => ({
  type: FETCH_TEXT_BLOCKS_LIST_REQUEST,
});

export const fetchTextBlockListSuccess = (data) => ({
  type: FETCH_TEXT_BLOCKS_LIST_SUCCESS,
  data,
});

export const fetchTextBlockListFailure = (error) => ({
  type: FETCH_TEXT_BLOCKS_LIST_FAILURE,
  error,
});

export const fetchTextBlockList = (formData) => (dispatch) => {
  dispatch(fetchTextBlockListRequest());
  return getApi(`/getAllTextblocks`)
    .then((data) =>{
        // if(data?.data?.flag){
        //     toast.success(data?.data?.message);
        // }else{
        //     toast.error(data?.data?.message);
        // }
        dispatch(fetchTextBlockListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchTextBlockListFailure(error));
    });
};
