import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UNIT_LIST_REQUEST,
  FETCH_UNIT_LIST_SUCCESS,
  FETCH_UNIT_LIST_FAILURE,
} from "redux/types/masterSetup";

export const fetchUnitListRequest = () => ({
  type: FETCH_UNIT_LIST_REQUEST,
});

export const fetchUnitListSuccess = (data) => ({
  type: FETCH_UNIT_LIST_SUCCESS,
  data,
});

export const fetchUnitListFailure = (error) => ({
  type: FETCH_UNIT_LIST_FAILURE,
  error,
});

export const fetchUnitList = () => (dispatch) => {
  dispatch(fetchUnitListRequest());
  return getApi(`/getAllUnits`)
    .then((data) => {
      // if(data?.data?.flag){
      //     toast.success(data?.data?.message);
      // }else{
      //     toast.error(data?.data?.message);
      // }
      dispatch(fetchUnitListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUnitListFailure(error));
    });
};
