import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_DASHBOARD_LIST_ITEMS_REQUEST,
  FETCH_UPDATE_DASHBOARD_LIST_ITEMS_SUCCESS,
  FETCH_UPDATE_DASHBOARD_LIST_ITEMS_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateDashboardListItemRequest = () => ({
  type: FETCH_UPDATE_DASHBOARD_LIST_ITEMS_REQUEST,
});

export const fetchUpdateDashboardListItemSuccess = (data) => ({
  type: FETCH_UPDATE_DASHBOARD_LIST_ITEMS_SUCCESS,
  data,
});

export const fetchUpdateDashboardListItemFailure = (error) => ({
  type: FETCH_UPDATE_DASHBOARD_LIST_ITEMS_FAILURE,
  error,
});

export const fetchUpdateDashboardListItem = (formData) => (dispatch) => {
  dispatch(fetchUpdateDashboardListItemRequest());
  return postApi("/updateDashboardListItem", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateDashboardListItemSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateDashboardListItemFailure(error));
    });
};
