import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_EDIT_PRODUCT_DATA_REQUEST,
    FETCH_UPDATE_EDIT_PRODUCT_DATA_SUCCESS,
    FETCH_UPDATE_EDIT_PRODUCT_DATA_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateEditProductDataRequest = () => ({
  type: FETCH_UPDATE_EDIT_PRODUCT_DATA_REQUEST,
});

export const fetchUpdateEditProductDataSuccess = (data) => ({
  type: FETCH_UPDATE_EDIT_PRODUCT_DATA_SUCCESS,
  data,
});

export const fetchUpdateEditProductDataFailure = (error) => ({
  type: FETCH_UPDATE_EDIT_PRODUCT_DATA_FAILURE,
  error,
});

export const fetchUpdateEditProductData = (formData) => (dispatch) => {
  dispatch(fetchUpdateEditProductDataRequest());
  return postApi("/updateEditProductData", formData)
    .then((data) => {
        toast.success(data?.data?.message);
      dispatch(fetchUpdateEditProductDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateEditProductDataFailure(error));
    });
};
