import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_LANGUAGE_REQUEST,
  FETCH_UPDATE_LANGUAGE_SUCCESS,
  FETCH_UPDATE_LANGUAGE_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateLanguageRequest = () => ({
  type: FETCH_UPDATE_LANGUAGE_REQUEST,
});

export const fetchUpdateLanguageSuccess = (data) => ({
  type: FETCH_UPDATE_LANGUAGE_SUCCESS,
  data,
});

export const fetchUpdateLanguageFailure = (error) => ({
  type: FETCH_UPDATE_LANGUAGE_FAILURE,
  error,
});

export const fetchUpdateLanguage = (formData) => (dispatch) => {
  dispatch(fetchUpdateLanguageRequest());
  return postApi("/updateCatalogLanguage", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateLanguageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateLanguageFailure(error));
    });
};
