import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_LANGUAGE_SORT_ORDER_REQUEST,
  FETCH_UPDATE_LANGUAGE_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_LANGUAGE_SORT_ORDER_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateLanguageSortOrderRequest = () => ({
  type: FETCH_UPDATE_LANGUAGE_SORT_ORDER_REQUEST,
});

export const fetchUpdateLanguageSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_LANGUAGE_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateLanguageSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_LANGUAGE_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateLanguageSortOrder = (formData) => (dispatch) => {
  dispatch(fetchUpdateLanguageSortOrderRequest());
  return postApi("/updateLanguageSortOrder", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateLanguageSortOrderSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateLanguageSortOrderFailure(error));
    });
};
