import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_PRODUCT_BLOB_REQUEST,
    FETCH_UPDATE_PRODUCT_BLOB_SUCCESS,
    FETCH_UPDATE_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateProductBlobRequest = () => ({
  type: FETCH_UPDATE_PRODUCT_BLOB_REQUEST,
});

export const fetchUpdateProductBlobSuccess = (data) => ({
  type: FETCH_UPDATE_PRODUCT_BLOB_SUCCESS,
  data,
});

export const fetchUpdateProductBlobFailure = (error) => ({
  type: FETCH_UPDATE_PRODUCT_BLOB_FAILURE,
  error,
});

export const fetchUpdateProductBlob = (formData) => (dispatch) => {
  dispatch(fetchUpdateProductBlobRequest());
  return postApi("/updateBlob", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateProductBlobSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateProductBlobFailure(error));
    });
};
