import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_TEMPLATE_REQUEST,
  FETCH_UPDATE_TEMPLATE_SUCCESS,
  FETCH_UPDATE_TEMPLATE_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateTemplateRequest = () => ({
  type: FETCH_UPDATE_TEMPLATE_REQUEST,
});

export const fetchUpdateTemplateSuccess = (data) => ({
  type: FETCH_UPDATE_TEMPLATE_SUCCESS,
  data,
});

export const fetchUpdateTemplateFailure = (error) => ({
  type: FETCH_UPDATE_TEMPLATE_FAILURE,
  error,
});

export const fetchUpdateTemplate = (formData) => (dispatch) => {
  dispatch(fetchUpdateTemplateRequest());
  return postApi("/updateTemplate", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateTemplateSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateTemplateFailure(error));
    });
};
