import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_TEXT_BLOCK_REQUEST,
  FETCH_UPDATE_TEXT_BLOCK_SUCCESS,
  FETCH_UPDATE_TEXT_BLOCK_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateTextBlockRequest = () => ({
  type: FETCH_UPDATE_TEXT_BLOCK_REQUEST,
});

export const fetchUpdateTextBlockSuccess = (data) => ({
  type: FETCH_UPDATE_TEXT_BLOCK_SUCCESS,
  data,
});

export const fetchUpdateTextBlockFailure = (error) => ({
  type: FETCH_UPDATE_TEXT_BLOCK_FAILURE,
  error,
});

export const fetchUpdateTextBlock = (formData) => (dispatch) => {
  dispatch(fetchUpdateTextBlockRequest());
  return postApi("/updateTextblock", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateTextBlockSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateTextBlockFailure(error));
    });
};
