import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_UNIT_REQUEST,
  FETCH_UPDATE_UNIT_SUCCESS,
  FETCH_UPDATE_UNIT_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateUnitRequest = () => ({
  type: FETCH_UPDATE_UNIT_REQUEST,
});

export const fetchUpdateUnitSuccess = (data) => ({
  type: FETCH_UPDATE_UNIT_SUCCESS,
  data,
});

export const fetchUpdateUnitFailure = (error) => ({
  type: FETCH_UPDATE_UNIT_FAILURE,
  error,
});

export const fetchUpdateUnit = (formData) => (dispatch) => {
  dispatch(fetchUpdateUnitRequest());
  return postApi("/updateUnit", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateUnitSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateUnitFailure(error));
    });
};
