import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_USER_CATALOG_REQUEST,
    FETCH_UPDATE_USER_CATALOG_SUCCESS,
    FETCH_UPDATE_USER_CATALOG_FAILURE,
} from "redux/types/masterSetup";

export const fetchUpdateUserCatalogRequest = () => ({
  type: FETCH_UPDATE_USER_CATALOG_REQUEST,
});

export const fetchUpdateUserCatalogSuccess = (data) => ({
  type: FETCH_UPDATE_USER_CATALOG_SUCCESS,
  data,
});

export const fetchUpdateUserCatalogFailure = (error) => ({
  type: FETCH_UPDATE_USER_CATALOG_FAILURE,
  error,
});

export const fetchUpdateUserCatalog = (formData) => (dispatch) => {
  dispatch(fetchUpdateUserCatalogRequest());
  return postApi("/updateUserCatalog", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateUserCatalogSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateUserCatalogFailure(error));
    });
};
