import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_IMAGE_LABEL_REQUEST,
  FETCH_ADD_IMAGE_LABEL_SUCCESS,
  FETCH_ADD_IMAGE_LABEL_FAILURE,
} from "redux/types/media";

export const fetchAddImageLabelRequest = () => ({
  type: FETCH_ADD_IMAGE_LABEL_REQUEST,
});

export const fetchAddImageLabelSuccess = (data) => ({
  type: FETCH_ADD_IMAGE_LABEL_SUCCESS,
  data,
});

export const fetchAddImageLabelFailure = (error) => ({
  type: FETCH_ADD_IMAGE_LABEL_FAILURE,
  error,
});

export const fetchAddImageLabel = (formData) => (dispatch) => {
  dispatch(fetchAddImageLabelRequest());
  return postApi(`/addImageLabel`, formData)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchAddImageLabelSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddImageLabelFailure(error));
    });
};
