import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_IMAGE_SIZE_REQUEST,
  FETCH_ADD_IMAGE_SIZE_SUCCESS,
  FETCH_ADD_IMAGE_SIZE_FAILURE,
} from "redux/types/media";

export const fetchAddImageSizeRequest = () => ({
  type: FETCH_ADD_IMAGE_SIZE_REQUEST,
});

export const fetchAddImageSizeSuccess = (data) => ({
  type: FETCH_ADD_IMAGE_SIZE_SUCCESS,
  data,
});

export const fetchAddImageSizeFailure = (error) => ({
  type: FETCH_ADD_IMAGE_SIZE_FAILURE,
  error,
});

export const fetchAddImageSize = (formData) => (dispatch) => {
  dispatch(fetchAddImageSizeRequest());
  return postApi(`/addImageSize`, formData)
    .then((data) => {
      dispatch(fetchAddImageSizeSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddImageSizeFailure(error));
    });
};
