import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_IMAGE_REQUEST,
  FETCH_DELETE_IMAGE_SUCCESS,
  FETCH_DELETE_IMAGE_FAILURE,
} from "redux/types/media";

export const fetchDeleteImageRequest = () => ({
  type: FETCH_DELETE_IMAGE_REQUEST,
});

export const fetchDeleteImageSuccess = (data) => ({
  type: FETCH_DELETE_IMAGE_SUCCESS,
  data,
});

export const fetchDeleteImageFailure = (error) => ({
  type: FETCH_DELETE_IMAGE_FAILURE,
  error,
});

export const fetchDeleteImage = (id) => (dispatch) => {
  dispatch(fetchDeleteImageRequest());
  return getApi(`/deleteImage/${id}`)
    .then((data) => {
      dispatch(fetchDeleteImageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteImageFailure(error));
    });
};
