import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_DELETE_IMAGE_LABEL_REQUEST,
  FETCH_DELETE_IMAGE_LABEL_SUCCESS,
  FETCH_DELETE_IMAGE_LABEL_FAILURE,
} from "redux/types/media";

export const fetchDeleteImageLabelRequest = () => ({
  type: FETCH_DELETE_IMAGE_LABEL_REQUEST,
});

export const fetchDeleteImageLabelSuccess = (data) => ({
  type: FETCH_DELETE_IMAGE_LABEL_SUCCESS,
  data,
});

export const fetchDeleteImageLabelFailure = (error) => ({
  type: FETCH_DELETE_IMAGE_LABEL_FAILURE,
  error,
});

export const fetchDeleteImageLabel = (id) => (dispatch) => {
  dispatch(fetchDeleteImageLabelRequest());
  return getApi(`/deleteImageLabel/${id}`)
    .then((data) => {
      showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(fetchDeleteImageLabelSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchDeleteImageLabelFailure(error));
    });
};
