import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ALL_IMAGES_REQUEST,
  FETCH_ALL_IMAGES_SUCCESS,
  FETCH_ALL_IMAGES_FAILURE,
} from "redux/types/media";

export const fetchAllImagesRequest = () => ({
  type: FETCH_ALL_IMAGES_REQUEST,
});

export const fetchAllImagesSuccess = (data) => ({
  type: FETCH_ALL_IMAGES_SUCCESS,
  data,
});

export const fetchAllImagesFailure = (error) => ({
  type: FETCH_ALL_IMAGES_FAILURE,
  error,
});

export const fetchAllImages = (page, perPage) => (dispatch) => {
  dispatch(fetchAllImagesRequest());
  return getApi(`/getAllImages?perPage=${perPage}&page=${page}`)
    .then((data) => {
      dispatch(fetchAllImagesSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAllImagesFailure(error));
    });
};
