import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_MEDIA_VALET_HISTORY_REQUEST,
  FETCH_GET_MEDIA_VALET_HISTORY_SUCCESS,
  FETCH_GET_MEDIA_VALET_HISTORY_FAILURE,
} from "redux/types/media";

export const fetchGetMediaValetHistoryRequest = () => ({
  type: FETCH_GET_MEDIA_VALET_HISTORY_REQUEST,
});

export const fetchGetMediaValetHistorySuccess = (data) => ({
  type: FETCH_GET_MEDIA_VALET_HISTORY_SUCCESS,
  data,
});

export const fetchGetMediaValetHistoryFailure = (error) => ({
  type: FETCH_GET_MEDIA_VALET_HISTORY_FAILURE,
  error,
});

export const fetchGetMediaValetHistory = (id) => (dispatch) => {
  dispatch(fetchGetMediaValetHistoryRequest());
  return getApi(`/getMediaValetHistory`)
    .then((data) => {
      dispatch(fetchGetMediaValetHistorySuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetMediaValetHistoryFailure(error));
    });
};
