import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_IMAGE_LABEL_LIST_REQUEST,
    FETCH_IMAGE_LABEL_LIST_SUCCESS,
    FETCH_IMAGE_LABEL_LIST_FAILURE,
} from "redux/types/media";

export const fetchImageLabelListRequest = () => ({
  type: FETCH_IMAGE_LABEL_LIST_REQUEST,
});

export const fetchImageLabelListSuccess = (data) => ({
  type: FETCH_IMAGE_LABEL_LIST_SUCCESS,
  data,
});

export const fetchImageLabelListFailure = (error) => ({
  type: FETCH_IMAGE_LABEL_LIST_FAILURE,
  error,
});

export const fetchImageLabelList = () => (dispatch) => {
  dispatch(fetchImageLabelListRequest());
  return getApi(`/getAllImageLabels`)
    .then((data) => {
      dispatch(fetchImageLabelListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImageLabelListFailure(error));
    });
};
