import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_IMAGE_SIZE_LIST_REQUEST,
  FETCH_IMAGE_SIZE_LIST_SUCCESS,
  FETCH_IMAGE_SIZE_LIST_FAILURE,
} from "redux/types/media";

export const fetchImageSizeListRequest = () => ({
  type: FETCH_IMAGE_SIZE_LIST_REQUEST,
});

export const fetchImageSizeListSuccess = (data) => ({
  type: FETCH_IMAGE_SIZE_LIST_SUCCESS,
  data,
});

export const fetchImageSizeListFailure = (error) => ({
  type: FETCH_IMAGE_SIZE_LIST_FAILURE,
  error,
});

export const fetchImageSizeList = () => (dispatch) => {
  dispatch(fetchImageSizeListRequest());
  return getApi(`/getAllImageSizes`)
    .then((data) => {
      dispatch(fetchImageSizeListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchImageSizeListFailure(error));
    });
};
