import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_SEARCH_IMAGE_REQUEST,
  FETCH_SEARCH_IMAGE_SUCCESS,
  FETCH_SEARCH_IMAGE_FAILURE,
} from "redux/types/media";

export const fetchSearchImageRequest = () => ({
  type: FETCH_SEARCH_IMAGE_REQUEST,
});

export const fetchSearchImageSuccess = (data) => ({
  type: FETCH_SEARCH_IMAGE_SUCCESS,
  data,
});

export const fetchSearchImageFailure = (error) => ({
  type: FETCH_SEARCH_IMAGE_FAILURE,
  error,
});

export const fetchSearchImage = (id) => (dispatch) => {
  dispatch(fetchSearchImageRequest());
  return getApi(`/findImage/${id}`)
    .then((data) => {
      dispatch(fetchSearchImageSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchSearchImageFailure(error));
    });
};
