import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_STORE_MEDIA_VALET_TOKEN_REQUEST,
  FETCH_STORE_MEDIA_VALET_TOKEN_SUCCESS,
  FETCH_STORE_MEDIA_VALET_TOKEN_FAILURE,
} from "redux/types/media";

export const fetchStoreMediaValetTokenRequest = () => ({
  type: FETCH_STORE_MEDIA_VALET_TOKEN_REQUEST,
});

export const fetchStoreMediaValetTokenSuccess = (data) => ({
  type: FETCH_STORE_MEDIA_VALET_TOKEN_SUCCESS,
  data,
});

export const fetchStoreMediaValetTokenFailure = (error) => ({
  type: FETCH_STORE_MEDIA_VALET_TOKEN_FAILURE,
  error,
});

export const fetchStoreMediaValetToken = (formData) => (dispatch) => {
  dispatch(fetchStoreMediaValetTokenRequest());
  return postApi(`/storeMediaValetToken`, formData)
    .then((data) => {
      dispatch(fetchStoreMediaValetTokenSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchStoreMediaValetTokenFailure(error));
    });
};
