import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
    FETCH_UPDATE_IMAGE_LABEL_REQUEST,
    FETCH_UPDATE_IMAGE_LABEL_SUCCESS,
    FETCH_UPDATE_IMAGE_LABEL_FAILURE,
} from "redux/types/media";

export const fetchUpdateImageLabelRequest = () => ({
  type: FETCH_UPDATE_IMAGE_LABEL_REQUEST,
});

export const fetchUpdateImageLabelSuccess = (data) => ({
  type: FETCH_UPDATE_IMAGE_LABEL_SUCCESS,
  data,
});

export const fetchUpdateImageLabelFailure = (error) => ({
  type: FETCH_UPDATE_IMAGE_LABEL_FAILURE,
  error,
});

export const fetchUpdateImageLabel = (formData) => (dispatch) => {
  dispatch(fetchUpdateImageLabelRequest());
  return postApi(`/updateImageLabel`, formData)
    .then((data) => {
        showSuccessErrorToast(data?.data?.flag, data?.data?.message)
      dispatch(fetchUpdateImageLabelSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateImageLabelFailure(error));
    });
};
