import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_NOTIFICATION_LIST_REQUEST,
  FETCH_NOTIFICATION_LIST_SUCCESS,
  FETCH_NOTIFICATION_LIST_FAILURE,
} from "redux/types/notification";

export const fetchNotificationListRequest = () => ({
  type: FETCH_NOTIFICATION_LIST_REQUEST,
});

export const fetchNotificationListSuccess = (data) => ({
  type: FETCH_NOTIFICATION_LIST_SUCCESS,
  data,
});

export const fetchNotificationListFailure = (error) => ({
  type: FETCH_NOTIFICATION_LIST_FAILURE,
  error,
});

export const fetchNotificationList = () => (dispatch) => {
  dispatch(fetchNotificationListRequest());
  return getApi("/getNotifications")
    .then((data) => {
      dispatch(fetchNotificationListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchNotificationListFailure(error));
    });
};
