import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_NOTIFICATION_MARK_READ_REQUEST,
  FETCH_NOTIFICATION_MARK_READ_SUCCESS,
  FETCH_NOTIFICATION_MARK_READ_FAILURE,
} from "redux/types/notification";

export const fetchNotificationMarkReadRequest = () => ({
  type: FETCH_NOTIFICATION_MARK_READ_REQUEST,
});

export const fetchNotificationMarkReadSuccess = (data) => ({
  type: FETCH_NOTIFICATION_MARK_READ_SUCCESS,
  data,
});

export const fetchNotificationMarkReadFailure = (error) => ({
  type: FETCH_NOTIFICATION_MARK_READ_FAILURE,
  error,
});

export const fetchNotificationMarkRead = () => (dispatch) => {
  dispatch(fetchNotificationMarkReadRequest());
  return getApi("/markNotificationsAsRead")
    .then((data) => {
      dispatch(fetchNotificationMarkReadSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchNotificationMarkReadFailure(error));
    });
};
