import { getApiData, setAuthToken, showSuccessErrorToast } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  CREATE_FILES_REQUEST,
  CREATE_FILES_SUCCESS,
  CREATE_FILES_FAILURE,
} from "redux/types/output";

export const createFilesRequest = () => ({
  type: CREATE_FILES_REQUEST,
});

export const createFilesSuccess = (data) => ({
  type: CREATE_FILES_SUCCESS,
  data,
});

export const createFilesFailure = (error) => ({
  type: CREATE_FILES_FAILURE,
  error,
});

export const createFiles = (formData) => (dispatch) => {
  dispatch(createFilesRequest());
  return postApi("/addExport", formData)
    .then((data) => {
      // showSuccessErrorToast(data?.data?.flag, data?.data?.message);
      dispatch(createFilesSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      // toast.error(getApiError(error));
      dispatch(createFilesFailure(error));
    });
};
