import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_EXPORT_HISTORY_LIST_REQUEST,
  FETCH_EXPORT_HISTORY_LIST_SUCCESS,
  FETCH_EXPORT_HISTORY_LIST_FAILURE,
} from "redux/types/masterAdmin";

export const fetchExportHistoryListRequest = () => ({
  type: FETCH_EXPORT_HISTORY_LIST_REQUEST,
});

export const fetchExportHistoryListSuccess = (data) => ({
  type: FETCH_EXPORT_HISTORY_LIST_SUCCESS,
  data,
});

export const fetchExportHistoryListFailure = (error) => ({
  type: FETCH_EXPORT_HISTORY_LIST_FAILURE,
  error,
});

export const fetchExportHistoryList = () => (dispatch) => {
  dispatch(fetchExportHistoryListRequest());
  return getApi("/getExportHistory")
    .then((data) => {
      dispatch(fetchExportHistoryListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchExportHistoryListFailure(error));
    });
};
