import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_ATTRIBUTE_TO_SCHEMA_REQUEST,
  FETCH_ADD_ATTRIBUTE_TO_SCHEMA_SUCCESS,
  FETCH_ADD_ATTRIBUTE_TO_SCHEMA_FAILURE,
} from "redux/types/output";

export const fetchAddAttributeToSchemaRequest = () => ({
  type: FETCH_ADD_ATTRIBUTE_TO_SCHEMA_REQUEST,
});

export const fetchAddAttributeToSchemaSuccess = (data) => ({
  type: FETCH_ADD_ATTRIBUTE_TO_SCHEMA_SUCCESS,
  data,
});

export const fetchAddAttributeToSchemaFailure = (error) => ({
  type: FETCH_ADD_ATTRIBUTE_TO_SCHEMA_FAILURE,
  error,
});

export const fetchAddAttributeToSchema = (formData) => (dispatch) => {
  dispatch(fetchAddAttributeToSchemaRequest());
  return postApi("/addAttributeToSchema", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddAttributeToSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddAttributeToSchemaFailure(error));
    });
};
