import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ADD_LAYOUT_REQUEST,
  FETCH_ADD_LAYOUT_SUCCESS,
  FETCH_ADD_LAYOUT_FAILURE,
} from "redux/types/output";

export const fetchAddLayoutRequest = () => ({
  type: FETCH_ADD_LAYOUT_REQUEST,
});

export const fetchAddLayoutSuccess = (data) => ({
  type: FETCH_ADD_LAYOUT_SUCCESS,
  data,
});

export const fetchAddLayoutFailure = (error) => ({
  type: FETCH_ADD_LAYOUT_FAILURE,
  error,
});

export const fetchAddLayout = (formData) => (dispatch) => {
  dispatch(fetchAddLayoutRequest());
  return postApi("/addLayout", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAddLayoutSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAddLayoutFailure(error));
    });
};
