import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_REQUEST,
  FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_SUCCESS,
  FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_FAILURE,
} from "redux/types/output";

export const fetchAttributeListForSchemaRequest = () => ({
  type: FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_REQUEST,
});

export const fetchAttributeListForSchemaSuccess = (data) => ({
  type: FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_SUCCESS,
  data,
});

export const fetchAttributeListForSchemaFailure = (error) => ({
  type: FETCH_ATTRIBUTE_LIST_FOR_SCHEMA_FAILURE,
  error,
});

export const fetchAttributeListForSchema = (id) => (dispatch) => {
  dispatch(fetchAttributeListForSchemaRequest());
  return getApi(`/getAttributeListForSchema/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchAttributeListForSchemaSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchAttributeListForSchemaFailure(error));
    });
};
