import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_CANCEL_EXPORT_REQUEST,
  FETCH_CANCEL_EXPORT_SUCCESS,
  FETCH_CANCEL_EXPORT_FAILURE,
} from "redux/types/output";

export const fetchCancelExportRequest = () => ({
  type: FETCH_CANCEL_EXPORT_REQUEST,
});

export const fetchCancelExportSuccess = (data) => ({
  type: FETCH_CANCEL_EXPORT_SUCCESS,
  data,
});

export const fetchCancelExportFailure = (error) => ({
  type: FETCH_CANCEL_EXPORT_FAILURE,
  error,
});

export const fetchCancelExport = (id) => (dispatch) => {
  dispatch(fetchCancelExportRequest());
  return getApi(`/cancelExport/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchCancelExportSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchCancelExportFailure(error));
    });
};
