import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_REQUEST,
  FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_SUCCESS,
  FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_FAILURE,
} from "redux/types/output";

export const fetchGetAllAttributeSchemaDetailsRequest = () => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_REQUEST,
});

export const fetchGetAllAttributeSchemaDetailsSuccess = (data) => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_SUCCESS,
  data,
});

export const fetchGetAllAttributeSchemaDetailsFailure = (error) => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_DETAILS_FAILURE,
  error,
});

export const fetchGetAllAttributeSchemaDetails = (CatalogAttributeSchemaID) => (dispatch) => {
  dispatch(fetchGetAllAttributeSchemaDetailsRequest());
  return getApi(`/getAttributeSchemaDetails/${CatalogAttributeSchemaID}`)
    .then((data) => {
      dispatch(fetchGetAllAttributeSchemaDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetAllAttributeSchemaDetailsFailure(error));
    });
};
