import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
    FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_REQUEST,
    FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_SUCCESS,
    FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_FAILURE,
} from "redux/types/output";

export const fetchGetAllAttributeSchemaListRequest = () => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_REQUEST,
});

export const fetchGetAllAttributeSchemaListSuccess = (data) => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_SUCCESS,
  data,
});

export const fetchGetAllAttributeSchemaListFailure = (error) => ({
  type: FETCH_GET_ALL_ATTRIBUTE_SCHEMA_LIST_FAILURE,
  error,
});

export const fetchGetAllAttributeSchemaList = (formData) => (dispatch) => {
  dispatch(fetchGetAllAttributeSchemaListRequest());
  return getApi(`/getAllAttributeSchemaList`)
    .then((data) =>{
        dispatch(fetchGetAllAttributeSchemaListSuccess(data))
        return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetAllAttributeSchemaListFailure(error));
    });
};
