import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_USER_CATALOG_DETAIL_REQUEST,
  FETCH_USER_CATALOG_DETAIL_SUCCESS,
  FETCH_USER_CATALOG_DETAIL_FAILURE,
} from "redux/types/output";

export const fetchGetUserCatalogDetailRequest = () => ({
  type: FETCH_USER_CATALOG_DETAIL_REQUEST,
});

export const fetchGetUserCatalogDetailSuccess = (data) => ({
  type: FETCH_USER_CATALOG_DETAIL_SUCCESS,
  data,
});

export const fetchGetUserCatalogDetailFailure = (error) => ({
  type: FETCH_USER_CATALOG_DETAIL_FAILURE,
  error,
});

export const fetchGetUserCatalogDetail = (formData) => (dispatch) => {
  dispatch(fetchGetUserCatalogDetailRequest());
  return getApi(`/getUserCatalogDetails`)
    .then((data) => {
      dispatch(fetchGetUserCatalogDetailSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetUserCatalogDetailFailure(error));
    });
};
