import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_LAYOUT_DETAILS_REQUEST,
  FETCH_GET_LAYOUT_DETAILS_SUCCESS,
  FETCH_GET_LAYOUT_DETAILS_FAILURE,
} from "redux/types/output";

export const fetchLayoutDetailsRequest = () => ({
  type: FETCH_GET_LAYOUT_DETAILS_REQUEST,
});

export const fetchLayoutDetailsSuccess = (data) => ({
  type: FETCH_GET_LAYOUT_DETAILS_SUCCESS,
  data,
});

export const fetchLayoutDetailsFailure = (error) => ({
  type: FETCH_GET_LAYOUT_DETAILS_FAILURE,
  error,
});

export const fetchLayoutDetails = (id) => (dispatch) => {
  dispatch(fetchLayoutDetailsRequest());
  return getApi(`/getLayoutDetails/${id}`)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLayoutDetailsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLayoutDetailsFailure(error));
    });
};
