import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_LAYOUT_LIST_REQUEST,
  FETCH_GET_LAYOUT_LIST_SUCCESS,
  FETCH_GET_LAYOUT_LIST_FAILURE,
} from "redux/types/output";

export const fetchLayoutListRequest = () => ({
  type: FETCH_GET_LAYOUT_LIST_REQUEST,
});

export const fetchLayoutListSuccess = (data) => ({
  type: FETCH_GET_LAYOUT_LIST_SUCCESS,
  data,
});

export const fetchLayoutListFailure = (error) => ({
  type: FETCH_GET_LAYOUT_LIST_FAILURE,
  error,
});

export const fetchLayoutList = () => (dispatch) => {
  dispatch(fetchLayoutListRequest());
  return getApi("/getLayoutList")
    .then((data) => {
      dispatch(fetchLayoutListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLayoutListFailure(error));
    });
};
