import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_LAYOUT_ITEMS_REQUEST,
  FETCH_UPDATE_LAYOUT_ITEMS_SUCCESS,
  FETCH_UPDATE_LAYOUT_ITEMS_FAILURE,
} from "redux/types/output";

export const fetchLayoutItemsRequest = () => ({
  type: FETCH_UPDATE_LAYOUT_ITEMS_REQUEST,
});

export const fetchLayoutItemsSuccess = (data) => ({
  type: FETCH_UPDATE_LAYOUT_ITEMS_SUCCESS,
  data,
});

export const fetchLayoutItemsFailure = (error) => ({
  type: FETCH_UPDATE_LAYOUT_ITEMS_FAILURE,
  error,
});

export const fetchLayoutItems = (formData) => (dispatch) => {
  dispatch(fetchLayoutItemsRequest());
  return postApi(`/updateLayoutItem`, formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchLayoutItemsSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchLayoutItemsFailure(error));
    });
};
