import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_REQUEST,
  FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_FAILURE,
} from "redux/types/output";

export const fetchUpdateSchemaAttributesSortOrderRequest = () => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_REQUEST,
});

export const fetchUpdateSchemaAttributesSortOrderSuccess = (data) => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_SUCCESS,
  data,
});

export const fetchUpdateSchemaAttributesSortOrderFailure = (error) => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTE_SORT_ORDER_FAILURE,
  error,
});

export const fetchUpdateSchemaAttributesSortOrder =
  (formData) => (dispatch) => {
    console.log(
      "🚀 ~ file: updateSchemaAttributeSortOrder.js ~ line 26 ~ formData",
      formData
    );
    dispatch(fetchUpdateSchemaAttributesSortOrderRequest());
    return postApi("/updateSchemaAttributesSortOrder", formData)
      .then((data) => {
        toast.success(data?.data?.message);
        dispatch(fetchUpdateSchemaAttributesSortOrderSuccess(data));
        return getApiData(data);
      })
      .catch((error) => {
        toast.error(getApiError(error));
        dispatch(fetchUpdateSchemaAttributesSortOrderFailure(error));
      });
  };
