import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_REQUEST,
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_SUCCESS,
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_FAILURE,
} from "redux/types/output";

export const fetchUpdateSchemaAttributesRequest = () => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTES_REQUEST,
});

export const fetchUpdateSchemaAttributesSuccess = (data) => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTES_SUCCESS,
  data,
});

export const fetchUpdateSchemaAttributesFailure = (error) => ({
  type: FETCH_UPDATE_SCHEMA_ATTRIBUTES_FAILURE,
  error,
});

export const fetchUpdateSchemaAttributes = (formData) => (dispatch) => {
  dispatch(fetchUpdateSchemaAttributesRequest());
  return postApi("/updateSchemaAttributes", formData)
    .then((data) => {
      toast.success(data?.data?.message);
      dispatch(fetchUpdateSchemaAttributesSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUpdateSchemaAttributesFailure(error));
    });
};
