import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_REPORT_DATA_REQUEST,
  FETCH_GET_REPORT_DATA_SUCCESS,
  FETCH_GET_REPORT_DATA_FAILURE,
} from "redux/types/reports";

export const fetchGetReportDataRequest = () => ({
  type: FETCH_GET_REPORT_DATA_REQUEST,
});

export const fetchGetReportDataSuccess = (data) => ({
  type: FETCH_GET_REPORT_DATA_SUCCESS,
  data,
});

export const fetchGetReportDataFailure = (error) => ({
  type: FETCH_GET_REPORT_DATA_FAILURE,
  error,
});

export const fetchGetReportData = (id) => (dispatch) => {
  dispatch(fetchGetReportDataRequest());
  return getApi(`/getReportData/${id}`)
    .then((data) => {
      dispatch(fetchGetReportDataSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetReportDataFailure(error));
    });
};
