import { getApiData, setAuthToken } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_REPORT_LIST_REQUEST,
  FETCH_REPORT_LIST_SUCCESS,
  FETCH_REPORT_LIST_FAILURE,
} from "redux/types/reports";

export const fetchReportListRequest = () => ({
  type: FETCH_REPORT_LIST_REQUEST,
});

export const fetchReportListSuccess = (data) => ({
  type: FETCH_REPORT_LIST_SUCCESS,
  data,
});

export const fetchReportListFailure = (error) => ({
  type: FETCH_REPORT_LIST_FAILURE,
  error,
});

export const fetchReportList = (formData) => (dispatch) => {
  dispatch(fetchReportListRequest());
  return getApi(`/getReportsList`)
    .then((data) => {
      dispatch(fetchReportListSuccess(data));
      return getApiData(data);
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchReportListFailure(error));
    });
};
