import { setAuthToken, setLocalStorageItem } from "modules/utils";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_PASSWORD_RESET_LINK_FAILURE,
  FETCH_GET_PASSWORD_RESET_LINK_REQUEST,
  FETCH_GET_PASSWORD_RESET_LINK_SUCCESS,
} from "redux/types/users";

export const fetchGetPasswordResetLinkRequest = () => ({
  type: FETCH_GET_PASSWORD_RESET_LINK_REQUEST,
});

export const fetchGetPasswordResetLinkSuccess = (data) => ({
  type: FETCH_GET_PASSWORD_RESET_LINK_SUCCESS,
  data,
});

export const fetchGetPasswordResetLinkFailure = (error) => ({
  type: FETCH_GET_PASSWORD_RESET_LINK_FAILURE,
  error,
});

export const fetchGetPasswordResetLink = (formData) => (dispatch) => {
  dispatch(fetchGetPasswordResetLinkRequest());
  return postApi("/getPasswordResetLink", formData)
    .then((data) => {
      if (data?.data?.flag) {
        toast.success(data?.data?.message);
      } else {
        toast.error(data?.data?.message);
      }
      dispatch(fetchGetPasswordResetLinkSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPasswordResetLinkFailure(error));
    });
};
