import { setAuthToken, setLocalStorageItem } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_FAILURE,
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_REQUEST,
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_SUCCESS,
} from "redux/types/users";

export const fetchGetPasswordResetTokenDetailRequest = () => ({
  type: FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_REQUEST,
});

export const fetchGetPasswordResetTokenDetailSuccess = (data) => ({
  type: FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_SUCCESS,
  data,
});

export const fetchGetPasswordResetTokenDetailFailure = (error) => ({
  type: FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_FAILURE,
  error,
});

export const fetchGetPasswordResetTokenDetail = (token) => (dispatch) => {
  dispatch(fetchGetPasswordResetTokenDetailRequest());
  return getApi(`/getPasswordResetTokenDetail/${token}`)
    .then((data) => {
      //   if (data?.data?.flag) {
      //     toast.success(data?.data?.message);
      //   } else {
      //     toast.error(data?.data?.message);
      //   }
      dispatch(fetchGetPasswordResetTokenDetailSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPasswordResetTokenDetailFailure(error));
    });
};
