import { setAuthToken, setLocalStorageItem } from "modules/utils";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";
import {
  FETCH_GET_PLAN_DETAILS_FAILURE,
  FETCH_GET_PLAN_DETAILS_REQUEST,
  FETCH_GET_PLAN_DETAILS_SUCCESS,
} from "redux/types/users";

export const fetchGetPlanDetailsRequest = () => ({
  type: FETCH_GET_PLAN_DETAILS_REQUEST,
});

export const fetchGetPlanDetailsSuccess = (data) => ({
  type: FETCH_GET_PLAN_DETAILS_SUCCESS,
  data,
});

export const fetchGetPlanDetailsFailure = (error) => ({
  type: FETCH_GET_PLAN_DETAILS_FAILURE,
  error,
});

export const fetchGetPlanDetails = (id) => (dispatch) => {
  dispatch(fetchGetPlanDetailsRequest());
  return getApi(`/getPlanDetails/${id}`)
    .then((data) => {
      // if (data?.data?.flag) {
      //   toast.success(data?.data?.message);
      // } else {
      //   toast.error(data?.data?.message);
      // }
      dispatch(fetchGetPlanDetailsSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetPlanDetailsFailure(error));
    });
};
