import {
  FETCH_GET_SIGNUP_TOKEN_DETAILS_FAILURE,
  FETCH_GET_SIGNUP_TOKEN_DETAILS_REQUEST,
  FETCH_GET_SIGNUP_TOKEN_DETAILS_SUCCESS,
} from "redux/types/users";
import { toast } from "react-toastify";
import { getApi, getApiError, postApi } from "redux/actions/api";

export const fetchGetSignupTokenDetailsRequest = () => ({
  type: FETCH_GET_SIGNUP_TOKEN_DETAILS_FAILURE,
});

export const fetchGetSignupTokenDetailsSuccess = (data) => ({
  type: FETCH_GET_SIGNUP_TOKEN_DETAILS_REQUEST,
  data,
});

export const fetchGetSignupTokenDetailsFailure = (error) => ({
  type: FETCH_GET_SIGNUP_TOKEN_DETAILS_SUCCESS,
  error,
});

export const fetchGetSignupTokenDetails = (formData) => (dispatch) => {
  dispatch(fetchGetSignupTokenDetailsRequest());
  return getApi(`/getSignupTokenDetails/${formData}`, formData)
    .then((data) => {
      if (data?.data?.flag) {
        toast.success(data?.data?.message);
      } else {
        toast.error(data?.data?.message);
      }
      dispatch(fetchGetSignupTokenDetailsSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchGetSignupTokenDetailsFailure(error));
    });
};
