import {
  FETCH_RESELLER_SIGNUP_PROCESS_FAILURE,
  FETCH_RESELLER_SIGNUP_PROCESS_REQUEST,
  FETCH_RESELLER_SIGNUP_PROCESS_SUCCESS,
} from "redux/types/users";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";

export const fetchResellerSignupProcessRequest = () => ({
  type: FETCH_RESELLER_SIGNUP_PROCESS_FAILURE,
});

export const fetchResellerSignupProcessSuccess = (data) => ({
  type: FETCH_RESELLER_SIGNUP_PROCESS_REQUEST,
  data,
});

export const fetchResellerSignupProcessFailure = (error) => ({
  type: FETCH_RESELLER_SIGNUP_PROCESS_SUCCESS,
  error,
});

export const fetchResellerSignupProcess = (formData) => (dispatch) => {
  dispatch(fetchResellerSignupProcessRequest());
  return postApi("/RESELLERSignupProcess", formData)
    .then((data) => {
      if (data?.data?.flag) {
        toast.success(data?.data?.message);
      } else {
        toast.error(data?.data?.message);
      }
      dispatch(fetchResellerSignupProcessSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchResellerSignupProcessFailure(error));
    });
};
