import {
  FETCH_USER_SIGNUP_PROCESS_FAILURE,
  FETCH_USER_SIGNUP_PROCESS_REQUEST,
  FETCH_USER_SIGNUP_PROCESS_SUCCESS,
} from "redux/types/users";
import { toast } from "react-toastify";
import { getApiError, postApi } from "redux/actions/api";

export const fetchUserSignupProcessRequest = () => ({
  type: FETCH_USER_SIGNUP_PROCESS_FAILURE,
});

export const fetchUserSignupProcessSuccess = (data) => ({
  type: FETCH_USER_SIGNUP_PROCESS_REQUEST,
  data,
});

export const fetchUserSignupProcessFailure = (error) => ({
  type: FETCH_USER_SIGNUP_PROCESS_SUCCESS,
  error,
});

export const fetchUserSignupProcess = (formData) => (dispatch) => {
  dispatch(fetchUserSignupProcessRequest());
  return postApi("/userSignupProcess", formData)
    .then((data) => {
      if (data?.data?.flag) {
        toast.success(data?.data?.message);
      } else {
        toast.error(data?.data?.message);
      }
      dispatch(fetchUserSignupProcessSuccess(data));
      return data;
    })
    .catch((error) => {
      toast.error(getApiError(error));
      dispatch(fetchUserSignupProcessFailure(error));
    });
};
