import {
  FETCH_LOGIN_USER_DETAIL_REQUEST,
  FETCH_LOGIN_USER_DETAIL_SUCCESS,
  FETCH_LOGIN_USER_DETAIL_FAILURE,
} from "redux/types/auth";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getUserDetail = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_LOGIN_USER_DETAIL_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_LOGIN_USER_DETAIL_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_LOGIN_USER_DETAIL_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getUserDetail;
