import {
    FETCH_LOGIN_FAILURE,
    FETCH_LOGIN_REQUEST,
    FETCH_LOGIN_SUCCESS,
  } from "redux/types/auth";

let initialstate =  {
	data: null,
	error: null,
	loading: false,
};


const loginReducer = (state = initialstate, action) => {

    switch (action.type) {
        case FETCH_LOGIN_REQUEST:
            return {
                ...state,
                loading:true
            }
        case FETCH_LOGIN_SUCCESS:
            return {
                loading:false,
                data:action.data?.data,
                error:''
            }
        case FETCH_LOGIN_FAILURE:
            return {
                loading:false,
                data:[],
                error:action.data
            }
        default:
           return state

    }
}

export default loginReducer