import {
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_REQUEST,
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_SUCCESS,
  FETCH_ADD_UPDATE_SINGLE_ELEMENT_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addUpdateSingleElement = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_UPDATE_SINGLE_ELEMENT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_UPDATE_SINGLE_ELEMENT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_UPDATE_SINGLE_ELEMENT_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addUpdateSingleElement;
