import {
  FETCH_BLOCK_ADD_REQUEST,
  FETCH_BLOCK_ADD_SUCCESS,
  FETCH_BLOCK_ADD_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const blockAdd = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_BLOCK_ADD_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_BLOCK_ADD_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_BLOCK_ADD_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default blockAdd;
