import {
  FETCH_ALL_TOOLBARS_REQUEST,
  FETCH_ALL_TOOLBARS_SUCCESS,
  FETCH_ALL_TOOLBARS_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getAllToolbars = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ALL_TOOLBARS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ALL_TOOLBARS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ALL_TOOLBARS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getAllToolbars;
