import {
  FETCH_GET_CATALOG_PREVIEW_REQUEST,
  FETCH_GET_CATALOG_PREVIEW_SUCCESS,
  FETCH_GET_CATALOG_PREVIEW_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCatalogPreviewReducer = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_CATALOG_PREVIEW_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_CATALOG_PREVIEW_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_CATALOG_PREVIEW_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getCatalogPreviewReducer;
