import {
  FETCH_GET_CATEGORY_COLORS_REQUEST,
  FETCH_GET_CATEGORY_COLORS_SUCCESS,
  FETCH_GET_CATEGORY_COLORS_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCategoryColors = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_CATEGORY_COLORS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_CATEGORY_COLORS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_CATEGORY_COLORS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getCategoryColors;
