import {
  FETCH_MERGE_FIELDS_REQUEST,
  FETCH_MERGE_FIELDS_SUCCESS,
  FETCH_MERGE_FIELDS_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getMergeFieldReducer = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_MERGE_FIELDS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_MERGE_FIELDS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_MERGE_FIELDS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getMergeFieldReducer;
