import {
  FETCH_GET_PAGE_PLANNER_BY_PAGE_REQUEST,
  FETCH_GET_PAGE_PLANNER_BY_PAGE_SUCCESS,
  FETCH_GET_PAGE_PLANNER_BY_PAGE_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getPagePlannerByPage = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_PAGE_PLANNER_BY_PAGE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_PAGE_PLANNER_BY_PAGE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_PAGE_PLANNER_BY_PAGE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getPagePlannerByPage;
