import {
  FETCH_MOVE_CATEGORY_PAGES_REQUEST,
  FETCH_MOVE_CATEGORY_PAGES_SUCCESS,
  FETCH_MOVE_CATEGORY_PAGES_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const moveCategoryPages = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_MOVE_CATEGORY_PAGES_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_MOVE_CATEGORY_PAGES_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_MOVE_CATEGORY_PAGES_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default moveCategoryPages;
