import {
  FETCH_SAVE_BUILD_PAGE_OPTIONS_REQUEST,
  FETCH_SAVE_BUILD_PAGE_OPTIONS_SUCCESS,
  FETCH_SAVE_BUILD_PAGE_OPTIONS_FAILURE,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const saveBuildPagesOptions = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_SAVE_BUILD_PAGE_OPTIONS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_SAVE_BUILD_PAGE_OPTIONS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_SAVE_BUILD_PAGE_OPTIONS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default saveBuildPagesOptions;
