import {
  FETCH_GET_SCHEMA_TABLE_REQUEST,
  FETCH_GET_SCHEMA_TABLE_SUCCESS,
  FETCH_GET_SCHEMA_TABLE_FAILURE,
  FETCH_GET_SCHEMA_TABLE_CLEAN_UP,
} from "redux/types/blockBuilder";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getSchemaTableReducer = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_SCHEMA_TABLE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_SCHEMA_TABLE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_SCHEMA_TABLE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    case FETCH_GET_SCHEMA_TABLE_CLEAN_UP:
      return {
        loading: false,
        data: [],
        error: null,
      };
    default:
      return state;
  }
};

export default getSchemaTableReducer;
