import {
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_FAILURE,
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_REQUEST,
  FETCH_GET_JSON_FLAT_FOR_CAT_ID_SUCCESS,
} from "redux/types/getJSONFlatForCatID";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const getJSONFlatForCatID = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_GET_JSON_FLAT_FOR_CAT_ID_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_JSON_FLAT_FOR_CAT_ID_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_JSON_FLAT_FOR_CAT_ID_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getJSONFlatForCatID;
