import {
  FETCH_UPDATE_DASHBOARD_ITEM_REQUEST,
  FETCH_UPDATE_DASHBOARD_ITEM_SUCCESS,
  FETCH_UPDATE_DASHBOARD_ITEM_FAILURE,
} from "redux/types/home";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateDashboardItem = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_DASHBOARD_ITEM_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_DASHBOARD_ITEM_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_DASHBOARD_ITEM_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateDashboardItem;
