import {
  FETCH_ADD_IMPORT_FILE_REQUEST,
  FETCH_ADD_IMPORT_FILE_SUCCESS,
  FETCH_ADD_IMPORT_FILE_FAILURE,
  FETCH_ADD_IMPORT_FILE_RESET,
} from "redux/types/import";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addImportFile = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_IMPORT_FILE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_IMPORT_FILE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_IMPORT_FILE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    case FETCH_ADD_IMPORT_FILE_RESET:
      return {
        loading: false,
        data: null,
        error: null,
      };
    default:
      return state;
  }
};

export default addImportFile;
