import {
  FETCH_IMPORT_CONFIRM_SETUP_REQUEST,
  FETCH_IMPORT_CONFIRM_SETUP_SUCCESS,
  FETCH_IMPORT_CONFIRM_SETUP_FAILURE,
} from "redux/types/import";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const importConfirmSetup = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_IMPORT_CONFIRM_SETUP_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_IMPORT_CONFIRM_SETUP_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_IMPORT_CONFIRM_SETUP_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default importConfirmSetup;
