import {
  FETCH_IMPORT_COUNT_PRODUCT_REQUEST,
  FETCH_IMPORT_COUNT_PRODUCT_SUCCESS,
  FETCH_IMPORT_COUNT_PRODUCT_FAILURE,
  FETCH_IMPORT_COUNT_PRODUCT_RESET,
} from "redux/types/import";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const importCountProduct = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_IMPORT_COUNT_PRODUCT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_IMPORT_COUNT_PRODUCT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_IMPORT_COUNT_PRODUCT_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    case FETCH_IMPORT_COUNT_PRODUCT_RESET:
      return {
        loading: false,
        data: null,
        error: null,
      };
    default:
      return state;
  }
};

export default importCountProduct;
