import {
  FETCH_IMPORT_NAME_RANGE_REQUEST,
  FETCH_IMPORT_NAME_RANGE_SUCCESS,
  FETCH_IMPORT_NAME_RANGE_FAILURE,
  FETCH_IMPORT_NAME_RANGE_RESET,
} from "redux/types/import";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const importNameRange = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_IMPORT_NAME_RANGE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_IMPORT_NAME_RANGE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_IMPORT_NAME_RANGE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    case FETCH_IMPORT_NAME_RANGE_RESET:
      return {
        loading: false,
        data: null,
        error: null,
      };
    default:
      return state;
  }
};

export default importNameRange;
