import {
  GET_INTRO_JS_FAILURE,
  GET_INTRO_JS_REQUEST,
  GET_INTRO_JS_SUCCESS,
} from "redux/types/introJS";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getIntroJs = (state = initialstate, action) => {
  switch (action.type) {
    case GET_INTRO_JS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case GET_INTRO_JS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case GET_INTRO_JS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getIntroJs;
