import {
  FETCH_ADD_PRODUCT_TO_COLLECTION_REQUEST,
  FETCH_ADD_PRODUCT_TO_COLLECTION_SUCCESS,
  FETCH_ADD_PRODUCT_TO_COLLECTION_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addProductToCollection = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_PRODUCT_TO_COLLECTION_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_PRODUCT_TO_COLLECTION_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_ADD_PRODUCT_TO_COLLECTION_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default addProductToCollection;
