import {
  FETCH_ADD_STATIC_CONTENT_REQUEST,
  FETCH_ADD_STATIC_CONTENT_SUCCESS,
  FETCH_ADD_STATIC_CONTENT_FAILURE,
} from "redux/types/manageCatelog";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const addStaticContent = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_ADD_STATIC_CONTENT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_STATIC_CONTENT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_ADD_STATIC_CONTENT_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default addStaticContent;
