import {
  FETCH_BREAD_CRUMB_REQUEST,
  FETCH_BREAD_CRUMB_SUCCESS,
  FETCH_BREAD_CRUMB_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const breadCrumb = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_BREAD_CRUMB_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_BREAD_CRUMB_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_BREAD_CRUMB_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default breadCrumb;
