import {
    FETCH_CATALOG_PLANNER_REQUEST,
    FETCH_CATALOG_PLANNER_SUCCESS,
    FETCH_CATALOG_PLANNER_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
    data: null,
    error: null,
    loading: false,
};

const catalogPlanner = (state = initialstate, action) => {
    switch (action.type) {
        case FETCH_CATALOG_PLANNER_REQUEST:
            return {
                ...state,
                loading: true,
            };
        case FETCH_CATALOG_PLANNER_SUCCESS:
            return {
                loading: false,
                data: action.data?.data,
                error: null,
            };
        case FETCH_CATALOG_PLANNER_FAILURE:
            return {
                loading: false,
                data: null,
                error: action.data,
            };
        default:
            return state;
    }
};

export default catalogPlanner;
