import {
  FETCH_CATEGORY_PRODUCT_REQUEST,
  FETCH_CATEGORY_PRODUCT_SUCCESS,
  FETCH_CATEGORY_PRODUCT_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const categoryProducts = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_CATEGORY_PRODUCT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CATEGORY_PRODUCT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_CATEGORY_PRODUCT_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default categoryProducts;
