import {
    FETCH_CATEGORY_SETUP_DATA_REQUEST,
    FETCH_CATEGORY_SETUP_DATA_SUCCESS,
    FETCH_CATEGORY_SETUP_DATA_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
    data: null,
    error: null,
    loading: false,
};

const categorySetupData = (state = initialstate, action) => {
    switch (action.type) {
        case FETCH_CATEGORY_SETUP_DATA_REQUEST:
            return {
                ...state,
                loading: true,
            };
        case FETCH_CATEGORY_SETUP_DATA_SUCCESS:
            return {
                loading: false,
                data: action.data?.data,
                error: null,
            };
        case FETCH_CATEGORY_SETUP_DATA_FAILURE:
            return {
                loading: false,
                data: null,
                error: action.data,
            };
        default:
            return state;
    }
};

export default categorySetupData;
