import {
  FETCH_CHECK_CATEGORY_CATALOG_REQUEST,
  FETCH_CHECK_CATEGORY_CATALOG_SUCCESS,
  FETCH_CHECK_CATEGORY_CATALOG_FAILURE,
} from "redux/types/manageCatelog";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const checkCategoryCatalog = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_CHECK_CATEGORY_CATALOG_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CHECK_CATEGORY_CATALOG_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_CHECK_CATEGORY_CATALOG_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default checkCategoryCatalog;
