import {
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_REQUEST,
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_SUCCESS,
  FETCH_CHECK_IF_BLOCK_SIZE_EXIST_FAILURE,
} from "redux/types/manageCatelog";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const checkIfBlockSizeExist = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_CHECK_IF_BLOCK_SIZE_EXIST_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CHECK_IF_BLOCK_SIZE_EXIST_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_CHECK_IF_BLOCK_SIZE_EXIST_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default checkIfBlockSizeExist;
