import {
  FETCH_CLONE_ATTRIBUTE_SCHEMA_REQUEST,
  FETCH_CLONE_ATTRIBUTE_SCHEMA_SUCCESS,
  FETCH_CLONE_ATTRIBUTE_SCHEMA_FAILURE,
} from "redux/types/manageCatelog";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const cloneAttributeSchema = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_CLONE_ATTRIBUTE_SCHEMA_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CLONE_ATTRIBUTE_SCHEMA_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_CLONE_ATTRIBUTE_SCHEMA_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default cloneAttributeSchema;
