import {
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_REQUEST,
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_SUCCESS,
  FETCH_DELETE_CATEGORY_TEXT_BLOCK_FAILURE,
} from "redux/types/manageCatelog";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const deleteCategoryTextBlock = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_DELETE_CATEGORY_TEXT_BLOCK_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_DELETE_CATEGORY_TEXT_BLOCK_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_DELETE_CATEGORY_TEXT_BLOCK_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default deleteCategoryTextBlock;
