import {
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST,
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS,
  FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const enablePagePlannerForCatalog = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ENABLE_PAGE_PLANNER_FOR_CATALOG_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default enablePagePlannerForCatalog;
