import {
  FETCH_GET_BLOCK_SIZES_REQUEST,
  FETCH_GET_BLOCK_SIZES_SUCCESS,
  FETCH_GET_BLOCK_SIZES_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getBlockSizes = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_BLOCK_SIZES_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_BLOCK_SIZES_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_BLOCK_SIZES_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getBlockSizes;
