import {
  FETCH_CATALOG_TREE_REQUEST,
  FETCH_CATALOG_TREE_SUCCESS,
  FETCH_CATALOG_TREE_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCatalogTreeForBlocks = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_CATALOG_TREE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CATALOG_TREE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_CATALOG_TREE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getCatalogTreeForBlocks;
