import {
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_REQUEST,
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_SUCCESS,
  FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCatalogTreeWithPageNumbers = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_CATALOG_TREE_WITH_PAGE_NUMBERS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getCatalogTreeWithPageNumbers;
