import {
  FETCH_GET_CATEGORY_DETAILS_REQUEST,
  FETCH_GET_CATEGORY_DETAILS_SUCCESS,
  FETCH_GET_CATEGORY_DETAILS_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCategoryDetails = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_CATEGORY_DETAILS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_CATEGORY_DETAILS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_GET_CATEGORY_DETAILS_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default getCategoryDetails;
