import {
  FETCH_PRODUCT_NOT_IN_COLLECTION_REQUEST,
  FETCH_PRODUCT_NOT_IN_COLLECTION_SUCCESS,
  FETCH_PRODUCT_NOT_IN_COLLECTION_FAILURE,
} from "redux/types/manageCatelog";

const initialState = {
  data: null,
  error: null,
  loading: false,
  cancelToken: null,
};

const productNotInCollection = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_PRODUCT_NOT_IN_COLLECTION_REQUEST:
      return {
        ...state,
        loading: true,
        cancelToken: action.cancelToken,
      };
    case FETCH_PRODUCT_NOT_IN_COLLECTION_SUCCESS:
      return {
        ...state,
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_PRODUCT_NOT_IN_COLLECTION_FAILURE:
      return {
        ...state,
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default productNotInCollection;
