import {
  FETCH_RENAME_CATEGORY_FAILURE,
  FETCH_RENAME_CATEGORY_REQUEST,
  FETCH_RENAME_CATEGORY_SUCCESS,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const renameCategory = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_RENAME_CATEGORY_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_RENAME_CATEGORY_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_RENAME_CATEGORY_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default renameCategory;
