import {
  FETCH_UNLINK_PARENT_COLOR_REQUEST,
  FETCH_UNLINK_PARENT_COLOR_SUCCESS,
  FETCH_UNLINK_PARENT_COLOR_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const unlinkParentColor = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UNLINK_PARENT_COLOR_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UNLINK_PARENT_COLOR_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UNLINK_PARENT_COLOR_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default unlinkParentColor;
