import {
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_REQUEST,
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_SUCCESS,
  FETCH_UNLINK_PARENT_TEXT_BLOCKS_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const unlinkParentTextBlock = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UNLINK_PARENT_TEXT_BLOCKS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UNLINK_PARENT_TEXT_BLOCKS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UNLINK_PARENT_TEXT_BLOCKS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default unlinkParentTextBlock;
