import {
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_REQUEST,
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_SUCCESS,
  FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateCatalogPlannerCategoryPosition = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_CATALOG_PLANNER_CATEGORY_POSITION_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateCatalogPlannerCategoryPosition;
