import {
  FETCH_UPDATE_DISPLAY_SETUP_REQUEST,
  FETCH_UPDATE_DISPLAY_SETUP_SUCCESS,
  FETCH_UPDATE_DISPLAY_SETUP_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateDisplaySetup = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_DISPLAY_SETUP_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_DISPLAY_SETUP_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: null,
      };
    case FETCH_UPDATE_DISPLAY_SETUP_FAILURE:
      return {
        loading: false,
        data: null,
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateDisplaySetup;
