import {
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_REQUEST,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_SUCCESS,
  FETCH_UPDATE_PRODUCT_ATTRIBUTE_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateProductAttributeSortOrder = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_PRODUCT_ATTRIBUTE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_PRODUCT_ATTRIBUTE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_PRODUCT_ATTRIBUTE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateProductAttributeSortOrder;
