import {
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_REQUEST,
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_SUCCESS,
  FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_FAILURE,
} from "redux/types/manageCatelog";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateProductCollectionSortOrder = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_PRODUCT_COLLECTION_SORT_ORDER_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateProductCollectionSortOrder;
