import {
  FETCH_ADD_PRODUCT_VALIDATION_REQUEST,
  FETCH_ADD_PRODUCT_VALIDATION_SUCCESS,
  FETCH_ADD_PRODUCT_VALIDATION_FAILURE,
} from "redux/types/manageProduct";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addProductValidation = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_PRODUCT_VALIDATION_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_PRODUCT_VALIDATION_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_PRODUCT_VALIDATION_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addProductValidation;
