import {
  FETCH_PREVIEW_BLOB_REQUEST,
  FETCH_PREVIEW_BLOB_SUCCESS,
  FETCH_PREVIEW_BLOB_FAILURE,
} from "redux/types/manageProduct";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const previewBlob = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_PREVIEW_BLOB_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_PREVIEW_BLOB_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_PREVIEW_BLOB_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default previewBlob;
