import {
  FETCH_PRODUCT_ATTRIBUTE_GRID_REQUEST,
  FETCH_PRODUCT_ATTRIBUTE_GRID_SUCCESS,
  FETCH_PRODUCT_ATTRIBUTE_GRID_FAILURE,
} from "redux/types/manageProduct";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const productAttrGrid = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_PRODUCT_ATTRIBUTE_GRID_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_PRODUCT_ATTRIBUTE_GRID_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_PRODUCT_ATTRIBUTE_GRID_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default productAttrGrid;
