import {
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_REQUEST,
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_SUCCESS,
  FETCH_PRODUCT_ATTRIBUTE_HISTORY_FAILURE,
} from "redux/types/manageProduct";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const productAttrHistory = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_PRODUCT_ATTRIBUTE_HISTORY_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_PRODUCT_ATTRIBUTE_HISTORY_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_PRODUCT_ATTRIBUTE_HISTORY_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default productAttrHistory;
