import {
  FETCH_RESTORE_OLD_VALUE_REQUEST,
  FETCH_RESTORE_OLD_VALUE_SUCCESS,
  FETCH_RESTORE_OLD_VALUE_FAILURE,
} from "redux/types/manageProduct";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const restoreOldValue = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_RESTORE_OLD_VALUE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_RESTORE_OLD_VALUE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_RESTORE_OLD_VALUE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default restoreOldValue;
