import {
  FETCH_ADD_WORDPRESS_INTEGRATION_REQUEST,
  FETCH_ADD_WORDPRESS_INTEGRATION_SUCCESS,
  FETCH_ADD_WORDPRESS_INTEGRATION_FAILURE,
} from "redux/types/masterAdmin";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addWordpressIntegration = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_WORDPRESS_INTEGRATION_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_WORDPRESS_INTEGRATION_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_WORDPRESS_INTEGRATION_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addWordpressIntegration;
