import {
  FETCH_CATALOG_DETAILS_REQUEST,
  FETCH_CATALOG_DETAILS_SUCCESS,
  FETCH_CATALOG_DETAILS_FAILURE,
  FETCH_RESET_CATALOG_DETAILS,
} from "redux/types/masterAdmin";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getCatalogDetails = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_CATALOG_DETAILS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CATALOG_DETAILS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_CATALOG_DETAILS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    case FETCH_RESET_CATALOG_DETAILS:
      return {
        loading: false,
        data: [],
        error: null,
      };
    default:
      return state;
  }
};

export default getCatalogDetails;
