import {
  FETCH_INVITE_RESELLER_REQUEST,
  FETCH_INVITE_RESELLER_SUCCESS,
  FETCH_INVITE_RESELLER_FAILURE,
} from "redux/types/masterAdmin";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const inviteReseller = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_INVITE_RESELLER_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_INVITE_RESELLER_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_INVITE_RESELLER_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default inviteReseller;
