import {
  FETCH_UPDATE_USER_REQUEST,
  FETCH_UPDATE_USER_SUCCESS,
  FETCH_UPDATE_USER_FAILURE,
} from "redux/types/masterAdmin";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateUser = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_USER_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_USER_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_USER_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateUser;
