import {
  FETCH_ADD_PRODUCT_BLOB_REQUEST,
  FETCH_ADD_PRODUCT_BLOB_SUCCESS,
  FETCH_ADD_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addProductBlob = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_PRODUCT_BLOB_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_PRODUCT_BLOB_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_PRODUCT_BLOB_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addProductBlob;
