import {
  FETCH_ALL_CATALOG_LANGUAGES_REQUEST,
  FETCH_ALL_CATALOG_LANGUAGES_SUCCESS,
  FETCH_ALL_CATALOG_LANGUAGES_FAILURE,
} from "redux/types/masterSetup";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const catalogLanguageList = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ALL_CATALOG_LANGUAGES_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ALL_CATALOG_LANGUAGES_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ALL_CATALOG_LANGUAGES_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default catalogLanguageList;
