import {
    FETCH_DELETE_ATTRIBUTE_REQUEST,
    FETCH_DELETE_ATTRIBUTE_SUCCESS,
    FETCH_DELETE_ATTRIBUTE_FAILURE,
} from "redux/types/masterSetup";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const deleteAttribute = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_DELETE_ATTRIBUTE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_DELETE_ATTRIBUTE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_DELETE_ATTRIBUTE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default deleteAttribute;
