import {
  FETCH_GET_DASHBOARD_ITEM_LIST_REQUEST,
  FETCH_GET_DASHBOARD_ITEM_LIST_SUCCESS,
  FETCH_GET_DASHBOARD_ITEM_LIST_FAILURE,
} from "redux/types/masterSetup";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getDashboardItemsList = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_DASHBOARD_ITEM_LIST_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_DASHBOARD_ITEM_LIST_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_DASHBOARD_ITEM_LIST_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getDashboardItemsList;
