import {
    FETCH_LANGUAGES_LIST_REQUEST,
    FETCH_LANGUAGES_LIST_SUCCESS,
    FETCH_LANGUAGES_LIST_FAILURE,
  } from "redux/types/masterSetup";

let initialstate =  {
	data: null,
	error: null,
	loading: false,
};


const languageList = (state = initialstate, action) => {

    switch (action.type) {
        case FETCH_LANGUAGES_LIST_REQUEST:
            return {
                ...state,
                loading:true
            }
        case FETCH_LANGUAGES_LIST_SUCCESS:
            return {
                loading:false,
                data:action.data?.data,
                error:''
            }
        case FETCH_LANGUAGES_LIST_FAILURE:
            return {
                loading:false,
                data:[],
                error:action.data
            }
        default:
           return state

    }
}

export default languageList