import {
  FETCH_SEARCH_PRODUCT_BLOB_REQUEST,
  FETCH_SEARCH_PRODUCT_BLOB_SUCCESS,
  FETCH_SEARCH_PRODUCT_BLOB_FAILURE,
} from "redux/types/masterSetup";

const initialState = {
  data: null,
  error: null,
  isLoading: false,
};

const searchProductBlob = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_SEARCH_PRODUCT_BLOB_REQUEST:
      return {
        ...state,
        isLoading: true,
      };
    case FETCH_SEARCH_PRODUCT_BLOB_SUCCESS:
      return {
        ...state,
        isLoading: false,
        data: action.data.data,
        error: null,
      };
    case FETCH_SEARCH_PRODUCT_BLOB_FAILURE:
      return {
        ...state,
        isLoading: false,
        data: null,
        error: action.error.data,
      };
    default:
      return state;
  }
};

export default searchProductBlob;
