import {
    FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_REQUEST,
    FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_SUCCESS,
    FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_FAILURE,
  } from "redux/types/masterSetup";
  
  let initialstate = {
    data: null,
    error: null,
    loading: false,
  };
  
  const addTextBlockToSchemaReducer = (state = initialstate, action) => {
    switch (action.type) {
      case FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_REQUEST:
        return {
          ...state,
          loading: true,
        };
      case FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_SUCCESS:
        return {
          loading: false,
          data: action.data?.data,
          error: "",
        };
      case FETCH_ADD_TEXT_BLOCK_TO_SCHEMA_FAILURE:
        return {
          loading: false,
          data: [],
          error: action.data,
        };
      default:
        return state;
    }
  };
  
  export default addTextBlockToSchemaReducer;
  