import {
  FETCH_UPDATE_USER_CATALOG_REQUEST,
  FETCH_UPDATE_USER_CATALOG_SUCCESS,
  FETCH_UPDATE_USER_CATALOG_FAILURE,
} from "redux/types/masterSetup";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateUserCatalog = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_USER_CATALOG_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_USER_CATALOG_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_USER_CATALOG_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateUserCatalog;
