import {
  FETCH_ADD_IMAGE_SIZE_REQUEST,
  FETCH_ADD_IMAGE_SIZE_SUCCESS,
  FETCH_ADD_IMAGE_SIZE_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addImageSize = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_IMAGE_SIZE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_IMAGE_SIZE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_IMAGE_SIZE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addImageSize;
