import {
  FETCH_ALL_IMAGES_REQUEST,
  FETCH_ALL_IMAGES_SUCCESS,
  FETCH_ALL_IMAGES_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const allImages = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ALL_IMAGES_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ALL_IMAGES_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ALL_IMAGES_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default allImages;
