import {
  FETCH_GET_MEDIA_VALET_HISTORY_REQUEST,
  FETCH_GET_MEDIA_VALET_HISTORY_SUCCESS,
  FETCH_GET_MEDIA_VALET_HISTORY_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const getMediaValetHistory = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_GET_MEDIA_VALET_HISTORY_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_MEDIA_VALET_HISTORY_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_MEDIA_VALET_HISTORY_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getMediaValetHistory;
