import {
  FETCH_SEARCH_IMAGE_REQUEST,
  FETCH_SEARCH_IMAGE_SUCCESS,
  FETCH_SEARCH_IMAGE_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const searchImage = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_SEARCH_IMAGE_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_SEARCH_IMAGE_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_SEARCH_IMAGE_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default searchImage;
