import {
  FETCH_STORE_MEDIA_VALET_TOKEN_REQUEST,
  FETCH_STORE_MEDIA_VALET_TOKEN_SUCCESS,
  FETCH_STORE_MEDIA_VALET_TOKEN_FAILURE,
} from "redux/types/media";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const storeMediaValetToken = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_STORE_MEDIA_VALET_TOKEN_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_STORE_MEDIA_VALET_TOKEN_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_STORE_MEDIA_VALET_TOKEN_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default storeMediaValetToken;
