import {
  FETCH_NOTIFICATION_LIST_REQUEST,
  FETCH_NOTIFICATION_LIST_SUCCESS,
  FETCH_NOTIFICATION_LIST_FAILURE,
} from "redux/types/notification";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const notificationList = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_NOTIFICATION_LIST_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_NOTIFICATION_LIST_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_NOTIFICATION_LIST_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default notificationList;
