import {
  FETCH_ADD_LAYOUT_REQUEST,
  FETCH_ADD_LAYOUT_SUCCESS,
  FETCH_ADD_LAYOUT_FAILURE,
} from "redux/types/output";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const addLayout = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_ADD_LAYOUT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_ADD_LAYOUT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_ADD_LAYOUT_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default addLayout;
