import {
  FETCH_CANCEL_EXPORT_REQUEST,
  FETCH_CANCEL_EXPORT_SUCCESS,
  FETCH_CANCEL_EXPORT_FAILURE,
} from "redux/types/output";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const cancelExport = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_CANCEL_EXPORT_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_CANCEL_EXPORT_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_CANCEL_EXPORT_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default cancelExport;
