import {
  FETCH_UPDATE_LAYOUT_ITEMS_REQUEST,
  FETCH_UPDATE_LAYOUT_ITEMS_SUCCESS,
  FETCH_UPDATE_LAYOUT_ITEMS_FAILURE,
} from "redux/types/output";

let initialstate = {
  data: null,
  error: null,
  loading: false,
};

const updateLayoutItems = (state = initialstate, action) => {
  switch (action.type) {
    case FETCH_UPDATE_LAYOUT_ITEMS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_LAYOUT_ITEMS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_LAYOUT_ITEMS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateLayoutItems;
