import {
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_REQUEST,
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_SUCCESS,
  FETCH_UPDATE_SCHEMA_ATTRIBUTES_FAILURE,
} from "redux/types/output";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const updateSchemaAttributes = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_UPDATE_SCHEMA_ATTRIBUTES_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_UPDATE_SCHEMA_ATTRIBUTES_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_UPDATE_SCHEMA_ATTRIBUTES_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default updateSchemaAttributes;
