import {
    FETCH_GET_REPORT_DATA_REQUEST,
    FETCH_GET_REPORT_DATA_SUCCESS,
    FETCH_GET_REPORT_DATA_FAILURE,
  } from "redux/types/reports";
  
  let initialstate = {
    data: null,
    error: null,
    loading: false,
  };
  
  const getReportData = (state = initialstate, action) => {
    switch (action.type) {
      case FETCH_GET_REPORT_DATA_REQUEST:
        return {
          ...state,
          loading: true,
        };
      case FETCH_GET_REPORT_DATA_SUCCESS:
        return {
          loading: false,
          data: action.data?.data,
          error: "",
        };
      case FETCH_GET_REPORT_DATA_FAILURE:
        return {
          loading: false,
          data: [],
          error: action.data,
        };
      default:
        return state;
    }
  };
  
  export default getReportData;
  