import {
  FETCH_GET_EMAIL_VERIFICATION_TOKEN_REQUEST,
  FETCH_GET_EMAIL_VERIFICATION_TOKEN_SUCCESS,
  FETCH_GET_EMAIL_VERIFICATION_TOKEN_FAILURE,
} from "redux/types/users";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const getEmailVerificationToken = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_GET_EMAIL_VERIFICATION_TOKEN_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_EMAIL_VERIFICATION_TOKEN_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_EMAIL_VERIFICATION_TOKEN_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getEmailVerificationToken;
