import {
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_REQUEST,
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_SUCCESS,
  FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_FAILURE,
} from "redux/types/users";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const getPasswordResetTokenDetail = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_GET_PASSWORD_RESET_TOKEN_DETAILS_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default getPasswordResetTokenDetail;
