import {
  FETCH_REGISTER_REQUEST,
  FETCH_REGISTER_SUCCESS,
  FETCH_REGISTER_FAILURE,
} from "redux/types/users";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const register = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_REGISTER_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_REGISTER_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_REGISTER_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default register;
