import {
  FETCH_RESELLER_SIGNUP_PROCESS_FAILURE,
  FETCH_RESELLER_SIGNUP_PROCESS_REQUEST,
  FETCH_RESELLER_SIGNUP_PROCESS_SUCCESS,
} from "redux/types/users";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const resellerSignupProcess = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_RESELLER_SIGNUP_PROCESS_FAILURE:
      return {
        ...state,
        loading: true,
      };
    case FETCH_RESELLER_SIGNUP_PROCESS_REQUEST:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_RESELLER_SIGNUP_PROCESS_SUCCESS:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default resellerSignupProcess;
