import {
  FETCH_RESET_PASSWORD_REQUEST,
  FETCH_RESET_PASSWORD_SUCCESS,
  FETCH_RESET_PASSWORD_FAILURE,
} from "redux/types/users";

let initialState = {
  data: null,
  error: null,
  loading: false,
};

const resetPassword = (state = initialState, action) => {
  switch (action.type) {
    case FETCH_RESET_PASSWORD_REQUEST:
      return {
        ...state,
        loading: true,
      };
    case FETCH_RESET_PASSWORD_SUCCESS:
      return {
        loading: false,
        data: action.data?.data,
        error: "",
      };
    case FETCH_RESET_PASSWORD_FAILURE:
      return {
        loading: false,
        data: [],
        error: action.data,
      };
    default:
      return state;
  }
};

export default resetPassword;
